2019-12-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [7e1c90fa717eb2253ca1901d4065f06b2469cfa2]

	update NEWS


2019-12-22  David Tardon  <dtardon@redhat.com>  [57f0b5697252fa238027fdd3052774055b69060b]

	drop project files for old versions of MSVC

	Change-Id: I36ceddb5a8a1f8e96b36a2e851338366cda1808d
	Reviewed-on: https://gerrit.libreoffice.org/85662
	Reviewed-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
	Tested-by: Markus Mohrhard <markus.mohrhard@googlemail.com>

2019-12-22  David Tardon  <dtardon@redhat.com>  [c227e5402f4c7470bae34998f6e8ecd6752545cf]

	remove traces of .ds[pw] files from docs

	Change-Id: I6ebc31181ccfe379be96e979cda3717a991cf513
	Reviewed-on: https://gerrit.libreoffice.org/85663
	Reviewed-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
	Tested-by: Markus Mohrhard <markus.mohrhard@googlemail.com>

2019-12-21  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [81cbaa728f595aa25819206dca6f71338686ad9e]

	next version is going to be 1.15.1


2019-12-21  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [8ed8126ec0c9ddd95c2d86ef81a95f6b405e05af]

	add NEWS for 1.15.0 and 1.15.1


2019-12-21  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [834f3a287387bd6230c98b0c5375aff568c75e02]

	fix -Wdefaulted-function-deleted error


2019-11-29  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [ce97a647a901b4ebb34dc6806ab0c4d2885e92e1]

	tdf#126163: fix regression from 339b60ab77ce3f2037c9410eb14251c8132df08a


2019-04-30  Martin Liška  <mliska@suse.cz>  [78e64f0edb4f3271a6ddbcdf9cba05138597bfca]

	Fix build with gcc9.1

	Change-Id: I8a0d7a0b51b5c537dbcfa8fdd34e816605b1f32e
	Reviewed-on: https://gerrit.libreoffice.org/71573
	Reviewed-by: Tomáš Chvátal <tchvatal@suse.cz>
	Tested-by: Tomáš Chvátal <tchvatal@suse.cz>

2019-03-05  Andrés Maldonado  <amaldonado@linagora.com>  [339b60ab77ce3f2037c9410eb14251c8132df08a]

	Documentation updates

	doc/other_documentation.dox:
	* add instructions to build documentation
	* replace a dead link with it's archived version on WaybackMachine

	doc/Money.dox:
	* replace `configure.in` with `configure.ac`
	* update MoneyApp.cpp with the version at `examples/money/MoneyApp.cpp`
	* remove all occurrences of `#include "stdafx.h"`  (stdafx.h does not exist in this example)
	* replace all occurrences of CppUnit:: with CPPUNIT_NS::
	* Undo a fix in commit 652d51e653568fbf652a248c7b9e01e72e6ec50f
	  * This commit fixed the following error:
		```
		  Money( double amount, std::string currency )
		    : m_amount( amount )
		    , m_currency( m_currency )
		```
	    But this error was introduced on purpose, so that the user can see that an assertion failed
	* fix  some spelling errors
	* other minor edits

	examples/money/MoneyTest.h:
	* Updated to match doc/Money.dox

	Change-Id: I4e90b1a3afadab94f7112c36fcb0d1c467169269
	Reviewed-on: https://gerrit.libreoffice.org/67787
	Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
	Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>

2019-02-16  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [c37be301e883e6fda168e30093acfd0afcf63666]

	use []  in AC macros


2019-02-16  Andrés Maldonado  <amaldonado@linagora.com>  [9da32ab7dfbc17ecc9de6d19f64ae2bca9978871]

	Modernize AM_INIT_AUTOMAKE syntax

	For more info, see: https://www.gnu.org/software/automake/manual/automake.html#Modernize-AM_005fINIT_005fAUTOMAKE-invocation

	Change-Id: If27065b6d9c9245717ca24e0c0e1fa4c29bc3e5c
	Reviewed-on: https://gerrit.libreoffice.org/67808
	Reviewed-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
	Tested-by: Markus Mohrhard <markus.mohrhard@googlemail.com>

2019-02-14  Tobias Groll  <groll@cs.uni-kl.de>  [51efd6f2184405dea29265ea0dd25c71b348404a]

	Added some brackets to make it more clear for the compile which things belongs to the if body


2019-02-14  Noel Grandin  <noel.grandin@collabora.co.uk>  [1caa3a0c66f009fe1a386d7559dc25054dad42a3]

	custom tostring formatter to CPPUNIT_ASSERT_MESSAGE

	Provide an extension trait message_to_string that allows client code
	to call ASSERT_MESSAGE with their own string types.

	Also provide a default extension trait that accepts std::ostream
	messages.

	Change-Id: I516f97063c34d86bc91c40e0ec147d5393e7b6ea

2019-02-13  Stephan Bergmann  <sbergman@redhat.com>  [3788fccdd12ea1e3240d79e85d9146f6c264c6ec]

	Unconditionally use C++11 [[noreturn]]

	This helps avoid issues like <https://gerrit.libreoffice.org/plugins/gitiles/
	core/+/9808486a89c6368f836579f8d8c0dda63fd0063c%5E%21> "Avoid
	-Werror,-Wimplicit-fallthrough with clang-cl ...where CPPUNIT_FAIL is marked as
	noreturn only for __GNUC__".

	Change-Id: Idb33af7375f103f2dd7a7b4c3dbf20ce731b17ad
	Reviewed-on: https://gerrit.libreoffice.org/67247
	Reviewed-by: Stephan Bergmann <sbergman@redhat.com>
	Tested-by: Stephan Bergmann <sbergman@redhat.com>

2018-11-02  Miklos Vajna  <vmiklos@collabora.co.uk>  [48145587c4c2dc4f1e07d83073e136336c81ce79]

	extensions: add CPPUNIT_TEST_FIXTURE()

	This is similar to googletest's TEST_F() macro, allows to avoid spelling
	out the test name in a suite only once, not 3 times.

	Change-Id: I90804d271d046d8158678617d8db75ed6ca7c420
	Reviewed-on: https://gerrit.libreoffice.org/61732
	Reviewed-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
	Tested-by: Markus Mohrhard <markus.mohrhard@googlemail.com>

2018-09-26  Stephan Bergmann  <sbergman@redhat.com>  [4f5cd3b486afb9c7be1903252b4ae3787137a454]

	Avoid GCC 9 -Wdeprecated-copy

	...when an implicitly-defined copy function is used that may in a future C++
	standard be defined as deleted because of the user-declared destructor.  Just
	declare all the four copy/move functions as defaulted for a consistent
	interface.

	(Originally addressed with LibreOffice commit
	<https://gerrit.libreoffice.org/58042> "external/cppunit: silence
	-Werror=deprecated-copy (GCC trunk towards GCC 9)".)

	Change-Id: Ie38ac3a613e6fbc2e4045cb5b14c3f6d167c79c5
	Reviewed-on: https://gerrit.libreoffice.org/58690
	Reviewed-by: Stephan Bergmann <sbergman@redhat.com>
	Tested-by: Stephan Bergmann <sbergman@redhat.com>

2018-07-05  Blake Madden  <madindayton@outlook.com>  [742d887de85f378ab817a992cdfa0778971df093]

	Fix the name of the VC project mentioned in the build instructions.


2018-07-05  Blake Madden  <madindayton@outlook.com>  [653b1db88832b1c44327117510048e28eb136de3]

	Make output XML report schema UTF-8 and remove Japanese specific information.


2018-05-23  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [0f06c57cafbf050276bae3306aed3bcbb39ddc44]

	next version will be 1.15.0


2018-05-23  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [fd7111241a90b00eed45c7fb847101c732b9df83]

	C++11 provides std::isfinite and std::isnan


2018-05-23  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [03fe3b83eb95a20a3397a0b5c19c25f02986c888]

	fix make distcheck, part2


2018-05-23  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [66e39e76d7f9acc27522b0a25cd6e538ecc920f0]

	fix make distcheck, part1


2018-04-02  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [5ee5394ccec1e9fa07f2a84d73209472c8a1daab]

	tdf#116653, avoid NOMINMAX redefinition warnings with mingw


2017-12-24  Simon Barth  <Simon.Pe.Barth@gmail.com>  [a412733438e4a589069f4db2ae17bd6e32d07864]

	contrib:cppunit2junit: parametrize testsuite name

	The cppunit2junit XSL stylesheet has a hardcoded name for the testsuite.

	Instead of putting a meaningless name, allow users to parametrize this
	name when doing the transformation.

	Change-Id: I2d0ebaf92cd0aa4d8ff3b3a2c423f4a8edd94807
	Signed-off-by: Simon Barth <Simon.Pe.Barth@gmail.com>
	Reviewed-on: https://gerrit.libreoffice.org/46357
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2017-09-15  Dimitrij Mijoski  <dmjpp@hotmail.com>  [1eaec743d1f1fbb5efeddd19aff07114cf4c7fc9]

	Fix money example on propely linking with library with PKG_CHECK.

	Change-Id: If42a50386402b7a601268cf8db80236c147009c1
	Reviewed-on: https://gerrit.libreoffice.org/42206
	Reviewed-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
	Tested-by: Markus Mohrhard <markus.mohrhard@googlemail.com>

2017-07-20  Stephan Bergmann  <sbergman@redhat.com>  [85d24152f81bfcd463356330f1cc6257f485535f]

	Report (un)signed char values numerically

	...instead of as characters, as those values often represent numerical values
	(e.g., sal_uInt8 aka unsigned char in LibreOffice), and often even have values
	outside the printing ASCII range

	Change-Id: I72727e98f5af616f6b0c03c57fc1119c0c11c1fc
	Reviewed-on: https://gerrit.libreoffice.org/40138
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2017-05-26  David Tardon  <dtardon@redhat.com>  [c29651571c5e6e52dda92b85210c8ab9026a79fb]

	set up git-review


2017-04-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [c6aec99d114f4cb35cc7d9c1d09bae960c4c085b]

	remove strange INSTALl notes for VS 2008


2017-04-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [b8a9398b3352c6560af646e1492aae4bf2bd3101]

	more windows visual studio packaging fixes


2017-04-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [bf0ed0a0c1552cb230dd078ff76a0c64281277c4]

	package visual studio project files


2017-04-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [f74ac1a1f96db97d284747451ec62d7955a95b70]

	fix broken packaging for windows


2017-04-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [f8bd289315041e24853b74b601131f4745c3feb3]

	remove also all references to mfc


2017-04-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [de5eab33cb30f15f85ac8f197bd571b7695566a6]

	remove BeOS special support


2017-04-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [6456f18a9aa00cbf9d90075786122075dc8f3141]

	remove more msvc specific code and bc5 stuff


2017-04-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [dad270be0b9b1d10b2aeb8960603a06677b75b2b]

	remove the qt test runner that depends on ancient qt


2017-04-07  dennisroczek  <dennisroczek@libreoffice.org>  [1830b646ea1c181ae0a298e53bf2cfa5e0eaee48]

	fix HTML Encoding

	in my last commit Gerrit's web interface changed the encoding
	of the file. The page doesn't look correct any more.

	Change-Id: I5de59620ef4ca78a009da2bbf2c6fe37af0dd54c
	Reviewed-on: https://gerrit.libreoffice.org/35401
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2017-03-14  dennisroczek  <dennisroczek@libreoffice.org>  [1f68ba5f7ad9bf04cf6a9e449e5b7cbb4dc27a8c]

	fix typo/grammar: "the the" --> the

	Change-Id: I03c1e1118c0574863f9460d1d7fc543b44d59efe
	Reviewed-on: https://gerrit.libreoffice.org/35152
	Reviewed-by: Noel Grandin <noel.grandin@collabora.co.uk>
	Tested-by: Noel Grandin <noel.grandin@collabora.co.uk>

2017-02-27  dennisroczek  <dennisroczek@libreoffice.org>  [b8f6a1115e2dc798b5e762f5738803a5208400c2]

	fix typo: documention --> documentation

	Change-Id: I58762dfb08c6f85ccb11d0b634c738606cd6379f
	Reviewed-on: https://gerrit.libreoffice.org/34649
	Reviewed-by: Michael Stahl <mstahl@redhat.com>
	Tested-by: Michael Stahl <mstahl@redhat.com>

2017-01-01  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [e43bfbf604f8b4e48b8a30bcfa702fdc5043ba85]

	fix the distcheck build and remove refs to deleted files


2017-01-01  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [ffea468d58ebef7ccacd925eb9268a0148156851]

	update coding guidelines


2016-12-31  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [51b9f42694914f999ddb51bc11be069002032211]

	remove reference to deleted file


2016-12-16  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [079bdbdd2b0e23f30ee733b7592c9c5bc119bd1e]

	add changes for TestCaller and TEST_CASE_PARAMETERIZED into NEWS


2016-12-16  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [4e529c6a6569d1f352e02af16e53aba7ae7bdc1a]

	implement parameterized tests

	This allows to execute the same test with different parameters and
	treats each execution as an own test. The change consists of two parts,
	the TestCaller can now handle any callable which also makes it easy to
	generate programatically more complex test cases as well as the new
	CPPUNIT_TEST_PARAMETERIZED macro. That macro takes the test name as well
	as an iteratable, e.g. std::initializer_list.

	An example for this usage is:

	class SimpleTest : public CppUnit::TestFixture
	{
	public:
	    CPPUNIT_TEST_SUITE(SimpleTest);
	    CPPUNIT_TEST_PARAMETERIZED(test, {1, 2, 3, 4});
	    CPPUNIT_TEST_SUITE_END();

	    void test(int i)
	    {
	        CPPUNIT_ASSERT(i < 5);
	    }
	};

	which will execute test 4 times with the values 1 to 4.

2016-12-16  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [923e2a837d515eb0d33792aba8bbb839f0012067]

	use std::function for the test method in TestCaller

	This allows us to pass in any callable e.g. results of std::bind.

2016-12-16  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [25ccf3dd39c283c54313d8d26374e493e0e5f1a6]

	extract the code to turn a variable into a string


2016-12-16  David Tardon  <dtardon@redhat.com>  [fcc0062e64edff6a64fb6d0ce9d8695b6373d1f2]

	AM_CPPFLAGS is preferred by "newer" versions of automake


2016-12-16  David Tardon  <dtardon@redhat.com>  [967fc7e4bd88914b7555177864a5949b9717f233]

	error: blank line following trailing backslash


2016-12-16  David Tardon  <dtardon@redhat.com>  [b29b9dfa5e39c4e8d95df9ebc20df93fe9c5727b]

	drop project files for Visual Studio < 2010


2016-12-16  David Tardon  <dtardon@redhat.com>  [3bf22cb6d0645bf329fec9c850477b2fc9976f6c]

	tdf#104498 CPPUNIT_USE_TYPEINFO_NAME is a flag

	... so check just for existence.

2016-12-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [ff6ce1d7c00be2279f905b2f08cbbd67fa239ae7]

	we no longer need a wrapper for the smart pointer case


2016-12-14  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [9e22a4f7c7794ab1cbd808058c13356f38ed632a]

	simpler implementation for the enum class work around


2016-12-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [921cb4648308fc66f17fa99ec65d6d9c67be9093]

	no need for optional features now that we require C++11


2016-12-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [abc8689a96db70297aeec7088eab7005dc1a907d]

	update the NEWS file with C++11 and portability changes


2016-12-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [435dee2d69a47c8d46aa1aab3d2906bfc8eab74e]

	add support for enum class to the asserter

	The asserter now has special handling to convert the enum class to a
	std::string. This does not work without some template magic as enum
	class has no implicit conversion to int.

2016-12-11  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [98f0a738d2925c41b268388ce6defe86114f611a]

	update coding guidelines


2016-12-11  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [2b9f4b072bfb4129ee8eaaa86b3f068bdd2d581d]

	remove support for old broken C++ compilers


2016-10-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [e8c0def96e6ca4370377747bda1d8a8c0dab4867]

	update NEWS


2016-10-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [fcc84eec40acf8506f2a5fcc3fe0399663d1ce18]

	cppunit.m4 is gone


2016-10-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [442300567b57ff6a02b180e36407b93e2177a3fc]

	always use std::unique_ptr


2016-10-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [c314941600c5bd601831e6204b04b06a223064e7]

	replace with std::unique_ptr


2016-10-15  GARCIN David  <david.garcin@openwide.fr>  [29ae31614fb70e192f63fdab1c65105493319edc]

	HelperMacros: fix deprecated NULL macro usage

	Using gcc (currently using gcc 5.2) flag -Wzero-as-null-pointer-constant
	triggers warnings:

	[...]include/cppunit/extensions/HelperMacros.h:171:31: error: zero as null
	pointer constant [-Werror=zero-as-null-pointer-constant]
	  CppUnitExDeleter() : suite (0) {}           \
	                              ^

	[...]include/cppunit/extensions/HelperMacros.h:174:45: error: zero as null
	pointer constant [-Werror=zero-as-null-pointer-constant]
	   CPPUNIT_NS::TestSuite *tmp = suite; suite = NULL; return tmp;  \
	                                                ^

	Using nullptr is the c++11 way to initialize pointers with null value [1].

	[1] http://en.cppreference.com/w/cpp/language/nullptr

2016-10-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [42bd37a4b8d8feab2d30761648b51eaf20623abb]

	we always require RTTI now

	RTTI is supported by any decent compiler and with the mandatory c++11 support
	we are no longer supporting older compilers anyway.

2016-10-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [2917f424d32dc9f7128ecf4d47cdcc48fb0781d2]

	we always require c++11 now


2016-02-13  David Tardon  <dtardon@redhat.com>  [f6617be922a56c6686f98b26714f222f1b25b11c]

	add more autoconf stuff to gitignore


2016-02-13  David Tardon  <dtardon@redhat.com>  [c81afa737307ef525258cfae24eb3f2845ce7208]

	drop cppunit-config in favor of pkg-config


2016-02-13  David Tardon  <dtardon@redhat.com>  [a691504d5fb8fada5343252d3ce5bd147c677e50]

	convert to UTF-8


2015-11-08  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [292026e36ce5b9ebdad86e99304be2ded8c199d8]

	fix --disable-optional-features build

	Use std::auto_ptr in C++03 mode.

2015-11-08  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [4b28f0c821bd0ee044cf0a4be1a7270edc9874cb]

	fix make distcheck


2015-11-07  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [5cb290d77a3539a492eac43202f27ecd150c99a0]

	add a flag for adding optional features

	These features will switch the used C++ version from C++03 to C++11. We
	are also going to use std::unique_ptr instead of std::auto_ptr for the
	c++11 mode.

2015-11-07  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [c5813be8793da22ec25e4dfdf9d6dec43695cbeb]

	next version is 1.14.0


2015-10-06  Jan-Marek Glogowski  <glogow@fbihome.de>  [615bf72e2000e2118d08c85ccace5253dbb214be]

	Remove surplus ] and fix option text

	The debug option actually just enables symbols.

	Change-Id: Ib7e3c7727e2160b04dea6c56303e4a58d3e0cd2b
	Reviewed-on: https://gerrit.libreoffice.org/19212
	Reviewed-by: Markus Mohrhard <markus.mohrhard@googlemail.com>
	Tested-by: Markus Mohrhard <markus.mohrhard@googlemail.com>

2015-08-20  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [5d83af095b987f275ec6f12fd0b7bdc5b7e30b0e]

	update URL for bug reports


2015-08-20  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [6d13161d2d7abd5a0ce7b15eb26045701575d328]

	update CodingGuidelines

	Nearly all compilers that are in use will support these features. ALso
	mention that c++11/c++14 features are only allowed in optional code.

2015-08-18  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [75d1efd9866d3474ca008157be092be93d782243]

	add new assertions to NEWS


2015-08-18  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [69ea3cbf1ec9ff8c5159f73d0ce71087f7727792]

	remove commented out code

	The code has been commented out for a long time and is not related to a
	missing fix.

2014-11-03  Caolán McNamara  <caolanm@redhat.com>  [9c5b50060411ec71ac1583ae96e8f4652803b564]

	extend tell coverity that fail doesn't return


2014-07-17  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [2599d56470a331fb943a1afabfd053ddf7548e6a]

	add fix for fdo381433 to News


2014-07-17  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [d44643d07a61ee9efc100f23c47ab3969efda998]

	fix crash with WIN64 in testrunner

	Reported by: Peter Tax

2014-07-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [0ef304e8b8cc517c6a1d8ddccfcaab49172c0535]

	add new assertion macros for <, <=, > and >=

	Now we support the following new macros:

	- CPPUNIT_ASSERT_LESS
	- CPPUNIT_ASSERT_GREATER
	- CPPUNIT_ASSERT_LESSEQUAL
	- CPPUNIT_ASSERT_GREATEREQUAL

2014-07-06  Caolán McNamara  <caolanm@redhat.com>  [059fcd2878071616cedb5116a0b2f75b5edbdbe0]

	mark the fails as no-return

	that might help clang scan-build understand that execution won't continue after
	they fail

2014-07-06  Caolán McNamara  <caolanm@redhat.com>  [18a1369dbdb46c393f415c5a12bb9b5206cbb1c5]

	tell coverity that fail doesn't return


2013-11-12  Thorsten Behrens  <tbehrens@suse.com>  [1cebdfc97b39961c2df68e84996f667d529eafc7]

	Update FSF address in LGPL license.

	Since rpmlint was bitching, and indeed
	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt features a
	new address.

2013-08-16  Stephan Bergmann  <sbergman@redhat.com>  [c4f7bf8d1346bdfc4d34af24b373e6a0aeb6cc46]

	-Werror,-Wbind-to-temporary-copy

	"C++98 requires an accessible copy constructor for class
	'CppUnit::TestCaseMethodFunctor' when binding a reference to a temporary; was
	private." (Clang)

2013-08-16  Stephan Bergmann  <sbergman@redhat.com>  [d831d2d72f93fc24462bec8f296fd870c8f8407c]

	-Werror,-Woverloaded-virtual

	"'CppUnit::TextTestResult::addFailure' hides overloaded virtual function;
	../../include/cppunit/TestResult.h:85:16: note: hidden overloaded virtual
	function 'CppUnit::TestResult::addFailure' declared here: different number of
	parameters (2 vs 1)." (Clang)

2013-08-15  Tobias Lippert  <drtl@fastmail.fm>  [773ba28bfb3ce86dd2f9704d39d60b00d5f30b77]

	Bug # 51154: cppunit warning cleaning

	This patch allows to compile the code with gcc's -Weffc++

	It consists mostly of making copy constructors and assignment operators
	explicit and private, and of initializing all members in initializer lists.

	Change-Id: I6f1cae812c58e3791c2386a1288501cf2f559610
	Reviewed-on: https://gerrit.libreoffice.org/5424
	Reviewed-by: Tor Lillqvist <tml@iki.fi>
	Tested-by: Tor Lillqvist <tml@iki.fi>

2013-05-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [89abdff7b0dcba8c050ce9ef7f68760511814f2f]

	add cppunit 1.13.1 changes to NEWS


2013-05-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [9953a5621b9feef624f97df7e45e88af0ff38184]

	update NEWS file with 1.13.2 changes


2013-05-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [13244fdaa4ff563bdb0e853b8e081fe4ebb4001f]

	report dlerror messages on unix

	Upstream Libreoffice patch.

2013-05-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [d0567fcfa1e348e1bc6d91a95caa44075465bbf8]

	add configuration for 64bit windows builds


2013-05-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [943c3a71404f00d2fb95ea19d936b27af79e0a80]

	allow compiling the cppunit solution as 64bit with MSVC


2013-01-01  Stephan Bergmann  <sbergman@redhat.com>  [61e0deb8c5200cdc66a8d6215a462e433f1804da]

	Obsolete AM_CONFIG_HEADER -> AC_CONFIG_HEADERS

	(cf. <https://trac.macports.org/ticket/37428> "gnome-keyring @2.30.3 autoreconf
	fails with automake 1.13: possibly undefined macro: AM_CONFIG_HEADER")

2012-12-04  Tomas Chvatal  <tchvatal@suse.cz>  [b1ebd529560bc6f2a73d73bc96a0ffe1c2b6cde2]

	Use tabs as they are used in the rest of the file.


2012-10-24  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [082dc6be483d66444ba983306aa2471c4fd5037f]

	support easy way to add debug information


2012-10-24  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [8ddb4ae9ec09ce3d3cc6c2e3564b146b1239f061]

	build with Wextra


2012-10-24  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [acfd15275c5ae593f5529033212732168a2e0e78]

	next version is 1.14.0 from the master branch


2012-08-15  Julien Nabet  <serval2412@yahoo.fr>  [d7b449a4b2fb7f165ad6c108b5fd07f5142fc34b]

	Fix "No newline at end of file"


2012-08-15  Julien Nabet  <serval2412@yahoo.fr>  [e3f007eb2da59ec74ac9e9c05a4cf3eb2c9bb4f4]

	Bin deprecated attributes


2012-08-15  Julien Nabet  <serval2412@yahoo.fr>  [e0ecb7d15852023e64fc2553a066c55896cbfca2]

	add execution perm


2012-08-14  Andriy Gapon  <avg@icyb.net.ua>  [bba000ab134e9ac1e62cfe017b424adf7c327954]

	workaround problem when mxing older gcc with newer versions, fdo#52539


2012-08-11  Tomas Chvatal  <tchvatal@suse.cz>  [ff97d2d011adb3f68851b9b045c2073933c0a90a]

	Version bump post release.


2012-08-11  Tomas Chvatal  <tchvatal@suse.cz>  [d0406e5a203b65c7f27db5265586a6cdba514310]

	Ignore build folder as we support OOT build.


2012-08-11  Tomas Chvatal  <tchvatal@suse.cz>  [4942ae2fac693e35072d27564286d6852f964dab]

	Merge branch 'master' into feature/buildsystem_rewrite

	Conflicts:
		config/ax_cxx_gcc_abi_demangle.m4

2012-08-08  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [ec8f67b0bf103b553f435d3b969965f9cff58768]

	also adapt the configure check to portable header for free


2012-08-07  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [ee31b6a137195aa55cb98b0b8e65c587487ea0db]

	use portable way to access free, fdo#52536


2012-08-07  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [71fddd30ba03374fde7d740085f10a17be17f106]

	don't crash if demangling fails, fdo#52539


2012-08-06  Tomas Chvatal  <tchvatal@suse.cz>  [e349cf4c312afbeeb388327848a4f3c0378be534]

	Merge branch 'master' into feature/buildsystem_rewrite

	Conflicts:
		.gitignore
		autogen.sh
		configure.in
		doc/Makefile.am
		examples/cppunittest/TestAssertTest.cpp

2012-08-06  Tomas Chvatal  <tchvatal@suse.cz>  [5b48db1ee9fbaa6e7b48f31233d3e764093a53a3]

	Merge branch 'master' into feature/buildsystem_rewrite


2012-07-28  Robinson Tryon  <qubit@runcibility.com>  [8e0179d81acba39ea868c275e5e57ab1bee42c5b]

	gitignore: Ignore compiled files generated by 'make check'


2012-07-28  Robinson Tryon  <qubit@runcibility.com>  [731bf524995672069cbc5d23c13bb65079a6b221]

	gitignore: Ignore more build-generate files


2012-07-28  Robinson Tryon  <qubit@runcibility.com>  [c7201d7694fe8202dbe27b84140c1358dfa42845]

	gitignore: Add generated files to ignore list


2012-07-28  Robinson Tryon  <qubit@runcibility.com>  [b2996f867f3c6c62a9bfca4bef453f8257352ca5]

	gitignore: Create .gitignore file

	This commit adds a new top-level .gitignore file and adds
	ignores for the usual stuff:
	  - Temporary/save files
	  - Compiled object files
	  - Other stuff created by the configure/build process

	This will make 'git status' give much more relevant output.

2012-06-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [143021676d44477ab32e1f36a9e086c3b007527b]

	Fix non-doxygen build


2012-06-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a1718e0109e9cef4f848bcdbe0c5d92e06e0830]

	Some build system tweaks


2012-06-27  Michael Meeks  <michael.meeks@suse.com>  [4a433cde9871b77858b059c318488f7a1a6f3e50]

	calm gcc paranoia about uninitialized state


2012-06-27  Michael Meeks  <michael.meeks@suse.com>  [943e73cc0401df0fac2636e3676218c8e1219a05]

	avoid the need to work around auto_ptr warnings by dropping that


2012-06-22  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [5f0b02d69d0799d729d35a555c038a65ee0e1e0e]

	the 2005 project is not usefull, problems with the existing vcproj files


2012-06-21  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [d80721064e1ef6c38c82a93c76e2b6b55f5d6fe9]

	update NEWS


2012-06-21  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [3e67cc50fac98039dca974eede3f14be89c6080b]

	add the remaining missing files


2012-06-21  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [3cbca4f525a4db29b4dd99962970eb9962ff666a]

	add visual studio 2005 and 2010 project files to build cppunit libs


2012-06-21  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [5b83ebfbdfad75bd6d75e5a3de36b4c1ebddd938]

	fix visual studio 2005 build


2012-06-16  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [66f607ed47ca9187e51aa4b2402e0e30ba0db211]

	a bit warning cleaning in the tests

	-Werror -Wall -Wextra now works in make and in make check

2012-06-16  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [6ad5f9b35c32d696424f241530d3c0595c608c8a]

	TestDecorator assumes ownership and is not allowed to create copies


2012-06-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [41f69b1c2d2de8e1fdb6ef0023021d8edea114ca]

	update NEWS


2012-06-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [42e99e0881b9fc67f31c80e60fa7c04ad3e6d2a5]

	correct documentation, sf#2185407


2012-06-13  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [7e306f41b0b1930e3cb20c533ccd665a71e73c7e]

	correct documentation, sf#2186611

	std::vector::at() throws std::out_of_range and not std::invalid_argument

2012-05-05  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [7902eb988d167b6cddd88b6c5be4385b203080eb]

	adjust documentation to freedesktop homepage


2012-04-25  Tomas Chvatal  <tchvatal@suse.cz>  [3002523ba9bc9ad2f4205760d786c2666e4920e2]

	Use correct variable for pc file.


2012-04-25  Tomas Chvatal  <tchvatal@suse.cz>  [1887295b120f685e04b67b993864c2fc6719bc00]

	Remove leftover from visio msvc compat.


2012-04-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [42e19643d20679eecc5feef7656065b95403b65b]

	WaE: set but unused variables in tests


2012-04-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [0a0a19e09bfdfd98544bdb987d01b0a3ae67e334]

	try to fix problem with ISO c++ function vs object pointer

	http://www.open-std.org/jtc1/sc22/wg21/docs/cwg_defects.html#195

2012-04-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [cbe43bf5161a7c10461ab2e20b76a3771ece8d70]

	it should be cppunit and not libvisio


2012-04-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [f15b8d4f9fc6a4dc4182a48c5863c8fcae4084b5]

	update README to new freedesktop home


2012-04-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [842026474f58071edab152054b88c0e8d56bcf8e]

	add patch management to CodingGuidelines


2012-04-25  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [866076cd3ec4b383ee7fd44450763b35ebf63132]

	update NEWS


2012-04-25  Tomas Chvatal  <tchvatal@suse.cz>  [1f263e3d3203e699d105f6b3e203c4bb57f778ce]

	disable -Weffc++ warning as it throws too much stuff around now.


2012-04-25  Tomas Chvatal  <tchvatal@suse.cz>  [d6ec7807b977bbb5b24e7c46ed486fb65abfe48d]

	Automake cleanup, install and generate changelog


2012-04-25  Tomas Chvatal  <tchvatal@suse.cz>  [0fe54f1f14aeeda0c800642a55bd7aea16b6c5db]

	Remove patch that was already applied at some point.


2012-04-25  Tomas Chvatal  <tchvatal@suse.cz>  [32c70a883286590815111a6ee9dd271abd22f3e6]

	Add the quirks to produce same config.h as previously


2012-04-25  Tomas Chvatal  <tchvatal@suse.cz>  [1059029fac4b27fd97008337e97f7ed2c502fdc2]

	Add new autoconf using the latest macros

	This add new macros from autoconf-archive instead of the old
	broken ones. Also cleans up the configure.in and moves it to
	configure.ac.

	This setup as-is is not working. Next step is checking config.h
	to contain same contend for before/after update.

2012-02-24  Tomas Chvatal  <tchvatal@suse.cz>  [215ff59273aaf6f316159c8c090ca7503eb7322c]

	Fix as-needed build.


2012-02-14  Stephan Bergmann  <sbergman@redhat.com>  [0f75eaa0b8de3d68e8b5b5447fbc009531183cb5]

	GCC -Werror=sign-promo


2012-02-01  Stephan Bergmann  <sbergman@redhat.com>  [7a09bf3a88e99d85c4dec2ad296309dbec2987c3]

	Improve previous warnings patch


2012-02-01  Stephan Bergmann  <sb@openoffice.org>  [a76125c7dd07f79c82f3fed9be5c0a5627089e00]

	Fix for Solaris "finite" in ieeefp.h instead of math.h

	See <https://sourceforge.net/tracker/?func=detail&aid=2912590&group_id=11795&atid=311795>.

2012-01-28  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [35ffe82c0857601c03874cacb1326637bffbd821]

	don't set api/abi entries for 1.13.0


2012-01-28  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [2466d6dc24546688276c074e2f691b72ae60464d]

	remove references to old cvs and sourceforge


2012-01-28  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [3acfc24e54a9f6d1b2121dda1942e882549870e4]

	upstream libreoffice patch for sf#3123759

	based on a debian patch from
	http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=cppunit.diff;att=1;bug=338252

2012-01-27  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [f695453c324c585b25f4eff4388252da65ec64ae]

	development for 1.13.0


2012-01-27  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [e7a1968c1c2cbd9752ca6a9cfa196fd56146c71e]

	Portability.h contains #define CPPUNIT_VERSION "1.12.0", sf#2983798


2012-01-27  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [05b202fc3edce92d8343cb0964d9d15134cd8f1d]

	upstream libreoffice patch related to rhbz#641350

	impl. destructor of Cppunit::Message causes segfault when test

2012-01-27  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [9cfcff6c2195ae25be4022654990c9eea6fbb2f8]

	upstream libreoffice warnings patch


2009-11-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [be2c1fd6a39ad763b63c85f78b41b1358bf1c685]

	Config/ax_cxx_gcc_abi_demangle.

	config/ax_cxx_gcc_abi_demangle.m4:
	* src/cppunit/TypeInfoHelper.cpp: Fixed demangling of symbols on gcc 4.3 (bug #2796543).

2009-11-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2ad11a1f1a022f1fbaaf8deae64e9249cfc8fb4b]

	src/msvc6/testpluginrunner/TestPlugInRunnerDlg.cpp: fixed memory leak in getCommandLineArguments() (bug #1721408).


2009-11-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [edd2b1f19999dd6a2e44c835ca32e618f1f98dc4]

	examples/examples2008.sln: Fixed compilation issue in debug configuration with VS2008 (due to incorrect configuration being picked up).


2009-11-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6e787c94c54bc4d49794c6284306873090428aeb]

	Include/cppunit/portability/config-msvc6.

	include/cppunit/portability/config-msvc6.h:
	* include/cppunit/portability/Portability.h: Added macro 
	CPPUNIT_UNIQUE_COUNTER on MSVS 7.0+ using __COUNTER__ to
	fix bug #2031696.

2009-11-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [01c095d4eba446240fb8b01de1e7cfad0502a46e]

	Include/cppunit/plugin/TestPlugIn.

	include/cppunit/plugin/TestPlugIn.h: 
	* include/cppunit/plugin/TestPlugInDefaultImpl.h: added missing dllexport for CppUnitTestPlugIn.

2009-11-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4bf95bac1c38cc2963fd6d62fec100377548f8c3]

	Include/cppunit/plugin/TestPlugIn.

	include/cppunit/plugin/TestPlugIn.h: 
	* include/cppunit/plugin/TestPlugInDefaultImpl.h: added missing dllexport for CppUnitTestPlugIn.

2009-11-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e2e303fc1c7f3df20c8d910385d4628905904b37]

	Flush stdout & stderr in TestResult destructor to avoid message loss (bug #2832029)


2009-11-23  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e629238d569f6fcf3477537a60a8f3db1fd1f962]

	Updated NEWS


2009-11-23  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c1cdfdb27b547427ce1e4979d90cce8a6b7e3fec]

	Applied patch #2807259: lib -ldl... should be in LDADD instead of LDFLAGS


2009-11-23  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0d84942fe26ec3c087d48c67d75c74b50eafb141]

	Added missing entries to change log since release 1.12.1


2008-12-16  Andy Dent  <andydent@sourceforge.net>  [0b38bb7e2bd6d1136249905096ed200b924bec5c]

	Added updated project and instructions for building under Visual Studio.Net 2008


2008-10-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c5fb1a4ce7e7f13ad12d4262f19bb460d23b7e3e]

	doc/cookbook.dox: fixed typos.


2008-10-11  Steve M. Robbins  <smr@sumost.ca>  [2e6c96fe712bd7a4c42ac7bb24decf0aee0aee85]

	Bug 1649369: Flush stdCOut after startTest() and addFailure().  Fix from the supplied flush patch.


2008-06-08  Paul Phillips  <paulgersam@sourceforge.net>  [d4c20be92175023027b6d9f1b41c748bf286bbc8]

	Added extra ./configure option for compiling on IRIX 6 / MIPSpro.  From Bug #846195


2008-02-21  Steve M. Robbins  <smr@sumost.ca>  [e090e64a05c8aa899d48941a259124e7aaad6d63]

	Replace deprecated CPPUNIT_TEST_EXCEPTION with code using CPPUNIT_ASSERT_THROW.


2008-02-21  Steve M. Robbins  <smr@sumost.ca>  [a5a498561726d1396a681d1a8061156b90a56ec7]

	Changes to suppress warnings of gcc -Wall -W -ansi, mainly from patch [1898225].


2008-02-20  Steve M. Robbins  <smr@sumost.ca>  [4d73457619973f386444f86be1bf0f00a7093595]

	Update version to create release 1.12.1.


2008-02-07  Steve M. Robbins  <smr@sumost.ca>  [db39ace10fc2db53542231ac9747405d32f8ea91]

	Change from qlist.h to qptrlist.h, avoiding compatibility header.


2007-03-05  Steve M. Robbins  <smr@sumost.ca>  [74b3222b58ac7fc3ac2740ab121586a5ac4ef8fe]

	Make floatingPointIsFinite() return int.  Fix comment about comparisons and IEEE NaN.


2007-02-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [82fb2eaf5c99b6399824128495af32c8c0570df8]

	doc/cookbook.dox: changed suite() to return a TestSuite instead of a Test to avoid introducing unnecessary complexity.


2007-02-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c0df7c41b7a5aff0aece75aeb17b291f905d979d]

	- removed wrong comment.


2007-02-25  Steve M. Robbins  <smr@sumost.ca>  [ae47c6cf9ed97e6c1b81b3586fff5c96806d4a40]

	Portability/FloatingPoint.h must include Portability.h


2007-02-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0d30a2aec28085cfb9fe359c321c289609b884ca]

	Src/cppunit/TestAssert.

	src/cppunit/TestAssert.cpp (assertDoubleEquals): Moved finite & NaN
	tests to include/cppunit/portability/FloatingPoint.h. Changed
	implementation assertDoubleEquals to explicitly test for NaN
	in case of non-finite values to force equality failure in the
	presence of NaN. Previous implementation failed on Microsoft
	Visual Studio 6 (on this platform: NaN == NaN).
	* examples/cppunittest/TestAssertTest.cpp: Add more unit tests to
	test the portable floating-point primitive. Added missing
	include <limits>.

	* include/cppunit/portability/Makefile.am:
	* include/cppunit/portability/FloatingPoint.h: Added file. Extracted
	isfinite() from TestAssert.cpp.

	* include/cppunit/config-evc4:
	* include/cppunit/config-msvc6: Added support for _finite().

2007-01-31  Steve M. Robbins  <smr@sumost.ca>  [3ca9c5d071cb8162c89fd514a6116ee6b450d763]

	Add tests of the precision generated by assertion_traits<double>::toString().


2007-01-27  Steve M. Robbins  <smr@sumost.ca>  [92e722a21bb507165d4895c9a9aa92e53a1241ec]

	Remove declaration of unimplemented functions testAssertDoubleNotEquals1 and testAssertDoubleNotEquals2.

	* examples/cppunittest/TestAssertTest.cpp:
	* examples/cppunittest/TestAssertTest.h: Remove declaration of
	unimplemented functions testAssertDoubleNotEquals1 and
	testAssertDoubleNotEquals2.  Factor new method
	testAssertDoubleNonFinite out of existing testAssertDoubleEquals.

2007-01-27  Steve M. Robbins  <smr@sumost.ca>  [50c65db468b6d10ad8fb42b50e7ea87367c21309]

	Apply patch to fix [ 1293903 ] UNICODE Builds not supported


2007-01-27  Steve M. Robbins  <smr@sumost.ca>  [5542cdca278b1e7070b7c01c3efb086d965628af]

	Note that CPPUNIT_ASSERT_DOUBLES_EQUAL handles non-finite numbers.


2007-01-27  Steve M. Robbins  <smr@sumost.ca>  [edb4a1eb21e2b87761006d1ba2c5600aa46e398f]

	Make sure that CPPUNIT_ASSERT_DOUBLES_EQUAL() properly handles non-finite values.


2007-01-27  Steve M. Robbins  <smr@sumost.ca>  [2ebab48667084132c42cb033e82b89a12c375e1c]

	Add unit tests for CPPUNIT_ASSERT_DOUBLES_EQUAL() that test with non-finite values.


2007-01-27  Steve M. Robbins  <smr@sumost.ca>  [d55799b544efac8b1d822dfa8b0ea4813a2d3ef0]

	Account for non-finite values in assertDoubleEquals().

	Conditional inclusion of cmath rather than math.h removed since (1) it
	was never used as HAVE_CMATH is never defined, and (2) cmath may move
	isfinite() into namespace std.

2007-01-27  Steve M. Robbins  <smr@sumost.ca>  [24f2ebadc613b96c00233969e251bfbc9cd79f9e]

	Check for isfinite() and finite().


2007-01-27  Steve M. Robbins  <smr@sumost.ca>  [7d6214cd9c59476a1c07a4257dcc8e2665b6696e]

	New autoconf macro to test for isfinite() in C++ mode.


2007-01-24  Steve M. Robbins  <smr@sumost.ca>  [0472e3e22cd087cd4e855888280bc8e66708b1d9]

	Update email address of Steve M. Robbins


2007-01-12  Steve M. Robbins  <smr@sumost.ca>  [23c7ea0eeb8eb15b310475b08cf2418ef3035ae8]

	Arrange class initializers in correct order.


2007-01-12  Steve M. Robbins  <smr@sumost.ca>  [f3c96127c3603c7f28f76b8996444c7d56c65dee]

	Ensure virtual class has virtual destructor.


2007-01-12  Steve M. Robbins  <smr@sumost.ca>  [b112c6d9ec9d7313d3befb6f20f55bacaa546149]

	Put a C++ statement in the first argument of CPPUNIT_ASSERT_THROW() and CPPUNIT_ASSERT_NO_THROW().


2007-01-12  Steve M. Robbins  <smr@sumost.ca>  [cc05d17f0e333f1873db4f4beb463ba9af18ee3e]

	Fix examples/hierarchy to actually return the result of the tests. It is expected to fail, so mark it using XFAIL_TESTS in Makefile.am.


2007-01-12  Steve M. Robbins  <smr@sumost.ca>  [3fbaedada4d085493fb04915e589dd1e67ac8575]

	Do not fail dist-hook if $(distdir)/lib exists.


2007-01-12  Steve M. Robbins  <smr@sumost.ca>  [c89f6038418f7506fae80aa49a87c5cc2f3c43f3]

	Add quotes around autoconf macro name, BB_ENABLE_DOXYGEN.


2006-10-26  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f8829a4a51a68df2f2acf7efc9700bec2f028a48]

	- fixed some compilation issues for QtTestRunner.


2006-07-28  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1ac6e21ad18088cc5efdf4dec8a0eba64d87f382]

	Src/msvc6/TesRunner/TestRunner.

	src/msvc6/TesRunner/TestRunner.rc:
	* src/msvc6/testpluginrunner/TestPlugInRunner.rc: Fixed bug #1528212
	(some resources wrongly tagged as French).

2006-07-28  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2cee43d2ed587929aeeb165c0110c2d10d19c830]

	Makefile.

	Makefile.am:
	* lib/.keepme: added dummy file to prevent lib/ removal by some
	unzip clients. Fixed bug #1527877 .

2006-07-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [90ab62e3b8f9ff03448eab66e863a9bc090223e8]

	- fixed bug #1527879 (SourceSafe traces in project)


2006-06-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f2d0f109152632593d39eea8120e64c9d818e071]

	- bumped version to 1.12.0


2006-06-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0c6927e4b1265c282e52dee3fb920321194d80bb]

	- fixed doc typos.


2006-06-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [66b4bab4a576af8f730f3d00b0aeec61fdf02f20]

	- fixed doc typos.


2006-06-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f6eb27936699b0b26f6d923656e70447aa33c9c5]

	src/msvc6/testrunner/MsDevCallerListCtrl.cpp: applied correction provided to fix bug #1498175 (double click on failure does not goto failure).


2006-06-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ba9d97dc78c69d45d769101f13bbfd33f2c66a9b]

	- updated e-mail.


2006-06-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0c70bf45ea4fea57dc425a30ad72d065e4c425de]

	doc/header.html: updated to handle new tabs css required for html doc generated with doxygen 1.4.7.


2006-06-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5db9f86a3c08232a0b8062ef81e8a48a5c0e9bc4]

	autogen.sh: applied patch #1449380 to allow running autogen on Mac OS X.


2006-06-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [69c60785e482690717ac340778b3654ba3ffed0b]

	Include/cppunit/ui/text/TextTestRunner.

	include/cppunit/ui/text/TextTestRunner.h
	* src/cppunit/TextTestRunner.cpp: applied patch #1210013 to remove
	hidden virtual function warning.

2006-06-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [599738e4bc8d0a7790a99e1f888fb32f905a9b5e]

	added simple script to update cvs root (handle new sourceforge cvs server naming)


2006-03-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [b5125e8dfb606c70bc7d518bb9caf3921f621e3c]

	updated release procedure


2006-03-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [504a2fd2a0af68de4ecbc576845fde5b50c0210b]

	Release 1.11.6


2006-03-04  Baptiste Lepilleur  <gaiacrtn@free.fr>  [fe03bbd48ee7f2afdd2b5ff043bc57053fbc2ec1]

	Cppunit.

	cppunit.pc.in:
	* configure.in:
	* Makefile.am: integrated patch from Rober Leight to generate pkg-config.

2006-03-04  Baptiste Lepilleur  <gaiacrtn@free.fr>  [cb3b9b3e6825a186e1978eb238a60bc3fc78a75b]

	removed divideByZero test as it cause crashes on some platforms.


2006-03-04  Baptiste Lepilleur  <gaiacrtn@free.fr>  [aa1a3b17223c8a96295244e69d847112988ef47e]

	Removed debian/ directory.

	removed debian/ directory. An up to date patch can be found at:
	packages.debian.org.
	* cppunit.spec.in: applied patch #1242905 partially (%post and %postun).

2006-03-04  Baptiste Lepilleur  <gaiacrtn@free.fr>  [46d19b63d365b5e726d6a5e125c723f083f50dfc]

	contrib/xml-xsl/report.xsl: reported correction posted on the wiki.


2006-02-04  Baptiste Lepilleur  <gaiacrtn@free.fr>  [68dfca74618671fcf87182ec7e4a0636f7160516]

	removed compilation warning


2006-02-01  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2d1d28c91ead3d5e1676ec138e44c26b1c5a1b5c]

	Examples/qt: integrated Ernst patch from qt examples.


2005-12-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [9d4a769ee6f24f0102c788112b0223fe1531a0c8]

	Integrated Ernst patch for QtTestRunner and Qt 3.

	integrated Ernst patch for QtTestRunner and Qt 3.x.
	* upgrade QtTestRunner to Qt 3.x
	* enhanced qmake project files to handle multiple build configuration

2005-11-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [14f75b034e693de1aee91a8d3de050dc2a7b7c95]

	doc/cookbook.dox: fixed type (patch #1334567)


2005-11-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [56803a0db1161314cb9a0420d48c72bec6cfb9c8]

	release 1.11.4


2005-11-06  Baptiste Lepilleur  <gaiacrtn@free.fr>  [851100400615896cca5e5c92151126f6b9a1fce5]

	Include/cppunit/config/SourcePrefix.

	include/cppunit/config/SourcePrefix.h: disable warning #4996
	(sprintf is deprecated) for visual studio 2005.

	* include/cppunit/TestAssert.h: use sprintf_s instead of sprintf for
	visual studio 2005.

	* examples/ClockerPlugIn/ClockerPlugIn.cpp
	* examples/DumperPlugIn/DumperPlugIn.cpp: use SourcePrefix.h. Fixed
	wrong macro usage to implement DllMain.

	* examples/msvc6/HostApp/ExamplesTestCase.h
	* examples/msvc6/HostApp/ExamplesTestCase.cpp
	* examples/simple/ExamplesTestCase.h
	* examples/simple/ExamplesTestCase.cpp: removed divideByZero test case
	as it cause some crash on some platforms.

2005-10-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c83c8c190636bdfe2acac888c8bc7f326320094e]

	made sure Portability.h is included...


2005-10-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a76879fc6a9ca3d5d243c1b53cf32414cf8a01db]

	include/cppunit/TestAssert.h: added missing #include <stdio.h>


2005-10-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2a0b3b646cb997c2050f545e30076cb823afe886]

	removed most warning when compiling with vc++ 6sp6.


2005-10-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [468098947549fdeb106197a7fe2b97bb811a301b]

	bumped version to 1.11.2


2005-10-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f109fc72e8adcb0a725957509f36638465f56efe]

	better float & double string conversion


2005-10-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [94f55eaeccfcc054780f542ef4744e978f16a4e9]

	Removed most warning when compiling with vc++ 6sp6.

	removed most warning when compiling with vc++ 6sp6.
	* added assert equal usage

2005-10-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6488278b8a805164ed5825e74d71c674e3621cfe]

	removed most warning when compiling with vc++ 6sp6.


2005-10-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5be2e1adea142d98f96d61718d70c48a0961e609]

	removed most warning when compiling with vc++ 6sp6.


2005-08-02  Baptiste Lepilleur  <gaiacrtn@free.fr>  [af164e4c6df13403d5eeab6b5e7bdb4e209d0abd]

	fixed documentation typo.


2005-07-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [9415e6166a3624e0e37eaaaf00e419df8347dba3]

	include/cppunit/config/config-msvc6.h: added missing macro definition CPPUNIT_HAVE_CPP_CAST.


2005-07-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [19427bd102eb200956a2d683081513f7b39cae6c]

	fixed typo.


2005-07-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0a2cd9459ad5b1d7cea32cdd48c88f3e58803591]

	Include/cppunit/config/config-msvc6.

	include/cppunit/config/config-msvc6.h: auto-detect if RTTI are enabled
	the _CPPRTTI macro (defined by the compiler when enabling RTTI).

	* src/cppunit/TestResultCollector.cpp: fixed memory leak in destructor.

2005-07-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [d3e2acd9fb3649ec5a946fc93f431abe49f7f297]

	include/cppunit/config/config-msvc6.h: auto-detect if RTTI are enabled the _CPPRTTI macro (defined by the compiler when enabling RTTI).


2005-07-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1e224c765eeb0cd576d16d2c9c5791bdf475acfa]

	src/cppunit/TestResultCollector.cpp: fixed memory leak in destructor.


2005-07-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [523b8b2eb5154d6508b20401173395e7003bf36a]

	Convert msvc project using dos eol


2005-07-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [41639661afc2e923e2027cef7bed5c5da3df5ebe]

	Release 1.11.0


2005-07-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ba4b216a0b6a493dd13be127574683509902264e]

	release 1.11.0


2005-07-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [7bdb8b0cd7c729caebf2883a2819e7c2e3bd210a]

	cppunit.spec.in: Applied patch #1232555 from Patrice Dumas. This file is use for RPM packaging.


2005-07-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3ece1167b80d0f6abf18077fe5bb50fce6f3d3ab]

	Development snapshot release 1.11.0.


2005-07-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [eb0ea9d72dbd1af37352cd7012dd1023ca006857]

	config/bb_enable_doxygen.m4: Rolled back Brad Hards patch as it break generation of doc/Makefile.am.


2005-07-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f2eb31faded5c473a3e9d33a35b53e76a1a07519]

	Rolled back Brad Hards patch. Cause doc/Makefile.am generation error


2005-07-09  Baptiste Lepilleur  <gaiacrtn@free.fr>  [cc896a6ecff4ef37ec7783b5cf5595990b5848c4]

	doc/money.dox: fixed bad usage of CPPUNIT_ASSERT_EQUALS.


2005-07-09  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4f9eb6fa36b587a501e30f05baa0107a0a22fa6e]

	config/bb_enable_doxygen.m4: applied Brad Hards patch to remove warning when running ./autogen.sh or aclocal.


2005-07-09  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4ec392def4a1b088b0b0c9d6fe6902fffbc4bd94]

	Doc/Money.

	doc/Money.dox:
	* include/cppunit/TestSuite.h:
	* include/cppunit/XmlOutputterHook.h: applied Brad Hards patch
	that correct miscellaneous doc generation issues (unescaped <>, \...).

	* include/cppunit/plugin/TestPlugIn.h:
	* include/cppunit/CompilerOutputter.h:
	* doc/CppUnit-win.dox: removed a few documentation generation warnings.

	* include/cppunit/plugin/TestPlugIn.h:
	* include/cppunit/CompilerOutputter.h:
	* doc/CppUnit-win.dox: removed a few documentation generation warnings.

2005-07-06  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c488ed5434ecab7fe155acc77fa054ddd2d23e61]

	Examples/simple/Makefile.am: do not install 'simple' programm (patch #1230784).


2005-07-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [89a9cb09246597740711e4d7388cf2314109ea70]

	Fixed memory leak occuring when calling reset().

	* include/cppunit/TestResultCollector.h
	* src/cppunit/TestResultCollector.cpp: fixed memory leak
	occuring when calling reset().

	* src/cppunit/DllMain.cpp: added work-around for mingw compilation
	for BLENDFUNCTION macro issue when including windows.h.

	* src/qttestrunner/TestRunnerDlgImpl.cpp: fixed display of multiline
	messages.

	* include/cppunit/Portability.h: better integration of compiler output
	for gcc on Mac OS X with Xcode (contributed by Claus Broch).

2005-07-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [df5f25870ead25e99a0aa55f5183e00e47475867]

	fixed a bunch of typos reported by Dave Dibble.


2005-07-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [652d51e653568fbf652a248c7b9e01e72e6ec50f]

	Fixed  sample unix sample makefile LDFLAGS duplication

	fixed  sample unix sample makefile LDFLAGS duplication
	* m_currency member initialization

2005-07-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [68e28a16e08d031634dd655c84a04a1bc46a28e2]

	fixed  'return wasSuccessful' instead of '!wasSuccessful.'


2005-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [9efb5318f845c9f5d90a8a5c3bc6cec6ea82cc60]

	Contrib/xml-xsl/cppunit2junit.

	contrib/xml-xsl/cppunit2junit.txt
	* contrib/xml-xsl/cppunit2junit.xsl
	* contrib/readme.txt: XSLT for compatibility with Ant junit xml formatter.
	Patch #1112053 contributed by Norbert Barbosa.

2005-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f267542d4b5c64fd565ce8be950e274ee4b96136]

	cppunit.m4: applied patch #1076398 contributed by Henner Sudek. Fix version number comparison in AM_PATH_CPPUNIT.


2005-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [526cb25b7aeba90c8f5b93d74d713d0af79a3bd2]

	MinGW, cygwin: enable build of shared library when using libtool. patch #1194394 contributed by Stéphane Fillod.


2005-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2777d462a0ed2c1b3ad5f183ec6d4094d3f26db4]

	fixed post-build step for running test in vc++


2005-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3fda497e389ae30f9962529eb9509ccc7ecb8090]

	src/msvc6/testrunner/ProgressBar.cpp: applied patch from bug #1165875, (use system color for border instead of hard-coded color).


2005-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1c328b15a649b82882f5741949bd15b4ebf44747]

	src/msvc6/testrunner/ProgressBar.cpp: applied patch from bug #1165875, (use system color for border instead of hard-coded color).


2005-02-23  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4c83a9823fa2839e975239cd4979955db7b6fd75]

	Examples/hierarchy/BoardGameTest.

	examples/hierarchy/BoardGameTest.h:
	* examples/hierarchy/ChessTest.h: fixed compilation issue, prefixed access
	to class member with 'this' (inheriting from template parameter
	dependent class).

2004-11-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [9fd94c8d4923767723045ad7832ffe10122114c9]

	src/cppunit/Win32DynamicLibraryManager.cpp: integrated patch #1024428, MinGW compilation under Windows XP.


2004-11-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [bbedb2fe6ecb05b6a6d48e63c9f09cc9c7768b5c]

	Include/cppunit/Message.

	include/cppunit/Message.h
	* include/cppunit/SourceLine.h:
	* src/cppunit/Message.cpp:
	* src/cppunit/SourceLine.cpp: provided thread-safe copy constructor on
	platform that do not provide thread-safe copy constructor for std::string.

2004-11-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [707400b4c6de94a22075b17d8d4ef08fa75813d9]

	added specific copy constructor implementatin to ensure string buffer are detached during copy (therefore providing thread-safe copy constructor for non thread-safe std::string copy constructor implementation).


2004-11-08  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e321ba14ae0d69ee07bb90fdb6393b8173809644]

	added new line at the end of the file.


2004-11-08  Baptiste Lepilleur  <gaiacrtn@free.fr>  [82e2fa96eada0b1c33b188c2e6e5f5cc8656aaa9]

	include/cppunit/TestAssert.h: fixed portability bug pointed out by Neil Ferguson.


2004-11-06  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a3f4660a90cd14b3ac345e06dcee24ff3570539c]

	include/cppunit/Portability.h: fixed EVC++ 4 detection.


2004-11-06  Baptiste Lepilleur  <gaiacrtn@free.fr>  [9bad41893a55777868a84125fae10aa491cb7abc]

	include/cppunit/TestAssert.h: integrated Neil Ferguson patch for high precision conversion to string for double number. Modified the patch to works even if DBL_DIG C99 macro is not defined.


2004-11-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e298c653900aa83d02c50b6edd541668ba5002f0]

	Include/cppunit/TestAssert.

	include/cppunit/TestAssert.h:
	* src/cppunit/TestAssert.cpp: integrated Neil Ferguson patch for missing
	_MESSAGE assertion variants. Also enhanced the failure message of a
	few assertions.

2004-09-10  Baptiste Lepilleur  <gaiacrtn@free.fr>  [23538b49b25d11680566e8203a618b21acc83c77]

	Src/msvc6/testrunner/MsDevCallerListCtrl.

	src/msvc6/testrunner/MsDevCallerListCtrl.cpp:
	* src/msvc6/testrunner/MsDevCallerListCtrl.h: integrated go to source line
	features on double click contributed by Max Quatember and
	Andreas Pfaffenbichler.

2004-09-10  Baptiste Lepilleur  <gaiacrtn@free.fr>  [eaaedf9da51e4d2335315ae863d1e881083a5354]

	added error message if attempting to compile on a platform other than VC++ 6.


2004-09-02  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f35539a72aa43a56e6ee10d94bc62581f66e6a93]

	Added missing operator <<( const char

	added missing operator <<( const char * )

2004-09-01  Baptiste Lepilleur  <gaiacrtn@free.fr>  [87051183eea0f573bd4f3521446d7eb4da4622be]

	Include/cppunit/XmlOutputter.

	include/cppunit/XmlOutputter.h:
	* include/cppunit/tools/XmlDocument.h
	* src/cppunit/XmlDocument.cpp:
	* src/cppunit/XmlOutputter.cpp: integrated patch #997006 from Akos Maroy.
	This patch makes the 'standalone' attribute in XML header optional.

2004-06-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4a003a878cfff870c7b2417c824042af0af60d59]

	Include/cppunit/Portability.

	include/cppunit/Portability.h: moved OStringStream alias definition to
	Portability/Stream.h. User need to define EVC4 to indicate that
	config-evc4.h should be used. (how to we detect this automatically ?).
	Notes that this means it might be needed to add #include <string> to some
	headers since its no longer included by Portability.h.

	* include/cppunit/Portability/Stream.h: define alias OStringStream, stdCOut(),
	and OFileStream. If CPPUNIT_NO_STREAM is defined (evc4 config), then provides
	our own implementation (based on sprintf and fwrite).

	* include/cppunit/config/config-evc4.h: config file for embedded visual c++ 4.
	Still need to detect for this platform in Portability.h (currently relying on
	EVC4 being defined...)

	* *.[cpp/h]: most source files have been impacted with the following change:
	#include <iostream> -> #include <cppunit/Portability/Stream.h>
	std::ostream -> CPPUNIT_NS::OStream
	std::ofstream -> CPPUNIT_NS::OFileStream
	std::cout -> CPPUNIT_NS::stdCOut()
	std::endl -> "\n"
	Also, code using std::cin as been defined out if CPPUNIT_NO_STREAM was defined.
	The exact list of impact files can be obtain in CVS using tags:
	TG_CPPUNIT_NO_STREAM_BEFORE & TG_CPPUNIT_NO_STREAM_AFTER.

2004-06-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [07996b853a4b796ea6867f7c4a1b36a625cc8390]

	Include/cppunit/Portability.

	include/cppunit/Portability.h: moved OStringStream alias definition to
	Portability/Stream.h. User need to define EVC4 to indicate that
	config-evc4.h should be used. (how to we detect this automatically ?).
	Notes that this means it might be needed to add #include <string> to some
	headers since its no longer included by Portability.h.

	* include/cppunit/Portability/Stream.h: define alias OStringStream, stdCOut(),
	and OFileStream. If CPPUNIT_NO_STREAM is defined (evc4 config), then provides
	our own implementation (based on sprintf and fwrite).

	* include/cppunit/config/config-evc4.h: config file for embedded visual c++ 4.
	Still need to detect for this platform in Portability.h (currently relying on
	EVC4 being defined...)

	* *.[cpp/h]: most source files have been impacted with the following change:
	#include <iostream> -> #include <cppunit/Portability/Stream.h>
	std::ostream -> CPPUNIT_NS::OStream
	std::ofstream -> CPPUNIT_NS::OFileStream
	std::cout -> CPPUNIT_NS::stdCOut()
	std::endl -> "\n"
	Also, code using std::cin as been defined out if CPPUNIT_NO_STREAM was defined.
	The exact list of impact files can be obtain in CVS using tags:
	TG_CPPUNIT_NO_STREAM_BEFORE & TG_CPPUNIT_NO_STREAM_AFTER.

2004-06-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4481c860b0c1a419fa55aa7dfbfd06e84d2a1704]

	Include/cppunit/Portability.

	include/cppunit/Portability.h: moved OStringStream alias definition to
	Portability/Stream.h. User need to define EVC4 to indicate that
	config-evc4.h should be used. (how to we detect this automatically ?).
	Notes that this means it might be needed to add #include <string> to some
	headers since its no longer included by Portability.h.

	* include/cppunit/Portability/Stream.h: define alias OStringStream, stdCOut(),
	and OFileStream. If CPPUNIT_NO_STREAM is defined (evc4 config), then provides
	our own implementation (based on sprintf and fwrite).

	* include/cppunit/config/config-evc4.h: config file for embedded visual c++ 4.
	Still need to detect for this platform in Portability.h (currently relying on
	EVC4 being defined...)

	* *.[cpp/h]: most source files have been impacted with the following change:
	#include <iostream> -> #include <cppunit/Portability/Stream.h>
	std::ostream -> CPPUNIT_NS::OStream
	std::ofstream -> CPPUNIT_NS::OFileStream
	std::cout -> CPPUNIT_NS::stdCOut()
	std::endl -> "\n"
	Also, code using std::cin as been defined out if CPPUNIT_NO_STREAM was defined.
	The exact list of impact files can be obtain in CVS using tags:
	TG_CPPUNIT_NO_STREAM_BEFORE & TG_CPPUNIT_NO_STREAM_AFTER.

2004-06-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [212df8f138166ed053d63d6d54e1a1290e395ae5]

	Include/cppunit/Portability.

	include/cppunit/Portability.h: moved OStringStream alias definition to
	Portability/Stream.h. User need to define EVC4 to indicate that
	config-evc4.h should be used. (how to we detect this automatically ?).
	Notes that this means it might be needed to add #include <string> to some
	headers since its no longer included by Portability.h.

	* include/cppunit/Portability/Stream.h: define alias OStringStream, stdCOut(),
	and OFileStream. If CPPUNIT_NO_STREAM is defined (evc4 config), then provides
	our own implementation (based on sprintf and fwrite).

	* include/cppunit/config/config-evc4.h: config file for embedded visual c++ 4.
	Still need to detect for this platform in Portability.h (currently relying on
	EVC4 being defined...)

	* *.[cpp/h]: most source files have been impacted with the following change:
	#include <iostream> -> #include <cppunit/Portability/Stream.h>
	std::ostream -> CPPUNIT_NS::OStream
	std::ofstream -> CPPUNIT_NS::OFileStream
	std::cout -> CPPUNIT_NS::stdCOut()
	std::endl -> "\n"
	Also, code using std::cin as been defined out if CPPUNIT_NO_STREAM was defined.
	The exact list of impact files can be obtain in CVS using tags:
	TG_CPPUNIT_NO_STREAM_BEFORE & TG_CPPUNIT_NO_STREAM_AFTER.

2004-06-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [d9353259d7f48a5497e72a257f2a549ba719bc0c]

	cppunit.m4: patch #946302, AM_PATH_CPPUNIT doesn't report result if CppUnit is missing.


2004-06-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [d124b155f3c4a942635f668941c08a6ada886309]

	cppunit.m4: patch #946302, AM_PATH_CPPUNIT doesn't report result if CppUnit is missing.


2004-06-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [07dd1768eb57e38705b7943181c549fecd3b0869]

	cppunit.m4: patch #946302, AM_PATH_CPPUNIT doesn't report result if CppUnit is missing.


2004-06-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1c1af6e921e63af3f9f1a81a1e0a74d2531c4062]

	release 1.10.2 done


2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c7c50322ad2cded059832f75333c4820779bbb08]

	Release 10.0.2


2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a2bd285d03987d8f4358523151543554a152324d]

	Src/msvc6/testrunner/TestRunnerDlg.

	src/msvc6/testrunner/TestRunnerDlg.h:
	* src/msvc6/testrunner/TestRunnerDlg.cpp:
	* src/msvc6/testpluginrunner/TestPlugIn.cpp:
	* src/msvc6/testpluginrunner/TestPlugInRunnerApp.cpp:
	* src/msvc6/testpluginrunner/TestPlugInRunnerModel.cpp:
	* src/msvc6/testpluginrunner/TestPlugInRunnerModel.h: bug #952912,
	memory leaks when loading/reloading plug-ins.

2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [19ca7a3dced278cbc1144c6414a51f26ce92bdc8]

	added DEBUG_NEW for memory leaks tracking


2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f6cd21bf8618c4671c52d704d99dc3edd17835f1]

	added a small note on how to try out the test plug in runner.


2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2deded3ae4f749f68d951a0da701d27845f6a7c2]

	added a small notice for VC++ 7


2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [79ed0ede91fa470bc5cbd15f79acd69487369a79]

	Src/

	src/*/*.dsp: bug #933154, post build fail in directory with spaces.

2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a2d3d873f26eabdb63e3099be094dd6e07d63e35]

	updated release instruction


2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [8a5c5134d51ca4982b435a14e062bac6b5a49704]

	Src/DllPlugInTester/

	src/DllPlugInTester/*.cpp: bug #941625, string literal using char *
	instead of const char *. Patch contributed by Curt Arnold has been
	applied.

2004-06-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3bbf1aebb2c0d461b03f6cd8e3b2f964f3d00aeb]

	Include/cppunit/extension/TestSuiteBuilderContext.

	include/cppunit/extension/TestSuiteBuilderContext.h:
	* src/cppunit/TestSuiteBuilderContext.cpp: fixed bug #921843. This bug
	was caused by a known STL bug in VC++ 6.
	See http://www.dinkumware.com/vc_fixes.html <xtree> issue with shared
	std::map in dll. As a work-around the map has been replaced by a vector.

2004-06-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e6ec20ed260093756f7c53007982b98db3a92438]

	Src/

	src/*/*.dsp: bug #933154, post build fail in directory with spaces.

2004-06-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e9f2d7bcb6cc12025e6eedc2e89f928d1bbae70d]

	src/cppunit/TestPath.cpp: bug #938753, array bound read in splitPathString() with substr if an empty string is passed.


2004-06-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f29095da66d810684c4e533ad506b109878e874d]

	src/cppunit/TestPath.cpp: bug #938753, array bound read in splitPathString() with substr if an empty string is passed.


2004-06-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3c055ba1f3974f897500decae49f925bb7385f49]

	src/cppunit/TestPath.cpp: bug #938753, array bound read in splitPathString() with substr if an empty string is passed.


2004-06-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5c9ce8e024326a9dc71c67463f0f75fbf8daed07]

	fixed typo (I'm doing too much python)


2004-06-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [de16a052d9a0d9c436845113bb15d1162f77cf63]

	doc/Makefile.am: fixed bug #940650 => cp -dpR, removed option -p since there is no link to preserve anyway (does not exist on SunOs).


2004-06-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5615ce97bd9c465f6ae0d5ca0641ec5d7f0c5457]

	Include/cppunit/Portability.

	include/cppunit/Portability.h:
	* include/cppunit/plugin/TestPlugIn.h: fixed report compilation issue
	with mingw & cygwin. WIN32 is now always defined if _WIN32 is defined.
	Bug #945737 & #930338.

2004-06-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3217c0e4adaaade5dfa18000fdce28c1a901390a]

	fixing project compilation settings (rtti not always enabled)


2004-06-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5ea8214adc1be7619e7680aca112b4a42618877d]

	reseted interface age stuff


2004-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [569305464ad8a5a2a9d209d9600ef0bf2a80a215]

	updated for 1.10.0


2004-04-09  Baptiste Lepilleur  <gaiacrtn@free.fr>  [8c293cd04eb172504f444c1a8eaeee741e8a68c3]

	clean up


2004-04-09  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0fa2e7dece15cd470b6d2a8d2f2f29a9f31995f8]

	Release 1.

	release 1.10.0

	* install-UNIX.txt: added some notes concerning Sun CC 5.5 & AIX.

2004-03-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [aedca554f54f63a3617bccec0b62b0ee029c8e52]

	release 1.9.14


2004-03-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5bb46c2128a6e0b7c90e4fe64ef7c8e742cd94bc]

	removed usage of std::exception ctor with a string (gcc 2.95 issue)


2004-03-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [224cf85f2b7fd7ec47cda4788902996349f8c754]

	Examples/cppunittest/TestAssertTest.

	examples/cppunittest/TestAssertTest.h:
	* examples/cppunittest/TestAssertTest.cpp:
	* examples/cppunittest/XmlUniformiserTest.h:
	* examples/cppunittest/XmlUniformiserTest.cpp:
	* include/cppunit/TestAssert.h: add the exception assertion macros
	from cppunit 2: CPPUNIT_ASSERT_THROW, CPPUNIT_ASSERT_NO_THROW,
	CPPUNIT_ASSERT_ASSERTION_FAIL, CPPUNIT_ASSERT_ASSERTION_PASS.
	Updated unit test to use and test the new macros.

	* include/cppunit/extensions/HelperMacros.h: deprecated the
	test case factory that check for exception (CPPUNIT_TEST_FAIL &
	CPPUNIT_TEST_EXCEPTION).

2004-03-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [943bbb17d1339a3cae3b930e3f7f1cb2f9fec297]

	src/cppunit/UnixDynamicLibraryManager.cpp: applied patch #816563 from Gareth Sylvester. Adding RTLD_GLOBAL allows test plug-ins to provide symbols to shared objects they load themselves.


2004-03-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [b65ceb2d1c4c4fc1b56f0e04f4d7011cfd4d1a01]

	Examples/qt/Main.

	examples/qt/Main.cpp:
	* examples/qt/ExampleTestCase.h: fixed bug #789672: QT example should
	use CPPUNIT_NS macro.

2004-03-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [80d86cc95af4d1b8249595786eac8bcd7e571f82]

	cppunit-config.in: bug #903363, missing -ldl from the output of cppunit-config --libs. Fixed thanks Eric Blossom patch.


2004-02-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [091e538074fb79d5c1bc29d79ac7f6933f96e8f1]

	configure.in: bumped version number to 1.9.13


2004-02-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [60416b3ee8c85cd016d5ef5177cd4d93f8664398]

	configure.in: bumped version number to 1.9.12


2004-02-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f6afa1ea719406b84e0206814ab770daa777a19e]

	forked, development toward 1.10.0 are now taking place in branch BRANCH_1_9_12 until xml input stuff are integrated.


2004-02-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [b485fd01a1d36028b2baec5c503107cfb77c35b6]

	Configure.

	configure.in:
	* makefile.am:
	* config/ax_cxx_gcc_abi_demangle.m4:
	* src/cppunit/TypeInfoHelper.cpp: added patch from
	Neil Ferguson <nferguso@eso.org> to use gcc c++ abi to demangle typeinfo
	name when available.

2004-02-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [b11bd9019deef39ed969fab8b85771946b83d17b]

	Configure.

	configure.in:
	* config/ax_cxx_gcc_abi_demangle.m4:
	* src/cppunit/TypeInfoHelper.cpp: added patch from
	Neil Ferguson <nferguso@eso.org> to use gcc c++ abi to demangle typeinfo
	name when available.

2003-07-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [90869fe73c518e3135906cd5648834366ada4299]

	include/cppunit/plugin/testplugin.h: fixed bug #767358, wrong preprocessor symbol for SHL_LOADER.


2003-06-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1aaee3a9f07e5a88ef7334dbe4b3f4a8aa1c8fbf]

	removed obsolete bug


2003-05-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e9cfdfdde9cba9d1258f56f3c483b950e38b2749]

	added configuration option for sun CC compiler


2003-05-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [341d0a8b1b645d4d125bedb11c4514fdbaf504ca]

	include/cppunit/config/config-msvc6.h: changed the compiler outputter default format (CPPUNIT_COMPILER_LOCATION_FORMAT) for Visual Studio 7.0. Assertion now appears in the task list.


2003-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5ed43360c17c34b37e6f40cba39d8ce9e6d76e22]

	added new lines


2003-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e574fbb976097a58401ef25033e8c8fb63510ace]

	added : small utility to updated all .cvsignore


2003-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ea186c2750c58bf8fa00ec5a7549424e53d3c2e7]

	added to .cvsignore: SunWS_cache ir.out


2003-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e055e1379963554932bf1e55ca3bb262a37e1038]

	INSTALL-unix: added build instruction for HP-UX.


2003-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [fcf9632822440fad1588dc076e734496591f18ab]

	Makefile.

	Makefile.am
	* configure.in
	* config/ac_dll.m4
	* examples/cppunittest/Makefile.am
	* examples/hierarchy/Makefile.am
	* examples/money/Makefile.am
	* examples/simple/Makefile.am
	* include/cppunit/config/SelectDllLoader.h
	* include/cppunit/plugin/TestPlugIn.h
	* include/cppunit/tools/Algorithm.h
	* src/DllPlugInTester/Makefile.am
	* src/cppunit/Makefile.am
	* src/cppunit/TestDecorator.cpp
	* src/cppunit/ShlDynamicLibraryManager.cpp
	* src/cppunit/UnixDynamicLibraryManager.cpp
	* src/cppunit/Win32DynamicLibraryManager.cpp: applied patch from
	Abdessattar Sassi <abdesassi@users.sourceforge.net> to add support
	for plug-in to hp-ux (patch #721546).

2003-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ad7d9b040b7a78e7ac14f7d3556b2eb5f09f5b81]

	Makefile.

	Makefile.am
	* configure.in
	* config/ac_dll.m4
	* examples/cppunittest/Makefile.am
	* examples/hierarchy/Makefile.am
	* examples/money/Makefile.am
	* examples/simple/Makefile.am
	* include/cppunit/config/SelectDllLoader.h
	* include/cppunit/plugin/TestPlugIn.h
	* include/cppunit/tools/Algorithm.h
	* src/DllPlugInTester/Makefile.am
	* src/cppunit/Makefile.am
	* src/cppunit/TestDecorator.cpp
	* src/cppunit/ShlDynamicLibraryManager.cpp
	* src/cppunit/UnixDynamicLibraryManager.cpp
	* src/cppunit/Win32DynamicLibraryManager.cpp: applied patch from
	Abdessattar Sassi <abdesassi@users.sourceforge.net> to add support
	for plug-in to hp-ux.

2003-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [31ca191eaeffb4288f01b78d64535c70a07473f2]

	hpux support for plugins


2003-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [346b83803ad1329957ddc94380168fdb106f9d3f]

	include/cppunit/extensions/Makefile.am: removed TestSuiteBuilder.h


2003-04-06  Baptiste Lepilleur  <gaiacrtn@free.fr>  [965425ea6d164a498e1349337a885fcc64b9b19f]

	include/cppunit/extensions/TestSuiteBuilder.h: removed (unused)


2003-03-31  Baptiste Lepilleur  <gaiacrtn@free.fr>  [af6bbfefca62714505166f7183c7be8d58d67615]

	src/cppunit/DynamicLibraryManager.cpp: fixed compilation issue on Mingw (bug #711583)


2003-03-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [648770ade19b53b6b845853cdf6bb54b82517363]

	Include/cppunit/extensions/TestNamer.

	include/cppunit/extensions/TestNamer.h:
	* src/cppunit/TestNamer.cpp: Fixed bug #704684, TestNamer has non-virtual
	destructor.

2003-03-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0cc133fe16dbae50a9695b862d018602c62374c0]

	added missing project file


2003-03-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [8dfa4eff94da388729ebb77fa804d3f37ad62fbb]

	added missing project file


2003-03-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [abf432989fde2d72cc56b8b1c8c825efd3ce15eb]

	src/msvc6/testrunner/TestRunnerDlg.cpp: switched to using unsigned index in loop to avoid signed/unsigned warning in vc7.


2003-03-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [25199d28cba480b4649d6e1a8dea3204094ea51f]

	Src/msvc6/testrunner/DynamicWindow/cdxCDynamicWndEx.

	src/msvc6/testrunner/DynamicWindow/cdxCDynamicWndEx.cpp:
	* examples/msvc6/CppUnitTestApp/CppUnitTestApp.cpp:
	* examples/msvc6/HostApp/HostApp.cpp:
	* src/msvc6/testpluginrunner/TestPlugInRunnerApp.cpp: fixed compatibility
	issues with vc7 MFC.

2003-03-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a8f845cd8a0287e0f2827504a709035544521454]

	src/msvc6/testrunner/TestRunnerDlg.cpp: switched to using unsigned index in loop to avoid signed/unsigned warning in vc7.


2003-03-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [80c853f8846ff2f48841ebf2f7b202e3b9a95195]

	Include/cppunit/tools/Algorithm.

	include/cppunit/tools/Algorithm.h:
	* examples/cppunittest/XmlOutputterTest.cpp:
	* examples/cppunittest/XmlUniformiser.*:
	* src/cppunit/CompilerOutputter.cpp:
	* src/cppunit/ProtectorChain.cpp:
	* src/cppunit/StringTools.cpp:
	* src/cppunit/TestPath.cpp:
	* src/cppunit/TypeInfoHelper.cpp:
	* src/cppunit/XmlElement.cpp:
	* src/cppunit/XmlOutputter.cpp:
	* src/DllPlugInTester/CommandLineParser.h:
	* src/msvc6/testrunner/TestRunnerDlg.cpp: switched to using unsigned index in loop to
	avoid signed/unsigned warning in vc7.

2003-03-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c3e47a72d32847f730fc433942fd4e25a4cb3b1c]

	Include/cppunit/tools/Algorithm.

	include/cppunit/tools/Algorithm.h:
	* src/cppunit/CompilerOutputter.cpp:
	* src/cppunit/ProtectorChain.cpp:
	* src/cppunit/StringTools.cpp:
	* src/cppunit/TestPath.cpp:
	* src/cppunit/TypeInfoHelper.cpp:
	* src/cppunit/XmlElement.cpp:
	* src/cppunit/XmlOutputter.cpp: switched to using unsigned index in loop to
	avoid signed/unsigned warning in vc7.

2003-03-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3ffdb56a3c368b8b9c227e4ad2e1e0cbc2c494f3]

	Src/cppunit/CompilerOutputter.

	src/cppunit/CompilerOutputter.cpp:
	* src/cppunit/ProtectorChain.cpp:
	* src/cppunit/StringTools.cpp:
	* src/cppunit/TestPath.cpp:
	* src/cppunit/TypeInfoHelper.cpp:
	* src/cppunit/XmlElement.cpp:
	* src/cppunit/XmlOutputter.cpp: switched to using unsigned index in loop to
	avoid signed/unsigned warning in vc7.

	* include/cppunit/extension/ExceptionTestCaseDecorator.h: removed dll export
	on template (caused link error on vc7).

2003-03-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [97bf50c5b400b6304511286580c8ee160629a8a5]

	fixed typos


2003-03-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0381b7ac442395543a8412c497b693741d572f28]

	Src/examples/cppunittest/TrackedTestCase.

	src/examples/cppunittest/TrackedTestCase.cpp:
	* src/examples/cppunittest/CppUnitTestMain.cpp:
	* src/examples/money/Money.h: partially applied patch #699794. Fixed
	compilation issues with Borland C++ 6.

2003-03-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ec3067809b09107fac6e4e53d94adbe3e9f3de9b]

	Src/cppunit/XmlElement.

	src/cppunit/XmlElement.cpp:
	* src/examples/CppUnitTest/XmlUniformser.cpp: fixed bug #676505 (no space
	between attributes of XmlElement).

2003-03-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6e886d2f1ec0a52a32858e7aa374f031506573d7]

	switched to an implementation using index instead of iterator to avoid usage of typename


2003-03-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [db20dd756fef994fca6dd4785f1ac86e76f3f68e]

	Config/bb_enable_doxygen.

	config/bb_enable_doxygen.m4:
	* doc/Makefile.am: applied Luke Dunstan's fix for bug #700730 (spaces not
	allowed in doxygen path)

2003-03-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0488bd44fb51fcc4a37764c20556fab68b429d2f]

	fixed typos


2003-03-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [cae3d20badb7edef6de1cda979c719bd0d65b655]

	Include/cppunit/tools/Algorithm.

	include/cppunit/tools/Algorithm.h:
	* src/cppunit/TestResult.cpp:
	* src/msvc6/testrunner/TestRunnerModel.cpp: added removeFromSequence
	algorithm in Algorithm.h to fix STLPort compatibility issue
	(std::remove use the one of cstdio instead of algorithm). Bug #694971.

	* include/cppunit/extensions/TestNamer.h: fixed bug #662666 (missing include
	for typeinfo).

	* src/cppunit/TestResult.cpp: TestFailure are no longer passed as temporary,
	but explicitely instantiated on the stack. Work around AIX compiler bug.

2003-03-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4ca86cd4fd9b7a8c2dd60c1b62724b18b7bd5ec7]

	Include/cppunit/tools/Algorithm.

	include/cppunit/tools/Algorithm.h:
	* src/cppunit/TestResult.cpp:
	* src/msvc6/testrunner/TestRunnerModel.cpp: added removeFromSequence
	algorithm in Algorithm.h to fix STLPort compatibility issue
	(std::remove use the one of cstdio instead of algorithm). Bug #694971.

	* include/cppunit/extensions/TestNamer.h: fixed bug #662666 (missing include
	for typeinfo).

	* src/cppunit/TestResult.cpp: TestFailure are no longer passed as temporary,
	but explicitely instantiated on the stack. Work around AIX compiler bug.

2002-12-03  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c349ff0461024ca2cbc1e9844abfdb5996338f04]

	fixed include path


2002-12-03  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5f4e8a237df7cbcb014fa632119fda3b8d32e64a]

	include/cppunit/TextTestResult.h: added missing dll export for operator << (bug #610119).


2002-12-02  Baptiste Lepilleur  <gaiacrtn@free.fr>  [7b97d82c4e077d37db5471d38c3e83b05943e240]

	src/src/msvc6/testrunner/DynamicWindow/cdxCDynamicWnd.cpp: added call to IsUp() in cdxCDynamicWnd::DoOnGetMinMaxInfo() before calling GetBorderSize() which caused an assertion. Bug #643612.


2002-12-02  Baptiste Lepilleur  <gaiacrtn@free.fr>  [edee1aa3443db8be68e48f15348395f4fc6c8cd1]

	src/cppunit/XmlOuputter.cpp: use iterator instead of const_iterator.


2002-12-02  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e2b784709cde0cd7040b4bfb3401869c6306bcc0]

	Include/cppunit/plugin/DynamicLibraryManagerException.

	include/cppunit/plugin/DynamicLibraryManagerException.h: added constructor
	to fix compilation issues on recents version of gcc and sun CC (bug #619059)

	* include/cppunit/input/XmlInputHelper.h: added.

	* include/cppunit/extensions/TestSuiteBuilderContext.h:
	* src/cppunit/TestSuiteBuilderContext.cpp: added addProperty() and
	getStringProperty(). Added macros CPPUNIT_TEST_SUITE_PROPERTY.

	* src/msvc6/testrunner/TestRunnerDlg.cpp: integrated Tim Threlkeld's
	bug fix #610162: browse button was disabled if history was empty.

	* src/msvc6/testrunner/DynamicWindow/cdxCSizeIconCtrl.cpp: integrated
	Tim Threlkeld's bug fix #610191: common control were not initialized.

	* include/cppunit/extensions/ExceptionTestCaseDecorator.h: bug #603172,
	missing Message construction.

	* src/cppunit/DefaultProtector.cpp: bug #603172. Fixed missing ';'.

	* src/cppunit/TestCase.cpp: bug #603671. Removed unguarded typeinfo
	include.

	* examples/cppunittests/*Suite.h: bug #603666. Added missing Portability.h
	include.

2002-09-23  Jan Eric Kyprianidis  <jeh@sourceforge.net>  [faa78dac0e46eef7b529b7be7262f4610f04d432]

	Removed myself <J.E. Hoffmann> from all copyrights and AUTHOR files.


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [42311eeffecb2f2cb766e3164c1e0740d257d65b]

	Small changes to get simple to work


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [a0f34db747dcca29230c61827b97f1c45749850c]

	Moved header to top


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [af1070ecd04e521a6b5510716c00509980cde26c]

	Added newline at end of file (needed for some compilers to work)


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [88d9a32ab5091a940360f1338a641f4f09e453f9]

	Updated coding style to support SUN 4.x compiler


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [90a08ec35df981da24c5c577a00665f07f2f49c1]

	Added comparator to set


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [4d1b49e5049f64b8e1df2eb705c241a9db921a2a]

	Comparator added to map


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [e4dc29229ae6e20b226aec9b99b97611841e2ab0]

	Dereferencing fix for SUN4


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [86431c59f62dc16cb8ed85fb8a927e63c5449ba0]

	<typeinfo> not available if CPPUNIT_USE_TYPEINFO_NAME not defined


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [c826393470c6012e58cac9731d6a2cf96e2ff2b8]

	Map needs comparator, make_pair to pair, and map dereference fix (SUN4)


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [bc0b1c3f1abf0cc570216bed96d7cc84cdb08052]

	Const_iterator to iterator and make_pair to pair for sun4 portability


2002-09-16  Eric Schendel  <esche@sourceforge.net>  [e210106003b1e214b12341e4955b7119b0d49f09]

	Missing semicolon when CPPUNIT_USE_TYPEINFO_NAME not used


2002-09-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4cc417314b4ebd1821022b01b4fcd97b01b91679]

	bumped version to 1.9.11


2002-09-02  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c19824b3f6ecb7c0b2ac784c93d13d1308ad2d81]

	include/cppunit/ui/text/TextTestRunner.h: fixed header guards.


2002-08-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [117c49aaa7670fb610e6d3c2b86f10015a0264a8]

	Attempt to fix the makig of lib directory in tar ball


2002-08-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2ed8d36a0b7d4e22dabd7c09a52e068cbb8b490e]

	added automatic creation of lib directory for tar ball


2002-08-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [bc00993d3ef4f4bbe7e684082d5fda3b6b147845]

	added automatic creation of lib directory for tar ball


2002-08-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ff8ca0aec3f2528f6b01bd71627c0e743b54eecd]

	added automatic creation of lib directory for tar ball


2002-08-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [938c5ebcaed57a6652ae3f189bac55a1489ac478]

	Include/cppunit/TestResult.

	include/cppunit/TestResult.h:
	* src/cppunit/TestResult.cpp: fixed shouldStop() bug.

2002-08-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [93d20fcb3bfbfa1d20e435218b60e6ed768f57b7]

	preparing for 1.9.10 release


2002-08-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [40669673029364275f58207549f91b8390215ec7]

	Include/cppunit/CompilerOutputter.

	include/cppunit/CompilerOutputter.h:
	* include/cppunit/Exception.h:
	* include/cppunit/Protector.h:
	* include/cppunit/TestListener.h:
	* include/cppunit/TestPath.h:
	* include/cppunit/TestResult.h:
	* include/cppunit/TestRunner.h:
	* include/cppunit/XmlOutputter.h:
	* include/cppunit/plugin/DynamicLibraryManager.h:
	* include/cppunit/plugin/PlugInManager.h:
	* include/cppunit/plugin/PlugInParameters.h:
	* include/cppunit/TestPlugIn.h:
	* src/cppunit/DefaultProtector.h:
	* src/cppunit/ProtectorChain.h:
	* src/cppunit/ProtectorContext.h:
	* src/cppunit/TestCase.cpp:
	* src/cppunit/TestResult.cpp: fixed a dew documentation bugs.

	* include/cppunit/TestResult.h:
	* src/cppunit/TestResult.cpp: moved documentation to header.

2002-08-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [eb3575761c12af9822403fcf25b6930150fb6890]

	Include/cppunit/Asserter.

	include/cppunit/Asserter.h:
	* include/cppunit/Message.h:
	* include/cppunit/extensions/TestNamer.h:
	* include/cppunit/extensions/TestSuiteBuilder.h:
	* include/cppunit/tools/XmlDocument.h:
	* include/cppunit/tools/XmlElement.h: Fixed a few documentation bug.

2002-08-28  Baptiste Lepilleur  <gaiacrtn@free.fr>  [edf9c347bd42b7940d39dd70049fb9895d3a3c5a]

	Include/cppunit/Portability.

	include/cppunit/Portability.h: added CPPUNIT_STATIC_CAST.

	* include/cppunit/extensions/TestFixtureFactory.h: extracted from
	HelperMacros.h. Added template class ConcretTestFixtureFactory.

	* include/cppunit/extensions/TestSuiteBuilderContext.h:
	* src/cppunit/TestSuiteBuilderContext.cpp: added. Context used
	to add test case to the fixture suite. Prevent future
	compatibility break for custom test API.

	* include/cppunit/extensions/HelperMacros.h: mostly rewritten. No
	longer use TestSuiteBuilder. Added support for abstract test fixture
	through macro CPPUNIT_TEST_SUITE_END_ABSTRACT. Made custom test API
	easier to use.

	* examples/cppunittest/HelperMacrosTest.h:
	* examples/cppunittest/HelperMacrosTest.cpp: updated against
	HelperMacros.h changes.

2002-08-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [878a1e56ef0858e44310e48fa21781c13a2c0b53]

	fixed Makefile


2002-08-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c86c65b7d821fe4bb046c489528108843513e63d]

	CodingGuideLines.

	CodingGuideLines.txt: updated for OS/390 C++ limitation.

	* examples/cppunittests/MockFunctor.h: added. Mock Functor to help
	testing.

	* examples/cppunittests/MockProtector.h: qdded. Mock Protector to help
	testing.

	* examples/cppunittests/TestResultTest.h
	* examples/cppunittests/TestResultTest.cpp: added tests for
	pushProtector(), popProtector() and protect().

	* include/cppunit/TestAssert.h: removed default message value from
	assertEquals(). Caused compilation error on OS/390.

	* include/cppunit/plugin/PlugInParameters.h:
	* src/cppunit/PlugInParameters.cpp: renamed commandLine() to
	getCommandLine().

	* src/msvc6/testrunner/TestRunnerDlg.h:
	* src/msvc6/testrunner/TestRunnerDlg.cpp: bug fix, disabled Browse
	button while running tests.

2002-08-22  Steve M. Robbins  <smr@sumost.ca>  [69a36d9356412dddb51d8f31fbbac45ac52f7f30]

	Fixed doc bug; note: changelog lines must start with a TAB character


2002-08-04  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a07263d25e98ee65943e1e1dc67c8c9a4e7d7f6d]

	added missing TestDecorator.cpp to makefile.am


2002-08-03  Baptiste Lepilleur  <gaiacrtn@free.fr>  [681d5fdb4c6c3cc26994de055bb8c52d5452bc2d]

	include/cppunit/XmlOutputterHook.h: integrated Stephan Stapel documentation update.


2002-08-03  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e82ccd481800f8f0d36af5310c535b83a6cec788]

	Include/cppunit/Exception.

	include/cppunit/Exception.h:
	* src/cppunit/Exception.h: added setMessage().

	* include/cppunit/Protector.h:
	* src/cppunit/Protector.cpp: added class ProtectorGuard. Change the
	reportXXX() method to support Exception passing and SourceLine.

	* include/cppunit/TestCaller.h: removed 'expect exception' features.
	It is now handled by ExceptionTestCaseDecorator and TestCaller no
	longer need default template argument support.

	* include/cppunit/TestCase.h:
	* include/cppunit/extensions/TestCaller.h: runTest() is now public
	instead of protected, so that it can be decorated.

	* include/cppunit/TestResult.h:
	* src/cppunit/TestResult.h: added pushProtector() and popProtector()
	methods. This allow user to specify their own exception trap when
	running test case.

	* include/cppunit/extensions/TestDecorator.h:
	* src/cppunit/TestDecorator.cpp: added. Extracted from TestDecorator.h.
	The test passed to the constructor is now owned by the decorator.

	* include/cppunit/extensions/TestCaseDecorator.h:
	* src/cppunit/TestCaseDecorator.cpp: added. Decorator for TestCase
	setUp(), tearDown() and runTest().

	* include/cppunit/extensions/ExceptionTestCaseDecorator.h: added.
	TestCaseDecorator to expect that a specific exception is thrown.

	* include/cppunit/extensions/HelperMacros.h: updated against TestCaller
	change.

	* src/cppunit/DefaultFunctor.h: fixed bug (did not return underlying
	test return code).

	* src/cppunit/ProtectorChain.cpp: fixed bug in chaing return code.

	* src/cppunit/DefaultFunctor.h: fixed bug.

	* src/msvc6/testrunner/ActiveTest.h:
	* src/msvc6/testrunner/ActiveTest.cpp: updated against
	TestCaseDecorator ownership policy change. Moved inline functions
	to .cpp.

	* examples/cppunittest/TestSetUpTest.cpp: updated to use MockTestCase
	and against the new ownership policy.

	* examples/cppunittest/TestDecoratorTest.cpp:
	* examples/cppunittest/RepeatedTestTest.cpp: updated against
	TestDecorator ownership policy change.

	* examples/cppunittest/ExceptionTestCaseDecoratorTest.h:
	* examples/cppunittest/ExceptionTestCaseDecoratorTest.cpp: added. Unit
	tests for ExceptionTestCaseDecoratorTest.

2002-07-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2a31073734be6e44e477079699578820282b7345]

	Include/cppunit/Protector.

	include/cppunit/Protector.h:
	* src/cppunit/Protector.cpp: added. Base class for protectors.

	* src/cppunit/DefaultProtector.h:
	* src/cppunit/DefaultProtector.cpp: added. Implementation of the default
	protector used to catch std::exception and any other exception.

	* src/cppunit/ProtectorChain.h:
	* src/cppunit/ProtectorChain.cpp: added. Implementation of a chain of
	protector, allowing catching custom exception and implementation of
	expected exception.

	* src/cppunit/TestCase.cpp:
	* src/cppunit/TestResult.cpp: updated to use protector.

2002-07-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [251c1ff8aecaa608ef9e6041c2691d369430bf7b]

	CodingGuideLines.

	CodingGuideLines.txt: added. CppUnit's coding guidelines for portability.

	* include/cppunit/portability/CppUnitStack.h: added. wrapper for std::stack.

	* include/cppunit/portability/CppUnitSet.h: added. wrapper for std::set.

	* include/cppunit/ui/text/TestRunner.h: fixed namespace definition for
	deprecated TestRunner.

	* include/cppunit/TestAssert.h:
	* src/cppunit/TestAssert.cpp: removed old deprecated functions that did
	not use SourceLine. Moved assertEquals() and assertDoubleEquals() into
	CppUnit namespace.

	* src/cppunit/TestFactoryRegistry.cpp: use CppUnitMap instead of std::map.

	* src/DllPlugInTester/CommandLineParser.h: use CppUnitDeque instead
	std::deque.

	* examples/cppunittest/*.h:
	* examples/cppunittest/*.cpp: removed all usage of CppUnitTest namespace.
	Everything is now in global space.

	* examples/*/*.h:
	* examples/*/*.cpp: replaced usage of CppUnit:: with CPPUNIT_NS::.

	* examples/ClockerPlugIn/ClockerModel.h: use CppUnit STL wrapper instead
	of STL container.

2002-07-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0807889cb53679c5a9e741e8dedc3668ef59729b]

	Include/cppunit/ui/text/TestRunner.

	include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: Renamed TextUi::TestRunner
	TextTestRunner and moved it to the CppUnit namespace. Added
	a deprecated typedef for compatibility with previous version.

	* include/cppunit/ui/text/TextTestRunner.h: added.

	* include/cppunit/ui/mfc/TestRunner.h:
	* src/cppunit/msvc6/testrunner/TestRunner.cpp: Renamed MfcUi::TestRunner
	MfcTestRunner. Added deprecated typedef for compatibility. Renamed
	TestRunner.cpp to MfcTestRunner.cpp.

	* include/cppunit/ui/mfc/MfcTestRunner.h: added.

	* include/cppunit/ui/qt/TestRunner.h:
	* src/qttestrunner/TestRunner.cpp: renamed QtUi::TestRunner QtTestRunner
	and moved it to CppUnit namespace. Added a deprecated typedef for
	compatibility. Renamed TestRunner.cpp to QtTestRunner.cpp.

	* include/cppunit/ui/qt/TestRunner.h:
	* src/qttestrunner/TestRunner.h: Moved TestRunner to CppUnit namespace
	and renamed it QtTestRunner. Added deprecated typedef for compatibility.

	* include/cppunit/Asserter.h:
	* src/cppunit/Asserter.cpp: changed namespace Asserter to a struct and
	made all methods static.

	* include/cppunit/extensions/HelperMacros.h:
	* include/cppunit/extensions/SourceLine.h:
	* include/cppunit/extensions/TestAssert.h:
	* include/cppunit/extensions/TestPlugIn.h:
	* include/cppunit/Portability.h: changed CPPUNIT_NS(symbol) to a
	symbol macro that expand either to CppUnit or nothing. The symbol is
	no longer a parameter.

	* include/cppunit/portability/CppUnitVector.h:
	* include/cppunit/portability/CppUnitDeque.h:
	* include/cppunit/portability/CppUnitMap.h: added. STL Wrapper for
	compilers that do not support template default argumenent and need
	the allocator to be passed when instantiating STL container.

	* examples/cppunittest/*.h:
	* examples/cppunittest/*.cpp:
	* src/msvc6/testrunner/*.h:
	* src/msvc6/testrunner/*.cpp:
	* src/msvc6/testpluginrunner/*.h:
	* src/msvc6/testpluginrunner/*.cpp:
	* src/qttestrunner/*.h:
	* src/qttestrunner/*.cpp: replaced occurence of CppUnit:: by CPPUNIT_NS.

	* src/cppunit/TestSuite.h:
	replaced occurence of std::vector by CppUnitVector.

2002-07-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f1bf3276752a10a2cdf4e3cf3087399d199c4566]

	Include/cppunit/ui/text/TestRunner.

	include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: Renamed TextUi::TestRunner
	TextTestRunner and moved it to the CppUnit namespace. Added
	a deprecated typedef for compatibility with previous version.

	* include/cppunit/ui/text/TextTestRunner.h: added.

	* include/cppunit/ui/mfc/TestRunner.h:
	* src/cppunit/msvc6/testrunner/TestRunner.cpp: Renamed MfcUi::TestRunner
	MfcTestRunner. Added deprecated typedef for compatibility. Renamed
	TestRunner.cpp to MfcTestRunner.cpp.

	* include/cppunit/ui/mfc/MfcTestRunner.h: added.

	* include/cppunit/ui/qt/TestRunner.h:
	* src/qttestrunner/TestRunner.cpp: renamed QtUi::TestRunner QtTestRunner
	and moved it to CppUnit namespace. Added a deprecated typedef for
	compatibility. Renamed TestRunner.cpp to QtTestRunner.cpp.

	* include/cppunit/ui/qt/TestRunner.h:
	* src/qttestrunner/TestRunner.h: Moved TestRunner to CppUnit namespace
	and renamed it QtTestRunner. Added deprecated typedef for compatibility.

	* include/cppunit/Asserter.h:
	* src/cppunit/Asserter.cpp: changed namespace Asserter to a struct and
	made all methods static.

	* include/cppunit/extensions/HelperMacros.h:
	* include/cppunit/extensions/SourceLine.h:
	* include/cppunit/extensions/TestAssert.h:
	* include/cppunit/extensions/TestPlugIn.h:
	* include/cppunit/Portability.h: changed CPPUNIT_NS(symbol) to a
	symbol macro that expand either to CppUnit or nothing. The symbol is
	no longer a parameter.

	* include/cppunit/portability/CppUnitVector.h:
	* include/cppunit/portability/CppUnitDeque.h:
	* include/cppunit/portability/CppUnitMap.h: added. STL Wrapper for
	compilers that do not support template default argumenent and need
	the allocator to be passed when instantiating STL container.

	* examples/cppunittest/*.h:
	* examples/cppunittest/*.cpp:
	* src/msvc6/testrunner/*.h:
	* src/msvc6/testrunner/*.cpp:
	* src/msvc6/testpluginrunner/*.h:
	* src/msvc6/testpluginrunner/*.cpp:
	* src/qttestrunner/*.h:
	* src/qttestrunner/*.cpp: replaced occurence of CppUnit:: by CPPUNIT_NS.

	* src/cppunit/TestSuite.h:
	replaced occurence of std::vector by CppUnitVector.

2002-07-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [570132ec2707c8bac6c27c758254f05e293fe613]

	added missing src/msvc6/testrunner/ResourceLoaders.h/.cpp.


2002-07-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f7b3edec972200bde92ede325bf3a7309ca0a4a7]

	Doc/doxyfile.

	doc/doxyfile.in:
	* doc/CppUnit-Win.dox: updated doxygen configuration files so that
	CPPUNIT_NS_BEGIN and CPPUNIT_NS_END macros are expanded. This help
	generates the documentation using the CppUnit namespace.

2002-07-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [10c39014e897d43e118e2ddd4f2c90b7de7ec517]

	Include/cppunit/config/Portability.

	include/cppunit/config/Portability.h: If the compiler does not support
	namespace (CPPUNIT_HAVE_NAMESPACES=0), define CPPUNIT_NO_STD_NAMESPACE
	and CPPUNIT_NO_NAMESPACE. If CPPUNIT_NO_STD_NAMESPACE is defined, then
	CppUnit assumes that STL are in the global namespace. If
	CPPUNIT_NO_NAMESPACE is defined, then CppUnit classes are placed in the
	global namespace instead of the CppUnit namespace.

	* include/cppunit/config/config-bcb5.h:
	* include/cppunit/config/config-msvc6.h: added definition of macro
	CPPUNIT_HAVE_NAMESPACES.

	* include/cppunit/tools/StringTools.h: use CPPUNIT_WRAP_COLUMN as default
	parameter value for wrap().

	* include/cppunit/*/*.h:
	* src/cppunit/*.cpp: changed all CppUnit namespace declaration to use
	macros CPPUNIT_NS_BEGIN and CPPUNIT_NS_END. Also, changed reference
	to CppUnit namespace (essentially in macros) using CPPUNIT_NS macro.

2002-07-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6943d47a76445bbfebc99859ed38698760354642]

	added missing files


2002-07-10  Baptiste Lepilleur  <gaiacrtn@free.fr>  [85aa074c02154107459755b2a3ddbc0b5767558a]

	Include/cppunit/extensions/AutoRegisterSuite.

	include/cppunit/extensions/AutoRegisterSuite.h:
	* include/cppunit/extensions/Orthodox.h:
	* include/cppunit/extensions/TestSuiteBuilder.h:
	* include/cppunit/extensions/TestSuiteFactory.h:
	* include/cppunit/TestCaller.h:
	* examples/hierarchy/BoardGameTest.h:
	* examples/hierarchy/ChessTest.h: replaced usage of 'typename' in template
	declaration with 'class'.

	* include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: updated to use the generic TestRunner.
	Removed methods runTestByName() and runTest(). Inherits
	CppUnit::TestRunner.

	* include/cppunit/extensions/TestSuiteBuilder.h: removed templatized method
	addTestCallerForException(). It is no longer used since release 1.9.8.

	* examples/cppunittest/MockTestCase.h
	* examples/cppunittest/MockTestCase.cpp: removed the usage of 'mutable'
	keyword.

2002-07-03  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ad45759ab7a47c7a7932f7e6be66f3ea106b643b]

	Include/cppunit/XmlOutputter.

	include/cppunit/XmlOutputter.h: fixed XmlOutputter constructed default
	value initializatino which caused compilation error with BC5.

	* src/cppunit/PlugInManager.cpp: added missing CPPUNIT_NO_TESTPLUGIN guard.

	* src/msvc6/testrunner/TestRunner.dsp:
	* src/msvc6/testrunner/TestRunner.rc:
	* src/msvc6/testrunner/TestRunnerDlg.cpp:
	* src/msvc6/testrunner/TestRunnerDlg.h:
	* src/msvc6/testrunner/TreeHierarchyDlg.cpp:
	* src/msvc6/testrunner/TreeHierarchyDlg.h:
	* src/msvc6/testpluginrunner/TestPlugInRunner.dsp:
	* src/msvc6/testpluginrunner/TestPlugInRunner.rc:
	* src/msvc6/testpluginrunner/TestPlugInRunnerApp.cpp:
	* src/msvc6/testpluginrunner/TestPlugInRunnerDlg.cpp:
	* src/msvc6/testpluginrunner/TestPlugInRunnerDlg.h: applied Steven Mitter
	patch to fix bug #530426 (conflict between TestRunner and host application
	resources). Adapted patch to compile work with Unicode.

	* src/msvc6/testrunner/ResourceLoaders.h:
	* src/msvc6/testrunner/ResourceLoaders.cpp:
	* src/msvc6/testrunner/Change-Diary-ResourceBugFix.txt: added, from
	Steven Mitter's patch. Simplified loadCString() to compile with Unicode.

	* src/cppunit/cppunit.dsp:
	* src/cppunit/cppunit_dll.dsp:
	* src/DllPlugInTester/DllPlugInTester.dsp:
	* src/msvc6/testrunner/TestRunner.dsp:
	* src/msvc6/testpluginrunner/TestPlugInRunner.dsp: all lib, dll and exe are
	now created in the intermediate directory. A post-build rule is used to
	copy them to the lib/ directory.

2002-06-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [d8e61dcb0fd9046b44ca3e9e6868b5429eee8aa9]

	added missing files


2002-06-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f3d181101f6f05668932b3fb1b0238d67435d67b]

	added missing files


2002-06-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [502027fc46a95707c9be143526a862bf1a654d89]

	examples/cppunittest/MessageTest.cpp: removed std::string() from assertion. Somehow gcc can't parse it. Added missing include <stdexcept>.


2002-06-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5a0e3a8fbba6565fdca153f584560d104d07b384]

	Examples/cppunittest/MessageTest.

	examples/cppunittest/MessageTest.cpp:
	* examples/cppunittest/XmlElement.cpp: added missing include <stdexcept>.

2002-06-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [81f96d1b9e849fc77b6a8b66c6e7e8eb62fa6552]

	added ToolsSuite.h


2002-06-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5e29d623a9e21dbc51aba45da655de373dbacd18]

	Src/cppunit/Message.

	src/cppunit/Message.cpp:
	* src/cppunit/XmlElement.cpp: added missing include <stdexcept>

2002-06-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0a810d68d0550ba6f7f28f2e0dfcef691bdca7b4]

	Release 1.

	release 1.9.8

	* include/cppunit/plugin/TestPlugIn.h: updated documentation.

	* include/cppunit/tools/XmlDocument.h: updated documentation.

	* include/cppunit/tools/StringTools.h:
	* src/cppunit/StringTools.cpp: added split() and wrap() functions.

	* include/cppunit/CompilerOutputter.h:
	* src/cppunit/CompilerOutputter.cpp: extracted wrap() and
	splitMessageIntoLines() to StringTools.

	* include/cppunit/XmlOutputterHook.h:
	* src/cppunit/XmlOutputterHook.cpp: removed rooNode parameter from
	beginDocument() and endDocument(). It can be retreive from document.
	Renamed 'node' occurences to 'element'.

	* include/cppunit/XmlOutputter.h:
	* src/cppunit/XmlOutputter.cpp: updated against
	XmlOutputterHook changes. Renamed 'node' occurences to 'element'.

	* examples/ClockerPlugIn/ClockerXmlHook.h:
	* examples/ClockerPlugIn/ClockerXmlHook.cpp: updated against
	XmlOutputterHook changes.

	* examples/cppunittest/XmlElementTest.h:
	* examples/cppunittest/XmlElementTest.cpp: Renamed 'node' occurences
	to 'element'.

	* examples/cppunittest/XmlOutputterTest.cpp: updated against
	XmlOutputterHook changes.

	* examples/cppunittest/StringToolsTest.h:
	* examples/cppunittest/StringToolsTest.cpp: added. Unit tests for
	StringTools. Turn out that VC++ dismiss empty lines in tools output,
	which is the reason why empty lines where not printed in
	CompilerOutputter.

2002-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [73a038f1eaa268cec330d971fb550befec6f7798]

	Include/cppunit/plugin/PlugInManager.

	include/cppunit/plugin/PlugInManager.h:
	* src/cppunit/PlugInManager.cpp: added two methods to use the plug-in
	interface for Xml Outputter hooks.

	* include/cppunit/plugin/TestPlugIn.h: added two methods to the plug-in
	interface for Xml Outputter hooks.

	* include/cppunit/plugin/TestPlugInAdapter.h:
	* src/cppunit/plugin/TestPlugInAdapter.cpp: renamed TestPlugInDefaultImpl.
	Added empty implementation for Xml outputter hook methods.

	* include/cppunit/tools/StringTools.h:
	* src/cppunit/tools/StringTools.cpp: added. Functions to manipulate string
	(conversion, wrapping...)

	* include/cppunit/tools/XmlElement.h:
	* src/cppunit/XmlElement.cpp: renamed addNode() to addElement(). Added
	methods to walk and modify XmlElement (for hook). Added documentation.
	Use StringTools.

	* include/cppunit/XmlOutputter.h:
	* src/cppunit/XmlOutputter.cpp: added hook calls & management.

	* include/cppunit/XmlOutputterHook.h:
	* src/cppunit/XmlOutputterHook.cpp: added. Hook to customize XML output.

	* src/DllPlugInTester/DllPlugInTester.cpp: call plug-in XmlOutputterHook
	when writing XML output. Modified so that memory is freed before
	unloading the test plug-in (caused crash when freeing the XmlDocument).

	* examples/ReadMe.txt:
	* examples/ClockerPlugIn/ReadMe.txt: added details about the plug-in
	(usage, xml content...)

	* examples/ClockerPlugIn/ClockerModel.h:
	* examples/ClockerPlugIn/ClockerModel.cpp: extracted from ClockerListener.
	Represents the test hierarchy and tracked time for each test.

	* examples/ClockerPlugIn/ClockerListener.h:
	* examples/ClockerPlugIn/ClockerListener.cpp: extracted test hierarchy
	tracking to ClockerModel. Replaced the 'flat' view option with a 'text'
	option to print the timed test tree to stdout.

	* examples/ClockerPlugIn/ClockerPlugIn.cpp: updated to hook the XML
	output and use the new classes.

	* examples/ClockerPlugIn/ClockerXmlHook.h:
	* examples/ClockerPlugIn/ClockerXmlHook.cpp: added. XmlOutputterHook to
	includes the timed test hierarchy and test timing in the XML output.

	* examples/cppunittest/XmlElementTest.h:
	* examples/cppunittest/XmlElementTest.cpp: added new test cases.

	* examples/cppunittest/XmlOutputterTest.h:
	* examples/cppunittest/XmlOutputterTest.cpp: added tests for
	XmlOutputterHook.

2002-06-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f39e160fba25476de7d41e2f19d756db7ee76dc7]

	Src/cppunit/TypeInfoHelper.

	src/cppunit/TypeInfoHelper.cpp: added work around for bug #565481.
	gcc 3.0 RTTI name() returns the type prefixed with a number (the
	length of the type). The work around strip the number.

	* src/msvc6/testpluginrunner/TestPlugInRunnerApp.cpp: registry key is now
	set. Allow to save settings.

	* src/msvc6/testpluginrunner/TestPlugInRunnerDlg.h:
	* src/msvc6/testpluginrunner/TestPlugInRunnerDlg.cpp: added layout
	initialization for resizing.

	* src/msvc6/testpluginrunner/TestPlugRunner.rc:
	* src/msvc6/testpluginrunner/TestPlugInRunner.dsp: added TestRunner
	project files. Somehow I can't get cdxCDynamicDialog to compile
	as a MFC extension. Included all sources files and resources
	as a very dirt work around.

	* src/msvc6/testrunner/TestRunnerDlg.h:
	* src/msvc6/testrunner/TestRunnerDlg.cpp:
	* src/msvc6/testrunner/TestRunnerModel.h: those classes are no longer
	exported in the MFC extension. See TestPlugInRunner issue with
	cdxCDynamicDialog.

	* include/cppunit/Message.h:
	* include/cppunit/TestPath.h:
	* include/cppunit/TestResult.h:
	* include/cppunit/TestResultCollector.h:
	* include/cppunit/TestSuite.h:
	* include/cppunit/TestFactoryRegistry.h:
	* include/cppunit/XmlElement.h:
	* include/cppunit/TypeInfoHelper.h: commented out STL template export
	in DLL. This caused conflicts when instantiting the same template in
	a user project.

2002-06-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6b57ee7236610cc5ac9e388bb73be1854429a27b]

	Src/cppunit/CompilerOutputter.

	src/cppunit/CompilerOutputter.cpp: fixed bug #549762 (line wrap).

	* src/msvc6/testrunner/DynamicWindow/*: added. Dynamic Window library
	from Hans Bühler (hans.buehler@topmail.de) to resize window.

	* src/msvc6/testrunner/TestRunnerModel.h:
	* src/msvc6/testrunner/TestRunnerModel.cpp: removed dialog bounds from
	settings. Added public registry keys for cppunit, main dialog, and
	browse dialog.

	* src/msvc6/testrunner/TreeHierarchyDlg.h:
	* src/msvc6/testrunner/TreeHierarchyDlg.cpp: dialog is now resizable.
	Window placement is stored and restored.

	* src/msvc6/testrunner/TestRunnerDlg.h:
	* src/msvc6/testrunner/TestRunnerDlg.cpp: replaced dialog resizing code
	by usage of Hans Bühler's Dynamic Window library. Dialog placement
	is stored/restored by that library. ProgressBar is now a child window.
	Added edit field to see the details of the failure. List on show
	the short description of the failure.

	* src/msvc6/testrunner/ProgressBar.h:
	* src/msvc6/testrunner/ProgressBar.cpp: is now a CWnd.

	* src/msvc6/testrunner/TestRunner.rc: named all static fill ID for resizing.
	Added an invisble static field for progress bar placement.

2002-06-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [7f0766499db248afe9985a5700c22f9a8ce7ce6c]

	Include/cppunit/NotEqualException.

	include/cppunit/NotEqualException.h:
	* src/cppunit/NotEqualException.cpp: removed.

	* include/cppunit/Exception.h:
	* src/cppunit/Exception.cpp: removed 'type' related stuffs.

	* include/cppunit/TextTestResult.h:
	* src/cppunit/TextTestResult.cpp: delegate printing to TextOutputter.

	* examples/simple/ExampleTestCase.h:
	* examples/simple/ExampleTestCase.cpp: reindented.

	* src/qttestrunner/build:
	* src/qttestrunner/qttestrunner.pro:
	* src/qttestrunner/TestBrowserDlgImpl.h:
	* src/qttestrunner/TestRunnerModel.h: applied Thomas Neidhart's patch,
	'Some minor fixes to compile QTTestrunner under Linux.'.

2002-06-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [abd178318ae3cdb6cc0a700e77414a33ef9297ca]

	Include/cppunit/Asserter.

	include/cppunit/Asserter.h:
	* src/cppunit/Asserter.cpp: added functions that take a Message as a
	parameter. Existing function have a short description indicating
	an assertion failure.

	* include/cppunit/CompilerOuputter.h:
	* src/cppunit/CompilerOuputter.cpp: removed printNotEqualMessage() and
	printDefaultMessage(). Updated to use Message.

	* include/cppunit/Message.h:
	* src/cppunit/Message.cpp: added. Represents a message associated to an
	Exception.

	* include/cppunit/Exception.h:
	* src/cppunit/Exception.cpp: the message associated to the exception is now
	stored as a Message instead of a string.

	* include/cppunit/NotEqualException.cpp: constructs a Message instead of a
	string.

	* include/cppunit/TestAssert.h:
	* src/cppunit/TestAssert.cpp: updated to use Asserter functions that
	take a message when pertinent (CPPUNIT_FAIL...).

	* include/cppunit/TestCaller.h:
	* src/cppunit/TestCaller.cpp: exception not caught failure has a better
	short description.

	* src/cppunit/TestCase.cpp: better short description when setUp() or
	tearDown() fail.

	* src/msvc6/testrunner/TestRunnerDlg.cpp: replace '\n' in failure message
	with space.

	* examples/cppunittest/ExceptionTest.cpp:
	* examples/cppunittest/NotEqualExceptionTest.cpp:
	* examples/cppunittest/TestCallerTest.cpp:
	* examples/cppunittest/TestFailureTest.cpp:
	* examples/cppunittest/TestResultCollectorTest.h:
	* examples/cppunittest/TestResultCollectorTest.cpp:
	* examples/cppunittest/TestResultTest.cpp:
	* examples/cppunittest/XmlOutputterTest.h:
	* examples/cppunittest/XmlOutputterTest.cpp: updated to use Exception/Message.

	* examples/cppunittest/MessageTest.h:
	* examples/cppunittest/MessageTest.cpp: added. Unit test for Message.

2002-06-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3702f4f7603f1e49b4d6747c49e795bad712eab7]

	Install-unix: added some hints extracted from bug #544684 on how to compile for Solaris/Forte C++ compiler.

	install-unix: added some hints extracted from bug #544684 on how to compile
	for Solaris/Forte C++ compiler.

	* TODO: cleaned-up and added new things.

	* include/cppunit/extensions/HelperMacros.h: CPPUNIT_TEST_SUITE now declares
	a class named ThisTestFixtureFactory which is a wrapper for the fixture
	factory. This removes the need to cast the fixture to the correct type when
	using the factory. Updated other macros implementation to use this new
	factory. Modified CPPUNIT_TEST_CUSTOM(S) macros to use this new factory
	class. Added macro CPPUNIT_TEST_ADD to help create new macros like
	CPPUNIT_TEST_xxx.

	* examples/cppunittest/HelperMacrosTest.h:
	* examples/cppunittest/HelperMacrosTest.cpp: added unit tests for
	CPPUNIT_TEST_CUSTOM, CPPUNIT_TEST_CUSTOMS and CPPUNIT_TEST_ADD.

2002-06-01  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1fe54971424f393a2bb2566bc14af5e899e98ebb]

	Doc/cookbook.

	doc/cookbook.dox: fixed bug.

	* install-unix: added compilation instruction for Solaris/Sun 6.0

2002-05-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [b87cde884d03091d81e4d3fa2199155e152dda80]

	Include/cppunit/extensions/TestSuiteBuilder.

	include/cppunit/extensions/TestSuiteBuilder.h: updated to use TestNamer. Removed
	template method addTestCallerForException() which should solve the compilation
	issue with Sun 5.0/6.0 compiler.

	* include/cppunit/extensions/HelperMacros.h: updated against TestSuiteBuilder
	change. Added CPPUNIT_TEST_CUSTOM and CPPUNIT_TEST_CUSTOMS to add custom
	tests to the fixture suite.

	* include/cppunit/extensions/TestNamer.h:
	* src/cppunit/TestNamer.cpp: added, TestNamer to name test case and fixture.

2002-05-23  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5ad4640702a80078748b38ebaeda37e69dce1189]

	Include/cppunit/XmlOutputter.

	include/cppunit/XmlOutputter.h:
	* src/cppunit/XmlOutputter.cpp: extracted class XmlOutputter::Node to
	XmlElement. Extracted xml 'prolog' generation to XmlDocument.

	* include/cppunit/tools/XmlElement.h:
	* src/cppunit/tools/XmlElement.cpp: added, extracted from XmlOutputter::Node.

	* include/cppunit/tools/XmlDocument.h:
	* src/cppunit/tools/XmlDocument.cpp: added, extracted from XmlOutputter. Handle
	XML document prolog (encoding & style-sheet) and manage the root element.

	* src/DllPlugInTester/DllPlugInTester.cpp: bug fix, flag --xsl was ignored.

	* examples/cppunittest/XmlOutputterTest.h:
	* examples/cppunittest/XmlOutputterTest.cpp: updated for XmlOuputter changes.
	extracted tests for XmlOutputter::Node to XmlElementTest

	* examples/cppunittest/XmlElementTest.h:
	* examples/cppunittest/XmlElementTest.cpp: added, tests extracted from
	XmlOutputterTest.

2002-05-22  Baptiste Lepilleur  <gaiacrtn@free.fr>  [7edd0684368ed3c43fe2707d1d34d6b7590d9fd6]

	Src/msvc6/testrunner/MsDevCallerListCtrl.

	src/msvc6/testrunner/MsDevCallerListCtrl.h:
	* src/msvc6/testrunner/MsDevCallerListCtrl.cpp:
	* src/msvc6/testrunner/Resource.h:
	* src/msvc6/testrunner/TestRunner.rc:
	* src/msvc6/testrunner/TestRunnerDlg.cpp:
	* src/msvc6/testrunner/TestRunnerModel.h:
	* src/msvc6/testpluginrunner/TestPlugInRunner.rc:
	* src/msvc6/testpluginrunner/TestPlugInRunnerDlg.cpp:
	* src/msvc6/testpluginrunner/TestPlugInRunnerDlg.h:
	* src/msvc6/testpluginrunner/TestPlugInRunnerModel.cpp: integrated patch from
	Marco Welti (Welti@GretagMacbeth.ch) with a few clean up.
	Display the name of the test being run during above the progress bar. Allow the
	VC++ add-ins to works with TestPlugInRunner (COM init). DLL name can be specified
	on the command line after flag '-testsuite'. Display wait cursor, clear and reload
	history when reloading DLL.

	* THANKS: added Marco Welti to the list.

2002-05-18  Steve M. Robbins  <smr@sumost.ca>  [a882d92fce563e1d0612f16cfa48956fe904d92b]

	*** empty log message ***


2002-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [60979bfc4903e27e0d90b60db0a2d95bfabb7aea]

	Src/DllPlugInTester/CommandLineParser.

	src/DllPlugInTester/CommandLineParser.cpp: fixed compilation issue.

	* src/msvc6/TestRunner/ActiveTest.h:
	* src/msvc6/TestRunner/ActiveTest.cpp: reindented. bugfix: thread handle
	resource leak (bug #553424).

2002-05-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2159f78d59e9cedede0ef5b51d4f37dd1b3489b9]

	Src/DllPlugInTester/CommandLineParser.

	src/DllPlugInTester/CommandLineParser.cpp: fixed compilation issue.

	* src/msvc6/TestRunner/ActiveTest.h:
	* src/msvc6/TestRunner/ActiveTest.cpp: reindented. bugfix: thread handle
	resource leak (bug #553424).

2002-04-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [8167f9cbc23ba04493a4356e597e46424f1756b1]

	Src/cppunit/XmlOutputter.

	src/cppunit/XmlOutputter.cpp: bugfix, use ISO-8859-1 encoding if an
	empty string is given.

	* src/DllPlugInTester/CommandLineParser.h:
	* src/DllPlugInTester/CommandLineParser.cpp:
	* src/DllPlugInTester/DllPlugInTester.cpp: added option -w to wait for
	the user to press a key before exiting (Philippe Lavoie patch,
	with change).

2002-04-23  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f32756d95c8c4711032c2da415779f5e589017ec]

	Bumped version to 1.

	bumped version to 1.9.7

	* comitted stuffs I forgot to in 1.9.6.

2002-04-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [82438cf5d90805bc845d703bba5a785bd04ad9c4]

	* bumped version to 1.9.7

	* comitted stuffs I forgot to in 1.9.6.

2002-04-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f174b32b6ef313c2db3a0959d8e0b6999c73504f]

	fixed


2002-04-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3f136c0fc41dedf45eddcb6c775022594f0213c0]

	fixed uppercase problem


2002-04-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5b8e2772369bc18f019dcf5f83ad64682e3b9783]

	fixed double definition of LDFLAGS


2002-04-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [534701d71c6469b6aa7ab058a0588a42b608f6a9]

	fixed directory money


2002-04-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [760c2b74740203dfef1f776703f28b39d1988f64]

	Contrib/bc5/bcc-makefile.

	contrib/bc5/bcc-makefile.zip: updated, generic makefile for
	Borland 5.5, contributed by project cuppa.

	* examples/cppunittest/*Suite.h: integrated Jeffrey Morgan's patch,
	to remove warning with gcc.

2002-04-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [dc8b1409bebf9a50c5199d613d5f742f7a11fec8]

	Examples/Money/

	examples/Money/*: added. New 'hello world' example.

	* doc/Money.dox: added. Article that go along with the Money example.

2002-04-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ca5f94534beb3fb395a397a2fe991f4c64fb2f84]

	Src/DllPlugInTester/makefile.

	src/DllPlugInTester/makefile.am: removed ld.so from LDADD flags.

	* src/DllPlugInTester/CommandLineParser.h:
	* src/DllPlugInTester/CommandLineParser.cpp: rewrote, fixed problem
	with double quotes in command line...

	* src/DllPlugInTester/CommandLineParserTest.h:
	* src/DllPlugInTester/CommandLineParserTest.cpp:
	* src/DllPlugInTester/DllPlugInTesterTest.cpp: added, unit tests for
	CommandLineParser.

	* src/msvc6/TestPlugIn/*: removed.

2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [aa3e46e802dc5139e3e2c32e6a00526697e8a0aa]

	fixed makefile


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4f00591f699c93cb0a5a444343ff18adf1c6547c]

	Fixed makefile


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [81dfff45b2e5b9810b23abe36f79757ce15f288f]

	Added missing Makefile to AC_OUT


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a6d73ef517d6fd6638ef9e20694026ae33bc7df7]

	Attempted dummy fix


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f7ee922e54cb1f2dd7c39149f02e0f858be7cb19]

	Attempted dummy fix


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [67f3d059c02426b2151243e9086e3556a8066608]

	Attempted dummy fix


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e80efeca169e6c8dbb4664f75d0c8a48a397bf0f]

	No message


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e108e04fa44e87fd9a4e0fd6f665f04ece8b2fdd]

	removed ld.so


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [7541b42da5138d42e1a784b856834dd79b022ac9]

	changed .at() to []


2002-04-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f05089dffe81419786776b60bc2dc13d2a421a5c]

	THANKS: updated

	THANKS: updated

	* src/cppunit/DynamicLibraryManager.cpp: bugfix: did not pass
	library name to exception.

	* include/cppunit/TestPath.h:
	* src/cppunit/TestPath.cpp: changed into value object.

	* src/cppunit/BeosDynamicLibraryManager.cpp: integrated patch from
	Shibu Yoshiki for BeOS ('cuppa' project team).

	* src/DllPlugInTester/CommandLineParser.h:
	* src/DllPlugInTester/CommandLineParser.cpp: added. Command line
	parsing.

	* src/DllPlugInTester/DllPlugInTester.cpp: full command line support
	with parameters for plug-ins.

	* src/DllPlugInTester/makefile.am:
	* examples/simple/makefile.am:
	* examples/cppunittest/makefile.am: integrated Jeffrey Morgan patch,
	Unix side should be working again.

	* examples/ReadMe.txt: added. Brief description of each example.

	* examples/cppunittest/CppUnitTestPlugIn.cpp:
	* examples/cppunittest/CppUnitTestPlugIn.dsp: added. New project to
	build CppUnit's test suite as a test plug-in.

	* examples/cppunittest/CppUnitTestSuite.cpp: updated. Use new
	helper macros to create the test suite hierarchy.

	* examples/simple/simple_plugin.opt: added. Contains debug tab
	settings.

	* examples/ClockerPlugIn/ClockerListener.cpp:
	* examples/ClockerPlugIn/ClockerListener.h:
	* examples/ClockerPlugIn/Timer.cpp:
	* examples/ClockerPlugIn/Timer.h:
	* examples/ClockerPlugIn/WinNtTimer.cpp:
	* examples/ClockerPlugIn/WinNtTimer.h:
	* examples/ClockerPlugIn/ClockerPlugIn.cpp:
	* examples/ClockerPlugIn/ClockerPlugIn.dsp: added. test listener
	plug-in that times tests.

	* examples/DumperPlugIn/DumperListener.cpp:
	* examples/DumperPlugIn/DumperListener.h:
	* examples/DumperPlugIn/DumperPlugIn.cpp:
	* examples/DumperPlugIn/DumperPlugIn.dsp: added. test listener
	plug-in that dump the test tree.

2002-04-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c4995a9e022ed586cf4e3f166738dfe01bf51c16]

	release 1.9.4


2002-04-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6f18ffa547247dfdc1e764dd876eabc35d187d8f]

	release 1.9.4


2002-04-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [132990f7754ed88caf4d03da395db4fe4947230f]

	release 1.9.4


2002-04-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0aebae162476acace5580d3b54109111ff3514ca]

	Src/cppunit/PlugInManager.

	src/cppunit/PlugInManager.cpp: fixed bug in unload().

	* include/cppunit/TypeInfoHelper.h:
	* src/cppunit/TypeInfoHelper.cpp: Implementation is now always available
	is CPPUNIT_HAVE_RTTI is not 0. This removes the need to use
	different libraries. CPPUNIT_USE_TYPEINFO_NAME can be set on a
	case by case basis for HelperMacros.

	* src/cppunit/TestFactoryRegistry.cpp: removed unused include of
	TypeInfoHelper.h.

	* include/cppunit/TextTestProgressListener.h:
	* src/cppunit/TextTestProgressListener.cpp: used endTest() instead
	of done() to finalize.

	* src/msvc6/TestPlugInRunner/TestPlugIn.h:
	* src/msvc6/TestPlugInRunner/TestPlugIn.cpp: updated to use the
	new test plug-in system.

	* examples/simple/SimplePlugIn.cpp:
	* examples/simple/simple_plugin.dsp: crossplatform test plug-in
	example using 'simple'.

	* examples/msvc6/EasyTestPlugIn/*: projects replaced with the
	crossplatform projecct examples/simple/simple_plugin.dsp.

2002-04-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [626e37841cfedef589fecb975876e7d22986cfb7]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

	* src/cppunit/TypeInfoHelper.cpp: fixed implementation to be more
	portable.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [d564cf8e0506bbc2c8c39ebbfb6d913d140afa6e]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e77c0f10932d05cecbe8e5a54c6f46aea2ff0919]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1b2b7f00caede2dea2960f21297767d73fb2404d]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [480e0b5ad43ab32d2d31a64295240e0a4f9e6a3d]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [24cab9efdce91f68cfbe687f5fdd203256ea38f9]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0c7fb5f279e56f26a04d6d390150d8b6b456769e]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5344c7ed620a32bfd5177fac5eedb026372b6cff]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [162c0c3207dfad18a221c20b71a3b4f74b57be02]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [d52d679fe5d63085ea6c8b4514456df41b4677be]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0780ab42fae50562f1d579f135b68b8744173730]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [43eda14fc2e475d09b1d514c82aad4c54652b631]

	Configure.

	configure.in: added some makefile.am

	* contrib/readme.txt: updated.

	* contrib/bc5/bc5-makefile.zip: added borland 5.5 makefile. Contributed by
	project cuppa.

2002-04-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [87e5cf8f526380c40f63208c6c9e785f73d327b7]

	Bumped version to 1.

	bumped version to 1.9.3

	* FAQ: added question about 4786 warning on VC++.

	* NEWS: updated.

	* contrib/msvc/readme.txt: moved to contrib/readme.txt.

	* contrib/xml-xsl/report.xsl: added XML style sheet contributed by
	'cuppa' project team (http://sourceforge.jp/projects/cuppa/)

	* examples/cppunittest/TestResultTest.h:
	* examples/cppunittest/TestResultTest.cpp: added tests for
	startTestRun()/endTestRun().

	* examples/simple/*: added. A simple example.

	* include/cppunit/BriefTestProgressListener.h:
	* src/cppunit/BriefTestProgressListener.cpp: added. Verbose progess listener
	that print the test name before running the test.

	* include/cppunit/TestListener.h: added startTestRun()/endTestRun().

	* include/cppunit/TestResult.h:
	* src/cppunit/TestResult.cpp: added runTest(), to be called to run
	a test by test runner.

	* src/cppunit/TextTestRunner.cpp:
	* src/cppunit/TestRunner.cpp: updated to use TestResult::runTest().

	* include/cppunit/plugin/PlugInManager.h:
	* src/cppunit/PlugInManager.cpp: added. Managers for all loaded plug-ins.

	* include/cppunit/plugin/TestPlugInDefaultImpl.h:
	* src/cppunit/TestPlugInDefaultImpl.cpp: renamed TestPlugInAdapter. All
	implementations are empty.

	* include/cppunit/plugin/TestPlugInSuite.h: removed.
	* src/cppunit/TestPlugInSuite.cpp: removed. Replaced by PlugInManager.

	* include/cppunit/plugin/TestPlugIn.h: rewrote the plug-in interface to
	provide more versatility. updated macros to match new interface.

	* include/cppunit/extensions/TestFactoryRegistry.h:
	* include/cppunit/extensions/TestFactoryRegistry.cpp: Added unregisterFactory().
	Added convenience method addRegistry(). Rewrote registry life cycle
	management. AutoRegisterSuite can now detect that the registry has been
	destroy and not call to it to unregister its test factory.

	* include/cppunit/extensions/AutoRegisterTest.h: on destruction, the registered
	factory is unregistered from the registry.

	* include/cppunit/extensions/HelperMacros.h: added macros
	CPPUNIT_REGISTRY_ADD_TO_DEFAULT and CPPUNIT_REGISTRY_ADD to help
	build test suite hierarchy.

	* src/cppunit/msvc/DllPlugInTester/*: moved to src/cppunit/DllPlugInTester/.

	* src/cppunit/DllPlugInTester/DllPlugInTester.cpp: removed UNICODE stuffs. Use
	the PlugInManager instead of PlugInTestSuite. Simplified: only one test on
	command line, but many DLL can be specified. Added configurations to link
	against cppunit dll, those are now the default configuration (static linking
	don't make much sense for plug-in).

2002-04-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6c1e9ed0f8fd7339084186df71b4dfc4c98a524e]

	1.9.2 release


2002-04-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5266a9f8ed92bd764bfbdb53e948b9e73e1defd9]

	removed old config file that moved to config/


2002-04-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2133ec9c3ece7af5ce80dd73ad15781987ee090b]

	fixed flag for dlopen


2002-04-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [cf352512860130973fa99c2a017ddb68525c26cd]

	fixed typo


2002-04-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e508c621cb32033278f5c83cdc6d74beb2ed03a9]

	correct sucess typo.


2002-04-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [617df034edf60f5792f09d7a03085907644cc55d]

	updated main definition on unix


2002-04-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [20c6f600f1c80aa16aa12761ea534b3af81a0be7]

	NEWS: updated.

	NEWS: updated.

	* configure.in: added include/cppunit/config/Makefile and
	include/cppunit/plugin/Makefile to the list of target.

	* doc/CppUnit-win.dox: enabled generation of HTML Help documentation.

	* include/cppunit/config/Makefile.am:
	* include/cppunit/plugin/Makefile.am: added.

	* include/cppunit/config-bcb5.h:
	* include/cppunit/config-msvc6.h:
	* include/cppunit/config-mac.h: moved to include/cppunit/config/.

	* include/cppunit/Portability.h: updated config files location. Added macros
	CPPUNIT_STRINGIZE and CPPUNIT_JOIN (implementation adapted from boost.org).
	Added macro CPPUNIT_MAKE_UNIQUE_NAME.

	* include/cppunit/Test.h: modified methods order.

	* include/cppunit/extensions/HelperMacros.h: renamed macro
	__CPPUNIT_MAKE_UNIQUE_NAME to CPPUNIT_MAKE_UNIQUE_NAME and moved its
	definition to include/cppunit/Portability.h.

	* include/cppunit/extensions/TestDecorator.h: Inherits Test instead of TestLeaf.

	* include/cppunit/plugin/DynamicLibraryManager.h:
	* src/cppunit/DynamicLibraryManager.cpp: added. DLL manager (load & lookup
	symbol).

	* src/cppunit/BeOsDynamicLibraryManager.cpp:
	* src/cppunit/UnixDynamicLibraryManager.cpp:
	* src/cppunit/Win32DynamicLibraryManager.cpp: added. Implementation of
	platform dependent methods of DynamicLibraryManager.

	* include/cppunit/plugin/DynamicLibraryManagerException.h:
	* src/cppunit/DynamicLibraryManagerException.cpp: added. Exception thrown
	by DynamicLibraryManager.

	* include/cppunit/plugin/TestPlugIn.h: added. CppUnitTestPlugIn interface
	definition. Helper macros to implements plug-in.

	* include/cppunit/plugin/TestPlugInSuite.h:
	* src/cppunit/plugin/TestPlugInSuite.cpp: added. A suite to wrap a test
	plug-in.

	* include/cppunit/plugin/TestPlugInDefaultImpl.h:
	* src/cppunit/TestPlugInDefaultImpl.cpp: added. A default implementation
	of the test plug-in interface.

	* src/msvc6/DllPlugInTester/DllPlugInTester.cpp: updated to use the
	new TestPlugIn.

	* examples/cppunittest/TestResultCollectorTest.cpp: fixed typo.

2002-04-15  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1b4bcf6f703248cb397587fe08635a1491d460ec]

	NEWS: updated.

	NEWS: updated.

	* configure.in: added include/cppunit/config/Makefile and
	include/cppunit/plugin/Makefile to the list of target.

	* doc/CppUnit-win.dox: enabled generation of HTML Help documentation.

	* include/cppunit/config/Makefile.am:
	* include/cppunit/plugin/Makefile.am: added.

	* include/cppunit/config-bcb5.h:
	* include/cppunit/config-msvc6.h:
	* include/cppunit/config-mac.h: moved to include/cppunit/config/.

	* include/cppunit/Portability.h: updated config files location. Added macros
	CPPUNIT_STRINGIZE and CPPUNIT_JOIN (implementation adapted from boost.org).
	Added macro CPPUNIT_MAKE_UNIQUE_NAME.

	* include/cppunit/Test.h: modified methods order.

	* include/cppunit/extensions/HelperMacros.h: renamed macro
	__CPPUNIT_MAKE_UNIQUE_NAME to CPPUNIT_MAKE_UNIQUE_NAME and moved its
	definition to include/cppunit/Portability.h.

	* include/cppunit/extensions/TestDecorator.h: Inherits Test instead of TestLeaf.

	* include/cppunit/plugin/DynamicLibraryManager.h:
	* src/cppunit/DynamicLibraryManager.cpp: added. DLL manager (load & lookup
	symbol).

	* src/cppunit/BeOsDynamicLibraryManager.cpp:
	* src/cppunit/UnixDynamicLibraryManager.cpp:
	* src/cppunit/Win32DynamicLibraryManager.cpp: added. Implementation of
	platform dependent methods of DynamicLibraryManager.

	* include/cppunit/plugin/DynamicLibraryManagerException.h:
	* src/cppunit/DynamicLibraryManagerException.cpp: added. Exception thrown
	by DynamicLibraryManager.

	* include/cppunit/plugin/TestPlugIn.h: added. CppUnitTestPlugIn interface
	definition. Helper macros to implements plug-in.

	* include/cppunit/plugin/TestPlugInSuite.h:
	* src/cppunit/plugin/TestPlugInSuite.cpp: added. A suite to wrap a test
	plug-in.

	* include/cppunit/plugin/TestPlugInDefaultImpl.h:
	* src/cppunit/TestPlugInDefaultImpl.cpp: added. A default implementation
	of the test plug-in interface.

	* src/msvc6/DllPlugInTester/DllPlugInTester.cpp: updated to use the
	new TestPlugIn.

	* examples/cppunittest/TestResultCollectorTest.cpp: fixed typo.

2002-04-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5f5af41d52c01c8320baffea21cd60ebbb16380b]

	NEWS: updated.

	NEWS: updated.

	* include/cppunit/TestSucessListener.h:
	* src/cppunit/TestSucessListener.cpp: renamed TestSuccessListener

	* doc/cookbook.dox:
	* src/msvc6/DllPlugInTester/DllPlugInTester.cpp:
	* examples/cppunittest/TestResultCollectorTest.h:
	* examples/cppunittest/TestResultCollectorTest.cpp:
	* examples/cppunittest/XmlOutputterTest.h:
	* examples/cppunittest/XmlOutputterTest.cpp:
	* include/cppunit/CompilerOutputter.h:
	* include/cppunit/TestListener.h:
	* include/cppunit/XmlOutputter.h:
	* src/cppunit/XmlOutputter.cpp:
	* src/cppunit/CompilerOutputter.cpp: fixed 'success' typo (was misspelled
	'sucess').

	* include/cppunit/TestResultCollector.h:
	* src/cppunit/TestResultCollector.cpp: updated (renaming of
	TestSucessListener).

	* src/cppunit/XmlOutputter.cpp:
	* examples/cppunittest/XmlOutputterTest.cpp: Changed SucessfulTests tag to
	SucessfulTests.

2002-04-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [70d62c5c20105c982df7379e2e61148fc959ff35]

	Include/cppunit/XmlOutputter.

	include/cppunit/XmlOutputter.h:
	* src/cppunit/XmlOutputter.cpp: Made XML output more human readable. Idented element.

	* examples/cppunittest/XmlUniformiser.h:
	* examples/cppunittest/XmlUniformiser.cpp:
	* examples/cppunittest/XmlUniformiserTest.cpp: modified to ignore trailing space
	at the end of element content.

2002-04-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [342c67d11745f45c60deea59163c035ca5780619]

	NEWS: updated

	NEWS: updated

	* doc/other_documentation.dox: addded new module for test plug-in.

	* include/msvc6/DSPlugin/TestRunnerDSPlugin.h:
	* include/msvc6/DSPlugin/TestRunnerDSPlugin_i.c: added. Those file are
	generated by project src/msvc/DSPlugin. They are provided to allow
	compilation of TestRunner without compiling DSPlugIn which does not
	build on VC++ 7.

	* examples/examples.dsw: removed DSPlugIn for workspace (fail to build
	with VC++ 7). Added DllPlugInTester.dsp to workspace.

	* examples/msvc6/TestPlugIn/TestPlugIn.dsp: added post-build unit testing
	using the new DllPlugInTester.

	* examples/msvc6/EasyTestPlugIn/*: a new project that
	demonstrates the use of CPPUNIT_TESTPLUGIN_IMPL to create a test plug-in.

	* src/cppunit/cppunit.dsw:
	* src/TestPlugInRunner.dsw:
	* src/TestRunner.dsw: removed. Should use src/CppUnitLibraries.dsw instead.

	* include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: removed findTestName() method. Replaced
	by Test::findTest().

	* src/msvc6/DSPlugIn/DSPlugIn.dsp:
	* src/msvc6/DSPlugIn/DSAddIn.h: changed include for add-in. MIDL generates
	files in sub-directory ToAddToDistribution. Generated file should be
	copied to include/msvc6/DSPlugin when modified. This remove the dependecy
	of MfcTestRunner on DSPlugIn.

	* src/msvc6/testrunner/ListCtrlFormatter.h:
	* src/msvc6/testrunner/ListCtrlFormatter.cpp: added GetNextColumnIndex().

	* src/msvc6/testrunner/src/TestRunnerDlg.h:
	* src/msvc6/testrunner/src/TestRunnerDlg.cpp: set column number in
	MsDevCallerListCtrl when initializing the list.

	* src/msvc6/testrunner/src/MsDevCallerListCtrl.h:
	* src/msvc6/testrunner/src/MsDevCallerListCtrl.cpp: column indexes for
	file and line number are no longer static. Added methods to set those
	indexes. Changed DSPlugIn header name.

	* include/msvc6/testrunner/TestPlugInInterface.h: fixed inclusion of
	windows header for WINAPI. Added macro CPPUNIT_TESTPLUGIN_IMPL to
	automatically implements a test plug-in.

	* src/msvc6/DllPlugInTester/*: added new project. A application to test DLL
	and report using CompilerOutputter. Target for post-build testing and
	debugging of DLL.

2002-04-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [078219e49578aacebe75c3030e937382e9bcc25a]

	NEWS: updated

	NEWS: updated

	* doc/other_documentation.dox: addded new module for test plug-in.

	* include/msvc6/DSPlugin/TestRunnerDSPlugin.h:
	* include/msvc6/DSPlugin/TestRunnerDSPlugin_i.c: added. Those file are
	generated by project src/msvc/DSPlugin. They are provided to allow
	compilation of TestRunner without compiling DSPlugIn which does not
	build on VC++ 7.

	* examples/examples.dsw: removed DSPlugIn for workspace (fail to build
	with VC++ 7). Added DllPlugInTester.dsp to workspace.

	* examples/msvc6/TestPlugIn/TestPlugIn.dsp: added post-build unit testing
	using the new DllPlugInTester.

	* examples/msvc6/EasyTestPlugIn/*: a new project that
	demonstrates the use of CPPUNIT_TESTPLUGIN_IMPL to create a test plug-in.

	* src/cppunit/cppunit.dsw:
	* src/TestPlugInRunner.dsw:
	* src/TestRunner.dsw: removed. Should use src/CppUnitLibraries.dsw instead.

	* include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: removed findTestName() method. Replaced
	by Test::findTest().

	* src/msvc6/DSPlugIn/DSPlugIn.dsp:
	* src/msvc6/DSPlugIn/DSAddIn.h: changed include for add-in. MIDL generates
	files in sub-directory ToAddToDistribution. Generated file should be
	copied to include/msvc6/DSPlugin when modified. This remove the dependecy
	of MfcTestRunner on DSPlugIn.

	* src/msvc6/testrunner/ListCtrlFormatter.h:
	* src/msvc6/testrunner/ListCtrlFormatter.cpp: added GetNextColumnIndex().

	* src/msvc6/testrunner/src/TestRunnerDlg.h:
	* src/msvc6/testrunner/src/TestRunnerDlg.cpp: set column number in
	MsDevCallerListCtrl when initializing the list.

	* src/msvc6/testrunner/src/MsDevCallerListCtrl.h:
	* src/msvc6/testrunner/src/MsDevCallerListCtrl.cpp: column indexes for
	file and line number are no longer static. Added methods to set those
	indexes. Changed DSPlugIn header name.

	* include/msvc6/testrunner/TestPlugInInterface.h: fixed inclusion of
	windows header for WINAPI. Added macro CPPUNIT_TESTPLUGIN_IMPL to
	automatically implements a test plug-in.

	* src/msvc6/DllPlugInTester/*: added new project. A application to test DLL
	and report using CompilerOutputter. Target for post-build testing and
	debugging of DLL.

2002-04-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e3b064511e6afaac020f6798101f3415fa5b5669]

	NEWS: updated

	NEWS: updated

	* doc/other_documentation.dox: addded new module for test plug-in.

	* include/msvc6/DSPlugin/TestRunnerDSPlugin.h:
	* include/msvc6/DSPlugin/TestRunnerDSPlugin_i.c: added. Those file are
	generated by project src/msvc/DSPlugin. They are provided to allow
	compilation of TestRunner without compiling DSPlugIn which does not
	build on VC++ 7.

	* examples/examples.dsw: removed DSPlugIn for workspace (fail to build
	with VC++ 7). Added DllPlugInTester.dsp to workspace.

	* examples/msvc6/TestPlugIn/TestPlugIn.dsp: added post-build unit testing
	using the new DllPlugInTester.

	* examples/msvc6/EasyTestPlugIn/*: a new project that
	demonstrates the use of CPPUNIT_TESTPLUGIN_IMPL to create a test plug-in.

	* src/cppunit/cppunit.dsw:
	* src/TestPlugInRunner.dsw:
	* src/TestRunner.dsw: removed. Should use src/CppUnitLibraries.dsw instead.

	* include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: removed findTestName() method. Replaced
	by Test::findTest().

	* src/msvc6/DSPlugIn/DSPlugIn.dsp:
	* src/msvc6/DSPlugIn/DSAddIn.h: changed include for add-in. MIDL generates
	files in sub-directory ToAddToDistribution. Generated file should be
	copied to include/msvc6/DSPlugin when modified. This remove the dependecy
	of MfcTestRunner on DSPlugIn.

	* src/msvc6/testrunner/ListCtrlFormatter.h:
	* src/msvc6/testrunner/ListCtrlFormatter.cpp: added GetNextColumnIndex().

	* src/msvc6/testrunner/src/TestRunnerDlg.h:
	* src/msvc6/testrunner/src/TestRunnerDlg.cpp: set column number in
	MsDevCallerListCtrl when initializing the list.

	* src/msvc6/testrunner/src/MsDevCallerListCtrl.h:
	* src/msvc6/testrunner/src/MsDevCallerListCtrl.cpp: column indexes for
	file and line number are no longer static. Added methods to set those
	indexes. Changed DSPlugIn header name.

	* include/msvc6/testrunner/TestPlugInInterface.h: fixed inclusion of
	windows header for WINAPI. Added macro CPPUNIT_TESTPLUGIN_IMPL to
	automatically implements a test plug-in.

	* src/msvc6/DllPlugInTester/*: added new project. A application to test DLL
	and report using CompilerOutputter. Target for post-build testing and
	debugging of DLL.

2002-04-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [7cbee31232ecfa1c62427534a017258fa3651819]

	NEWS: updated

	NEWS: updated

	* doc/other_documentation.dox: addded new module for test plug-in.

	* include/msvc6/DSPlugin/TestRunnerDSPlugin.h:
	* include/msvc6/DSPlugin/TestRunnerDSPlugin_i.c: added. Those file are
	generated by project src/msvc/DSPlugin. They are provided to allow
	compilation of TestRunner without compiling DSPlugIn which does not
	build on VC++ 7.

	* examples/examples.dsw: removed DSPlugIn for workspace (fail to build
	with VC++ 7). Added DllPlugInTester.dsp to workspace.

	* examples/msvc6/TestPlugIn/TestPlugIn.dsp: added post-build unit testing
	using the new DllPlugInTester.

	* examples/msvc6/EasyTestPlugIn/*: a new project that
	demonstrates the use of CPPUNIT_TESTPLUGIN_IMPL to create a test plug-in.

	* src/cppunit/cppunit.dsw:
	* src/TestPlugInRunner.dsw:
	* src/TestRunner.dsw: removed. Should use src/CppUnitLibraries.dsw instead.

	* include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: removed findTestName() method. Replaced
	by Test::findTest().

	* src/msvc6/DSPlugIn/DSPlugIn.dsp:
	* src/msvc6/DSPlugIn/DSAddIn.h: changed include for add-in. MIDL generates
	files in sub-directory ToAddToDistribution. Generated file should be
	copied to include/msvc6/DSPlugin when modified. This remove the dependecy
	of MfcTestRunner on DSPlugIn.

	* src/msvc6/testrunner/ListCtrlFormatter.h:
	* src/msvc6/testrunner/ListCtrlFormatter.cpp: added GetNextColumnIndex().

	* src/msvc6/testrunner/src/TestRunnerDlg.h:
	* src/msvc6/testrunner/src/TestRunnerDlg.cpp: set column number in
	MsDevCallerListCtrl when initializing the list.

	* src/msvc6/testrunner/src/MsDevCallerListCtrl.h:
	* src/msvc6/testrunner/src/MsDevCallerListCtrl.cpp: column indexes for
	file and line number are no longer static. Added methods to set those
	indexes. Changed DSPlugIn header name.

	* include/msvc6/testrunner/TestPlugInInterface.h: fixed inclusion of
	windows header for WINAPI. Added macro CPPUNIT_TESTPLUGIN_IMPL to
	automatically implements a test plug-in.

	* src/msvc6/DllPlugInTester/*: added new project. A application to test DLL
	and report using CompilerOutputter. Target for post-build testing and
	debugging of DLL.

2002-04-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [94a8e22283176893db25e23f69e14000a96dfdee]

	NEWS: updated

	NEWS: updated

	* doc/other_documentation.dox: addded new module for test plug-in.

	* include/msvc6/DSPlugin/TestRunnerDSPlugin.h:
	* include/msvc6/DSPlugin/TestRunnerDSPlugin_i.c: added. Those file are
	generated by project src/msvc/DSPlugin. They are provided to allow
	compilation of TestRunner without compiling DSPlugIn which does not
	build on VC++ 7.

	* examples/examples.dsw: removed DSPlugIn for workspace (fail to build
	with VC++ 7). Added DllPlugInTester.dsp to workspace.

	* examples/msvc6/TestPlugIn/TestPlugIn.dsp: added post-build unit testing
	using the new DllPlugInTester.

	* examples/msvc6/EasyTestPlugIn/*: a new project that
	demonstrates the use of CPPUNIT_TESTPLUGIN_IMPL to create a test plug-in.

	* src/cppunit/cppunit.dsw:
	* src/TestPlugInRunner.dsw:
	* src/TestRunner.dsw: removed. Should use src/CppUnitLibraries.dsw instead.

	* include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: removed findTestName() method. Replaced
	by Test::findTest().

	* src/msvc6/DSPlugIn/DSPlugIn.dsp:
	* src/msvc6/DSPlugIn/DSAddIn.h: changed include for add-in. MIDL generates
	files in sub-directory ToAddToDistribution. Generated file should be
	copied to include/msvc6/DSPlugin when modified. This remove the dependecy
	of MfcTestRunner on DSPlugIn.

	* src/msvc6/testrunner/ListCtrlFormatter.h:
	* src/msvc6/testrunner/ListCtrlFormatter.cpp: added GetNextColumnIndex().

	* src/msvc6/testrunner/src/TestRunnerDlg.h:
	* src/msvc6/testrunner/src/TestRunnerDlg.cpp: set column number in
	MsDevCallerListCtrl when initializing the list.

	* src/msvc6/testrunner/src/MsDevCallerListCtrl.h:
	* src/msvc6/testrunner/src/MsDevCallerListCtrl.cpp: column indexes for
	file and line number are no longer static. Added methods to set those
	indexes. Changed DSPlugIn header name.

	* include/msvc6/testrunner/TestPlugInInterface.h: fixed inclusion of
	windows header for WINAPI. Added macro CPPUNIT_TESTPLUGIN_IMPL to
	automatically implements a test plug-in.

	* src/msvc6/DllPlugInTester/*: added new project. A application to test DLL
	and report using CompilerOutputter. Target for post-build testing and
	debugging of DLL.

2002-04-13  Baptiste Lepilleur  <gaiacrtn@free.fr>  [3e30eb9abe806a69e033e32d13a1986a42591f29]

	NEWS: updated

	NEWS: updated

	* doc/other_documentation.dox: addded new module for test plug-in.

	* include/msvc6/DSPlugin/TestRunnerDSPlugin.h:
	* include/msvc6/DSPlugin/TestRunnerDSPlugin_i.c: added. Those file are
	generated by project src/msvc/DSPlugin. They are provided to allow
	compilation of TestRunner without compiling DSPlugIn which does not
	build on VC++ 7.

	* examples/examples.dsw: removed DSPlugIn for workspace (fail to build
	with VC++ 7). Added DllPlugInTester.dsp to workspace.

	* examples/msvc6/TestPlugIn/TestPlugIn.dsp: added post-build unit testing
	using the new DllPlugInTester.

	* examples/msvc6/EasyTestPlugIn/*: a new project that
	demonstrates the use of CPPUNIT_TESTPLUGIN_IMPL to create a test plug-in.

	* src/cppunit/cppunit.dsw:
	* src/TestPlugInRunner.dsw:
	* src/TestRunner.dsw: removed. Should use src/CppUnitLibraries.dsw instead.

	* include/cppunit/ui/text/TestRunner.h:
	* src/cppunit/TextTestRunner.cpp: removed findTestName() method. Replaced
	by Test::findTest().

	* src/msvc6/DSPlugIn/DSPlugIn.dsp:
	* src/msvc6/DSPlugIn/DSAddIn.h: changed include for add-in. MIDL generates
	files in sub-directory ToAddToDistribution. Generated file should be
	copied to include/msvc6/DSPlugin when modified. This remove the dependecy
	of MfcTestRunner on DSPlugIn.

	* src/msvc6/testrunner/ListCtrlFormatter.h:
	* src/msvc6/testrunner/ListCtrlFormatter.cpp: added GetNextColumnIndex().

	* src/msvc6/testrunner/src/TestRunnerDlg.h:
	* src/msvc6/testrunner/src/TestRunnerDlg.cpp: set column number in
	MsDevCallerListCtrl when initializing the list.

	* src/msvc6/testrunner/src/MsDevCallerListCtrl.h:
	* src/msvc6/testrunner/src/MsDevCallerListCtrl.cpp: column indexes for
	file and line number are no longer static. Added methods to set those
	indexes. Changed DSPlugIn header name.

	* include/msvc6/testrunner/TestPlugInInterface.h: fixed inclusion of
	windows header for WINAPI. Added macro CPPUNIT_TESTPLUGIN_IMPL to
	automatically implements a test plug-in.

	* src/msvc6/DllPlugInTester/*: added new project. A application to test DLL
	and report using CompilerOutputter. Target for post-build testing and
	debugging of DLL.

2002-04-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [8cabaebd9f8689ca96184daf415e3cc6cf67d722]

	Include/cppunit/CompilerOutputter.

	include/cppunit/CompilerOutputter.h:
	* src/cppunit/CompilerOutputter.h: deprecated defaultOuputter(). Added
	setLocationFormat() and format specifiation in constructor. A string that
	represent the location format is used to output the location. Default format
	is defined by CPPUNIT_COMPILER_LOCATION_FORMAT.

	* include/cppunit/config-msvc6.h:
	* include/cppunit/Portability.h: added CPPUNIT_COMPILER_LOCATION_FORMAT. Use
	gcc location format if VC++ is not detected.

	* include/cppunit/Test.h: fixed documentation.

	* include/cppunit/TestListener.h: added startSuite() and endSuite()
	callbacks. Added new example to documentation.

	* include/cppunit/TestResult.h:
	* src/cppunit/TestResult.cpp:
	* include/cppunit/TestComposite.h:
	* src/cppunit/TestComposite.cpp: Updated to inform the listeners.

	* src/qttestrunner/TestBrowserDlgImpl.cpp: used Test new composite interface
	instead of RTTI to explore the test hierarchy.

	* examples/cppunittest/MockTestListener.h:
	* examples/cppunittest/MockTestListener.cpp: updated,added support for
	startSuite() and endSuite().

	* examples/cppunittest/TestResultTest.h:
	* examples/cppunittest/TestResultTest.cpp: added tests for startSuite()
	and endSuite().

2002-04-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ed406a2966e62072fa6afaca8abc578db7c0c9fb]

	Makefile.

	Makefile.am: added examples/qt to tar ball release.

	* TODO: heavily updated.

	* contrib/msvc/CppUnit*.wwtpl: changed base class for unit test to TestFixture.

	* include/cppunit/Test.h: removed toString() method. Not used by the framework
	and source of confusions with getName().
	Added getChildTestCount() and getChildTestAt(), introducing the composite pattern
	at top level. Added utility methods findTest() and findTestPath().

	* src/cppunit/Test.cpp: added. Implementation of new utility methods.

	* include/cppunit/TestCase.h:
	* src/cppunit/TestCase.cpp: inherits TestLeaf. Removed toString(), run(void) and
	defaultResult(). Removed default constructor.

	* src/cppunit/TestCase.cpp:
	* src/cppunit/TestSuite.cpp: fixed some includes that used "" instead of <>.

	* include/cppunit/TestComposite.h:
	* src/cppunit/TestComposite.cpp: added. Common implementation of Test for composite
	tests (TestSuite).

	* include/cppunit/TestFailure.h:
	* src/cppunit/TestFailure.cpp: removed toString().

	* include/cppunit/TestLeaf.h:
	* src/cppunit/TestLeaf.cpp: added. Common implementation of Test for single test
	(TestCase).

	* include/cppunit/TestListener.h: added TimingListener example to documentation.

	* include/cppunit/TestPath.h:
	* src/cppunit/TestPath.cpp: added. List of test traversed to access a test in the
	test hierarchy.

	* include/cppunit/TestRunner.h: added. Generic TestRunner.

	* src/cppunit/TestRunner.cpp: moved to TextTestRunner.cpp. Added new implementation
	of includecppunit/TestRunner.h.

	* include/cppunit/TestSuite.h:
	* src/cppunit/TestSuite.cpp: inherits TestComposite and implements new Test
	interface. Removed toString().

	* src/cppunit/TextTestRunner.cpp: moved from TestRunner.cpp. Implementation of
	include/cppunit/ui/text/TestRunner.h.

	* include/cppunit/extensions/RepeatedTest.h:
	* src/cppunit/RepeatedTest.cpp: removed toString().

	* include/cppunit/extensions/TestDecorator.h: inherits TestLeaf.
	Removed toString()

	* include/cppunit/XmlOutputter.h:
	* src/cppunit/XmlOutputter.cpp:
	* examples/cppunittest/XmlOutputterTest.cpp:
	* examples/cppunittest/XmlOutputterTest.h: XML outputter now escape node content.
	Add unit test for that bug (#540944). Added style sheet support. Modified
	XML structure: failure message as its own element.

	* src/msvc/testrunner/TestRunnerModel.h:
	* src/msvc/testrunner/TestRunnerModel.cpp: used Test::findTest() to find a test
	by name instead of using RTTI. Added toAnsiString() for convertion when
	compiling as UNICODE.

	* src/msvc/testrunner/TreeHierarchyDlg.h:
	* src/msvc/testrunner/TreeHierarchyDlg.cpp: used new composite interface of Test
	to explorer the test hierarchy instead of RTTI.

	* examples/cppunittest/TestPathTest.h:
	* examples/cppunittest/TestPathTest.cpp: added, unit tests for TestPath.

	* examples/cppunittest/TestCaseTest.h:
	* examples/cppunittest/TestCaseTest.cpp: added test for TestLeaf.

	* examples/cppunittest/TestSuiteTest.h:
	* examples/cppunittest/TestSuiteTest.cpp: added test for TestComposite and
	new Test interface.

2002-04-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [fc9c76622b19adfcdebce682d9d49db8fb9336ef]

	Configure.

	configure.in: bumped version to 1.9.0

	* NEWS: added version 1.9.0

2002-04-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f7fe44a9c7ca682ac755c29dd3d54a7a173c4359]

	release 1.8.0


2002-04-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [06665726ddf7e8d7c4434c3b778e0bcd84517adb]

	Doc/FAQ: removed question about the Exception::operator =() problem.

	doc/FAQ: removed question about the Exception::operator =() problem.

	* release 1.8.0

2002-04-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [9ded9f39938610aa8ed5a2f853d8ec0efd833c9a]

	Doc/FAQ: removed question about the Exception::operator =() problem.

	doc/FAQ: removed question about the Exception::operator =() problem.

	* release 1.8.0

2002-04-11  Steve M. Robbins  <smr@sumost.ca>  [8f91b2ff40b3d554352c97c10386b0d1a038d148]

	Fix up header rearrangement.


2002-04-10  Baptiste Lepilleur  <gaiacrtn@free.fr>  [d10b7635d2678c53b1141b162f71d4f6bf47c42f]

	Makefile.

	Makefile.am: removed directory cppunitui from copy when making the dist.

	* include/cppunit/ui: added Makefile.am for dist and install.

2002-04-10  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c2b6782980ccfe65cbce098c5b86f1b5ef87e903]

	Makefile.

	Makefile.am: removed directory cppunitui from copy when making the dist.

	* include/cppunit/ui: added Makefile.am for dist and install.

2002-04-10  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6c2d743aed2eb4c0a960edaadc7366faa3b24c5c]

	Include/cppunitui/: moved to include/cppunit/ui (fix unix install problem).

	include/cppunitui/: moved to include/cppunit/ui (fix unix install problem).

	* doc/cookbook.dox:
	* examples/cppunittest/CppUnitTestMain.cpp:
	* examples/msvc/CppUnitTestApp/HostApp.cpp:
	* examples/msvc/HostApp/HostApp.cpp:
	* examples/qt/Main.Cpp:
	* examples/src/cppunit/TestRunner.cpp:
	* examples/src/msvc6/TestRunner/TestRunner.cpp:
	* examples/src/qttestrunner/TestRunner.cpp: updated to use <cppunit/ui/...>
	instead of <cppunitui/...> in include directives.

	* doc/CppUnit-win.dox: generated documentation give the include path at the
	bottom of the page for each class.

	* NEWS: added compatibility break for 1.7.10 users.

2002-04-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0e44bc8d5fa467b9d1c835b2e40b17f538e4bbe3]

	examples/cppunittest/CppUnitTestMain.cpp: never wait for a key press.


2002-04-04  Baptiste Lepilleur  <gaiacrtn@free.fr>  [24000339facc182150fc564a4d85f99d89dd3e13]

	NEW: added CPPUNIT_ASSERT_EQUAL_MESSAGE compatiblity break.

	NEW: added CPPUNIT_ASSERT_EQUAL_MESSAGE compatiblity break.

	* include/cppunit/TestAssert.h: changed arguments order for
	CPPUNIT_ASSERT_EQUAL_MESSAGE. 'message' is now the first argument instead
	of the last (like CPPUNIT_ASSERT_MESSAGE).

	* examples/cppunittest/MockTestCase.cpp:
	* examples/cppunittest/MockTestListener.cpp: updated to reflect change on
	CPPUNIT_ASSERT_EQUAL_MESSAGE.

2002-03-28  Baptiste Lepilleur  <gaiacrtn@free.fr>  [fecba1bea1788196b7d64b7153a469cd87097252]

	configure.in: bumped version to 1.7.11


2002-03-28  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1f72a8cc3721e0f003cec62f9529cbac8e744d22]

	No message


2002-03-28  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a43fcdf57ef415ce43cdf4a1d3ce0bdf8bd29e4e]

	Doc/cookbook.

	doc/cookbook.html: removed. Replaced by cookbook.doc.

	* doc/cookbook.dox: added, conversion of cookbook.html to Doxygen format.

	* doc/other_documentation.dox: added groups definition.

	* doc/Makefile.am: replaced cookbook.html by cookbook.dox

	* doc/Doxyfile.in: added predefined CPPUNIT_HAVE_CPP_SOURCE_ANNOTATION.
	Replaced cookbook.html by cookbook.dox.

	* include/cppunitui/mfc/TestRunner.h: added, extracted from
	include/msvc6/testrunner/TestRunner.h. Moved class TestRunner to namespace
	CppUnit::MfcUi.

	* include/msvc6/testrunner/TestRunner.h: deprecated. A simple typedef to
	CppUnit::MfcUi::TestRunner.

	* include/textui/TestRuner.h: added, extracted from
	include/cppunit/TextTestRunner.h.

	* src/cppunit/TextTestRunner.cpp: renamed TestRunner.cpp. Moved into
	namespace CppUnit::TextUi.

	* src/msvc6/testruner/TestRunner.cpp: moved into namespace CppUnit::MfcUi.

	* src/cppunit/CompilerOutputter.cpp: removed printing "- " before
	NotEqualException addional message, for consistency between different
	TestRunner (Mfc,Text...)

	* include/cppunit/Asserter.h:
	* include/cppunit/CompilerOutputter.h:
	* include/cppunit/Exception.h:
	* include/cppunit/NotEqualException.h:
	* include/cppunit/Outputter.h:
	* include/cppunit/SourceLine.h:
	* include/cppunit/TestAssert.h:
	* include/cppunit/TestCaller.h:
	* include/cppunit/TestFailure.h:
	* include/cppunit/TestFixture.h:
	* include/cppunit/TestListener.h:
	* include/cppunit/TestResult.h:
	* include/cppunit/TestResultCollector.h:
	* include/cppunit/TestSucessListener.h:
	* include/cppunit/TestSuite.h:
	* include/cppunit/TextTestProgressListener.h:
	* include/cppunit/TextTestRunner.h:
	* include/cppunit/XmlOutputter.h:
	* include/cppunit/extensions/AutoRegisterSuite.h:
	* include/cppunit/extensions/HelperMacros.h:
	* include/cppunit/extensions/TestFactoryRegistry.h:
	* include/cppunit/extensions/TestSuiteBuilder.h:
	* include/cppunit/extensions/TestSuiteFactory.h: doc update. organization
	in groups.

	* examples/msvc6/CppUnitTestApp/CppUnitTestApp.cpp:
	* examples/msvc6/HostApp/HostApp.cpp: updated to use
	CppUnit::MfcUi::TestRunner.

	* examples/cppunittest/CppUnitTestMain.cpp: updated to use
	CppUnit::TextUi::TestRunner.

2002-03-28  Baptiste Lepilleur  <gaiacrtn@free.fr>  [82d51cba4c7cc8d756ab14fdfc28181f007f3848]

	Doc/cookbook.

	doc/cookbook.html: removed. Replaced by cookbook.doc.

	* doc/cookbook.dox: added, conversion of cookbook.html to Doxygen format.

	* doc/other_documentation.dox: added groups definition.

	* doc/Makefile.am: replaced cookbook.html by cookbook.dox

	* doc/Doxyfile.in: added predefined CPPUNIT_HAVE_CPP_SOURCE_ANNOTATION.
	Replaced cookbook.html by cookbook.dox.

	* include/cppunitui/mfc/TestRunner.h: added, extracted from
	include/msvc6/testrunner/TestRunner.h. Moved class TestRunner to namespace
	CppUnit::MfcUi.

	* include/msvc6/testrunner/TestRunner.h: deprecated. A simple typedef to
	CppUnit::MfcUi::TestRunner.

	* include/textui/TestRuner.h: added, extracted from
	include/cppunit/TextTestRunner.h.

	* src/cppunit/TextTestRunner.cpp: renamed TestRunner.cpp. Moved into
	namespace CppUnit::TextUi.

	* src/msvc6/testruner/TestRunner.cpp: moved into namespace CppUnit::MfcUi.

	* src/cppunit/CompilerOutputter.cpp: removed printing "- " before
	NotEqualException addional message, for consistency between different
	TestRunner (Mfc,Text...)

	* include/cppunit/Asserter.h:
	* include/cppunit/CompilerOutputter.h:
	* include/cppunit/Exception.h:
	* include/cppunit/NotEqualException.h:
	* include/cppunit/Outputter.h:
	* include/cppunit/SourceLine.h:
	* include/cppunit/TestAssert.h:
	* include/cppunit/TestCaller.h:
	* include/cppunit/TestFailure.h:
	* include/cppunit/TestFixture.h:
	* include/cppunit/TestListener.h:
	* include/cppunit/TestResult.h:
	* include/cppunit/TestResultCollector.h:
	* include/cppunit/TestSucessListener.h:
	* include/cppunit/TestSuite.h:
	* include/cppunit/TextTestProgressListener.h:
	* include/cppunit/TextTestRunner.h:
	* include/cppunit/XmlOutputter.h:
	* include/cppunit/extensions/AutoRegisterSuite.h:
	* include/cppunit/extensions/HelperMacros.h:
	* include/cppunit/extensions/TestFactoryRegistry.h:
	* include/cppunit/extensions/TestSuiteBuilder.h:
	* include/cppunit/extensions/TestSuiteFactory.h: doc update. organization
	in groups.

	* examples/msvc6/CppUnitTestApp/CppUnitTestApp.cpp:
	* examples/msvc6/HostApp/HostApp.cpp: updated to use
	CppUnit::MfcUi::TestRunner.

	* examples/cppunittest/CppUnitTestMain.cpp: updated to use
	CppUnit::TextUi::TestRunner.

2002-03-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [686e4865001cb14c36e8e3e81fc7c57786ff0542]

	include/cppunitui/qt/TestRunner.h: doc update.


2002-03-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1858c0b90eeee745b3d8f1e2c52d4614c4307ddc]

	Include/msvc/testrunner/TestRunner.

	include/msvc/testrunner/TestRunner.h: updated doc. reindented.

	* include/cppunit/Asserter.h:
	* include/cppunit/Asserter.cpp:
	* include/cppunit/TestResultCollector.h:
	* include/cppunit/TestResult.h:
	* include/cppunit/SynchronizedObject.h:
	* include/cppunit/extensions/TestCaller.h: doc update.

2002-03-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [8f5672c150b457d3d4709256797692bdf0c6b920]

	No message


2002-03-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [41e210a888ae68e1d908e60d903a65672f068b14]

	Makefile.

	makefile.am: added src/CppUnitLibraries.dsw, new contribution, and
	src/qttestrunner.

	* TODO: updated (doc).

	* contrib/msvc/AddingUnitTestMethod.dsm: added, submitted by
	bloodchen@hotmail.com.

	* constrib/msvc/readme.txt: updated.

	* include/cppunit/TestAsserter.h:
	* include/cppunit/SourceLine.h: updated doc.

	* include/cppunit/TestCaller.h: reindented. updated doc.

	* include/cppunit/extensions/HelperMacros.h: relaxed constraint on fixture.
	Fixture base class may be TestFixture instead of TestCase.

	* include/cppunit/TestCase.h:
	* src/cppunit/TestCase.h: TestCase inherits TestFixture for setUp() and
	tearDown() definition. Moved documentation to TestFixture.

	* include/cppunit/TestFixture.h: updated documentation.

	* include/cppunit/TestRegistry.h:
	* src/cppunit/TestRegistry.cpp: Removed. Replaced by TestFactoryRegistry.

	* include/cppunit/TextTestRunner.h:
	* src/cppunit/TextTestRunner.cpp: made printing progress using a
	TextTestProgressListener optional.

	* examples\cppunittest\ExceptionTest.h:
	* examples\cppunittest\HelperMacrosTest.h:
	* examples\cppunittest\HelperMacrosTest.cpp:
	* examples\cppunittest\NotEqualException.h:
	* examples\cppunittest\OrthodoxTest.h:
	* examples\cppunittest\RepeatedTest.h:
	* examples\cppunittest\TestAssertTest.h:
	* examples\cppunittest\TestCallerTest.h:
	* examples\cppunittest\TestDecoratorTest.h:
	* examples\cppunittest\TestFailureTest.h:
	* examples\cppunittest\TestResultCollectorTest.h:
	* examples\cppunittest\TestResultTest.h:
	* examples\cppunittest\TestSetUpTest.h:
	* examples\cppunittest\TestSuiteTest.h:
	* examples\cppunittest\XmlOutputterTest.h:
	* examples\cppunittest\XmlOutputterTest.cpp:
	* examples\cppunittest\XmlUniformizerTest.h:
	* examples\cppunittest\XmlUniformizerTest.cpp: changed base class for fixture
	from TestCase to TestFixture.

	* examples\hierarchy\BoardGameTest.h:
	* examples\hierarchy\ChessTest.h:
	* examples\hierarchy\main.cpp: updated to use HelperMacros for correct
	fixture instantiation (the ChessBoard::testReset test case was using
	BoardGame fixture instance instead of ChessBoard).

2002-03-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [fba5df08cb90d511e536f53d0aea57b547e2b6ef]

	No message


2002-03-26  Baptiste Lepilleur  <gaiacrtn@free.fr>  [30ca8af7d4ab25b95e5834cda28b5c6497dc37c0]

	configure.in: bumped version to 1.7.9


2002-03-26  Baptiste Lepilleur  <gaiacrtn@free.fr>  [95290f6db0d17b3bb445e4fe4da4d2ba0307937c]

	src/msvc6/testpluginrunner/TestPlugInRunner.dsp: fixed release configuration.


2002-03-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [103624a354426dd660365e6e4a54e8ffffa9a3c9]

	Include/cppunit/makefile.

	include/cppunit/makefile.am: removed TestRegistry.h

	* include/cppunit/TestRegistry.h: removed. Obsolete, replaced by
	TestFactoryRegistry.

	* src/cppunit/makefile.am: removed TestRegistry.cpp. Added cppunit_dll.dsp.

	* include/cppunit/CompilerOutputter.h:
	* include/cppunit/NotEqualException.h:
	* include/cppunit/SynchronizedObject.h:
	* include/cppunit/TestFixture.h:
	* include/cppunit/TestListener.h:
	* include/cppunit/TestResult.h:
	* include/cppunit/TestSucessListener.h:
	* include/cppunit/TextOutputter.h:
	* include/cppunit/TextTestProgressListener.h:
	* include/cppunit/TextTestResult.h:
	* include/cppunit/XmlOutputter.h:
	* include/cppunit/extensions/TestFactory.h:
	* include/cppunit/extensions/TestFactoryRegistry.h:
	* include/cppunit/extensions/TestSuiteBuilder.h:
	* include/cppunit/extensions/TestSuiteFactory.h: minor doc update.

	* include/cppunit/TestFixture.h: added DLL export.

	* include/cppunit/msvc6/TestPlugInInterface.h: updated doc. Added automatic
	exportation of TestPlugIn publishing function.

	* src/cppunit/TestCase.cpp:
	* include/cppunit/TestCase.h: inherits setUp() and tearDown() from
	class TestFixture.

2002-03-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1670f83c25440fbf021da923b63f24d724a3d0f7]

	Include/cppunit/makefile.

	include/cppunit/makefile.am: removed TestRegistry.h

	* include/cppunit/TestRegistry.h: removed. Obsolete, replaced by
	TestFactoryRegistry.

	* src/cppunit/makefile.am: removed TestRegistry.cpp. Added cppunit_dll.dsp.

	* include/cppunit/CompilerOutputter.h:
	* include/cppunit/NotEqualException.h:
	* include/cppunit/SynchronizedObject.h:
	* include/cppunit/TestFixture.h:
	* include/cppunit/TestListener.h:
	* include/cppunit/TestResult.h:
	* include/cppunit/TestSucessListener.h:
	* include/cppunit/TextOutputter.h:
	* include/cppunit/TextTestProgressListener.h:
	* include/cppunit/TextTestResult.h:
	* include/cppunit/XmlOutputter.h:
	* include/cppunit/extensions/TestFactory.h:
	* include/cppunit/extensions/TestFactoryRegistry.h:
	* include/cppunit/extensions/TestSuiteBuilder.h:
	* include/cppunit/extensions/TestSuiteFactory.h: minor doc update.

	* include/cppunit/TestFixture.h: added DLL export.

	* include/cppunit/msvc6/TestPlugInInterface.h: updated doc. Added automatic
	exportation of TestPlugIn publishing function.

	* src/cppunit/TestCase.cpp:
	* include/cppunit/TestCase.h: inherits setUp() and tearDown() from
	class TestFixture.

2002-03-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [38e67ef2e0084b295fc666df4f71bdeb08d87740]

	configure.in: bumped version to 1.7.7


2002-03-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [7bc4f88e8d3483e0493738f1e16adc34e8995603]

	No message


2002-03-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [731a2b8cb26678fa7417110e281b90a021285c43]

	Include/cppunit/config-msvc6.

	include/cppunit/config-msvc6.h:
	* include/cppunit/Portability.h
	* include/cppunit/extensions/TestFactoryRegistry.h
	* include/cppunit/TestResult.h
	* include/cppunit/TestResultCollector.h
	* include/cppunit/TestSuite.h
	* include/cppunit/TextTestRunner.h
	* include/cppunit/XmlOutputter.h: removed warning when compiling CppUnit as DLL.

	* src/cppunit/DllMain.cpp: added some defines to speed up compilation a bit.

2002-03-25  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f9646c3ed806a3d522f3b1e2950488e0c4c87a4a]

	INSTALL-WIN32.

	INSTALL-WIN32.txt: updated for MFC Unicode TestRunner.

	* src/msvc6/testrunner/TestRunner.dsp: added Unicode configurations.

	* src/msvc6/testrunner/ListCtrlSetter.cpp:
	* src/msvc6/testrunner/ListCtrlSetter.h: replaced usage of std::string by
	CString for easier ansi/unicode switch.

	* src/msvc6/testrunner/MsDevCallerListCtrl.cpp:
	* src/msvc6/testrunner/TestRunnerDlg.cpp:
	* src/msvc6/testrunner/TestRunnerModel.cpp:
	* src/msvc6/testrunner/TestRunnerModel.h:
	* src/msvc6/testrunner/TreeHierarchyDlg.cpp: made changes to compile with
	either ANSI and UNICODE support.

	* examples/msvc6/HostApp/HostApp.cpp:
	* examples/msvc6/HostApp/HostApp.h:
	* examples/msvc6/HostApp/HostAppDoc.cpp:
	* examples/msvc6/HostApp/HostAppDoc.h: moved TestRunner execution to
	HostApp::RunUnitTests() and removed the MainFrame application window.

	* examples/msvc6/HostApp/HostApp.dsp: added Unicode configurations.

2002-03-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c37e0491c761f8b8499163bf7e748ea1afcf9203]

	INSTALL-WIN32.

	INSTALL-WIN32.txt: added some info to build cppunit as a DLL.

	* include/cppunit/config-msvc6.h: added definition of macro CPPUNIT_API when
	building or linking DLL. Defined CPPUNIT_BUILD_DLL when building, and
	CPPUNIT_DLL when linking.

	* include/cppunit/Portability.h: added empty definition of macro CPPUNIT_API
	when not building or using CppUnit as a DLL. When any of those symbol is defined,
	the symbol CPPUNIT_NEED_DLL_DECL is set to 1.

	* include/cppunit/extensions/RepeatedTest.h:
	* include/cppunit/extensions/TestDecorator.h:
	* include/cppunit/extensions/TestSetUp.h:
	* include/cppunit/TestCaller.h
	* include/cppunit/extensions/TestFactory.h
	* include/cppunit/extensions/TestFactoryRegistry.h
	* include/cppunit/extensions/TypeInfoHelper.h
	* include/cppunit/Asserter.h
	* include/cppunit/Exception.h
	* include/cppunit/NotEqualException.h
	* include/cppunit/SourceLine.h
	* include/cppunit/SynchronizedObject.h
	* include/cppunit/Test.h
	* include/cppunit/TestAssert.h
	* include/cppunit/TestCase.h
	* include/cppunit/TestFailure.h
	* include/cppunit/TestListener.h
	* include/cppunit/TestResult.h
	* include/cppunit/TestSuite.h
	* include/cppunit/CompilerOutputter.h
	* include/cppunit/Outputter.h
	* include/cppunit/TestResultCollector.h
	* include/cppunit/TestSuccessListener.h
	* include/cppunit/TextOutputter.h
	* include/cppunit/TextTestProgressListener.h
	* include/cppunit/TextTestResult.h
	* include/cppunit/TextTestRunner.h
	* include/cppunit/XmlOutputter.h: added CPPUNIT_API for DLL export.

	* include/cppunit/TestSuite.h:
	* src/cppunit/TestSuite.cpp: reindented

	* include/cppunit/extensions/TestSetUp.h:
	* src/cppunit/TestSetUp.cpp: added .cpp. extracted inline method and moved them
	to cpp file.

2002-03-06  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e13f6632c91fdd1a866800392f4fb12c238d14ba]

	src/cppunit/TextTestProgressListener.cpp: flush the stream after each progess step.


2002-03-04  Malcolm Isaacs  <malcolmisaacs@sourceforge.net>  [81db35e7cb09048b1880a0e9d85ad3a1cd748d72]

	Added minimize and maximize boxes to the TestRunner dialog.


2002-03-03  Baptiste Lepilleur  <gaiacrtn@free.fr>  [f4ed752f71b757b74593987075a121f1b557de81]

	configure.in: updated version number to 1.7.4


2002-03-03  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1693d1af80d06675125d4ccb46ee145c017fdebb]

	Include/cppunit/makefile.

	include/cppunit/makefile.am:
	* src/cppunit/makefile.am: added missing SynchronizedObject and TextOutputter.h.

	* generated 1.7.3 tar ball.

2002-03-01  Baptiste Lepilleur  <gaiacrtn@free.fr>  [995dd0a5786e1c5d3a0a18d3107cded17cf32089]

	Inclued/cppunit/XmlOutputter.

	inclued/cppunit/XmlOutputter.h:
	* inclued/cppunit/XmlOutputter.cpp: added optional parameter to constructor
	to specify the encoding.

	* configure.in: updated version number to 1.7.3

2002-02-28  Baptiste Lepilleur  <gaiacrtn@free.fr>  [2c7af6bda8b090a31dd39e3ca6e5c55ed7758fb9]

	NEW: updated and restructured.

	NEW: updated and restructured.

	* include/cppunit/CompilerOutputter.h:
	* src/cppunit/CompilerOutputter.cpp:
	updated against TestResultChange. Changed TestResult to TestResultCollector.

	* include/cppunit/extensions/HelperMacros.h: minor documentation fix.

	* include/cppunit/Outputter.h: added. Abstract base class for all Outputter.

	* include/cppunit/Portability.h: made the fix on OStringStream suggested by
	Bob Summerwill to remove level 4 warning with VC++.

	* include/cppunit/TestAssert.h: added macro CPPUNIT_ASSERT_EQUAL_MESSAGE.

	* src/cppunit/TestFailure.cpp:
	* include/cppunit/TestFailure.h: added method clone() to duplicate a failure. Made
	all method virtual.

	* include/cppunit/TestListener.h: changed signature of addFailure() to
	addFailure( const TestFailure &failure ). Failure is now only a temporary object.

	* include/cppunit/Outputter.h: added. Abstract base class for all outputter. Used
	by TextTestRunner.

	* include/cppunit/SynchronizedObject.h:
	* src/cppunit/SynchronizedObject.cpp: added. Class extracted from TestResult.
	Base class for objects that can be accessed from different threads.

	* include/cppunit/TestResult.h: TestFailure.h is no longer included.

	* include/cppunit/TestResult.h:
	* src/cppunit/TestResult.cpp: extracted all methods related to keeping track
	of the result to the new TestResultCollector class which is a TestListener.

	* include/cppunit/TestResultCollector.h:
	* src/cppunit/TestResultCollector.cpp: added. TestListener which kept track
	of the result of the test run. All failure/error, and tests are tracked.

	* include/cppunit/TestSucessListener.h:
	* src/cppunit/TestSucessListener.cpp: added. TestListener extracted from
	TestResult. Is responsible for wasSucessful().

	* include/cppunit/TestCase.h:
	* src/cppunit/TestCase.cpp: reindented.

	* include/cppunit/TextOutputter.h:
	* src/cppunit/TextOutputter.cpp: added. Copied from the deprecated
	TextTestResult and modified to act as an Ouputter.

	* include/cppunit/TextTestProgressListener.h:
	* src/cppunit/TextTestProgressListener.cpp: Copied from the deprecated
	TextTestResult and modified to print the dot while the test are running.

	* include/cppunit/TextTestResult.h:
	* src/cppunit/TextTestResult.cpp: updated against TestResult change.
	No compatiblity break. Deprecated.

	* include/cppunit/TextTestRunner.h:
	* src/cppunit/TextTestRunner.cpp: updated to work with the new TestResult.
	Use TextTestProgressListener and TextOutputter instead of TextTestResult.
	Any outputter with interface Outputter can be used to print the test result
	(CompilerOutputter, XmlOutputter, TextOutputter...)

	* include/cppunit/XmlOutputter.h:
	* src/cppunit/XmlOutputter.cpp: updated against TestResultChange.
	Changed TestResult to TestResultCollector.

	* src/msvc6/TestRunnerDlg.h:
	* src/msvc6/TestRunnerDlg.cpp: fixed the 'fullrowselect' feature of the list view.
	The dialog is a TestListener itself, it no longer use the GUITestResult class.

	* src/msvc6/TestRunner.rc: moved the "autorun test button" in such a way that it
	did not overlap the progress bar anymore.

	* src/msvc6/MfcSynchronizationObject.h: added. Generic SynchronizedObject
	lock for MFC.

	* src/msvc6/GUITestResult.h :
	* src/msvc6/GUITestResult.cpp : removed.

	* src/qttestrunner/TestRunnerModel.h:
	* src/qttestrunner/TestRunnerModel.cpp: changed addFailure() signature to reflect
	change on TestListener.

	* examples/cppunittest/CppUnitTestMain.cpp: updated to use the new Outputter
	abstraction and TextTestRunner facilities.

	* examples/cppunittest/FailingTestCase.h:
	* examples/cppunittest/FailingTestCase.cpp: removed. Replaced by MockTestCase.

	* examples/cppunittest/FailingTestCase.h:
	* examples/cppunittest/FailingTestCase.h:

	* examples/cppunittest/HelperMacrosTest.h:
	* examples/cppunittest/HelperMacrosTest.cpp: Updated against TestResult change.
	Use MockTestListener instead of TestResult to check for sucess or failure.

	* examples/cppunittest/MockTestListener.h:
	* examples/cppunittest/MockTestListener.cpp: the class now behave like a mock
	object.

	* examples/cppunittest/MockTestCase.h:
	* examples/cppunittest/MockTestCase.cpp: added. Mock TestCase object.

	* examples/cppunittest/OrthodoxTest.h:
	* examples/cppunittest/OrthodoxTest.cpp: Updated against TestResult change.
	Use MockTestListener instead of TestResult to check for sucess or failure.

	* examples/cppunittest/SynchronizedTestResult.h: Updated against TestResult
	change.

	* examples/cppunittest/TestCallerTest.h:
	* examples/cppunittest/TestCallerTest.cpp: Updated against TestResult change.
	Use MockTestListener instead of TestResult.

	* examples/cppunittest/TestCaseTest.h:
	* examples/cppunittest/TestCaseTest.cpp: Updated against TestResult change.
	Use MockTestListener and MockTestCase instead of FailingTestCase and TestResult.

	* examples/cppunittest/TestDecoratorTest.h:
	* examples/cppunittest/TestDecoratorTest.cpp: Updated against TestResult change.
	Use MockTestCase instead of FailingTestCase.

	* examples/cppunittest/TestListenerTest.h:
	* examples/cppunittest/TestListenerTest.cpp: removed. Those unit tests have been
	rewrote and moved to TestResultTest.

	* examples/cppunittest/TestResultTest.h:
	* examples/cppunittest/TestResultTest.cpp: Updated to test the new interface.
	Tests from TestListenerTest have been moved here.

	* examples/cppunittest/TestResultCollectorTest.h:
	* examples/cppunittest/TestResultCollectorTest.cpp: added. Tests for the class
	that been extracted from TestResult.

	* examples/cppunittest/TestSetUpTest.h:
	* examples/cppunittest/TestSetUpTest.cpp: renamed SetUp inner class to MockSetUp.
	Changed interface to be more akin to a Mock object.

	* examples/cppunittest/TestSuiteTest.h:
	* examples/cppunittest/TestSuiteTest.cpp: Updated against TestResult change,
	and rewrote to use MockTestCase instead of FailingTestCase.

	* examples/cppunittest/XmlOutputterTest.h:
	* examples/cppunittest/XmlOutputterTest.cpp: Updated against TestResult change.
	Added some utility methods to make the update easier.

2001-10-29  Steve M. Robbins  <smr@sumost.ca>  [36905b4f9faf4075abfa1c695c443185650c47a2]

	Add note about cygwin build.


2001-10-24  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a0f9257fc47db541d7a1daee6153de0af30d2cb9]

	Examples/msvc6/CppUnitTestApp/CppUnitTestApp.

	examples/msvc6/CppUnitTestApp/CppUnitTestApp.dsp:
	* examples/msvc6/HostApp/HostApp.dsp: use custom file build instead
	of post-build/pre-link step to copy the TestRunner DLL to the
	Release/Debug directory.

	* src/msvc6/ProgressBar.cpp:
	* src/msvc6/ProgressBar.h:
	* src/msvc6/TestRunner.rc:
	* src/msvc6/TestRunnerDlg.cpp:
	* src/msvc6/TestRunnerDlg.h:
	* src/msvc6/testRunner.dsp:
	* src/msvc6/TestRunnerModel.cpp:
	* src/msvc6/TestRunnerModel.h: included Gigi Sayfan (gigi@morphink.com)
	patch. The dialog can now be resized, and list view columns and dialog
	sizes are saved.

	* src/msvc6/ProgressBar.cpp:
	* src/msvc6/ProgressBar.h: Minor refactoring.

	* THANKS: added Gigi Sayfan to the list.

2001-10-21  Steve M. Robbins  <smr@sumost.ca>  [7c940841ddb85a4be6aec81acfa88fb6abc314bf]

	*** empty log message ***


2001-10-21  Steve M. Robbins  <smr@sumost.ca>  [edaecf3ac6366342c827a1690d04568bed86c9aa]

	Commit of 1.7.1 release.


2001-10-20  Steve M. Robbins  <smr@sumost.ca>  [704db48dedf1e413faa0dde775c3dcc5901b2918]

	*** empty log message ***


2001-10-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [da94615a45b2e4e2a42d35e2439a7bf371a706d7]

	Include/cppunit/Exception.

	include/cppunit/Exception.h:
	* src/cppunit/Exception.cpp: what(), added back the throw() qualifier.

2001-10-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e27118dd97d6125d3869b4972eff8da5996a768c]

	Include/cppunitui/

	include/cppunitui/* : added, Qt TestRunner.

	* examples/qt/* : added, example showing the use of Qt TestRunner.

	* src/qttestrunner : added, source of the Qt TestRunner DLL.

2001-10-08  Steve M. Robbins  <smr@sumost.ca>  [ff0517a7f94155d1c349c1f241b5f2bf5ba57cd7]

	Let source catch up with previous header change.


2001-10-07  Baptiste Lepilleur  <gaiacrtn@free.fr>  [150339335e3c5538c1e496ae01babf148bd29ec5]

	Include/cppunit/CompilerTestResultOutputter.

	include/cppunit/CompilerTestResultOutputter.h :
	renamed CompilerOutputter.h

	* src/cppunit/CompilerTestResultOutputter.cpp :
	renamed CompilerOutputter.cpp

	* include/cppunit/CompilerTestResultOutputter.h :
	* src/cppunit/CompilerTestResultOutputter.cpp : ajust max line length
	for wrapping. Added static factory method defaultOutputter(). Print
	the number of test runs on success.

	* include/cppunit/CompilerTestResultOutputter.h : renamed
	CompilerOutputter.h.

	* src/cppunit/CompilerTestResultOutputter.cpp : renamed
	CompilerOutputter.cpp.

	* examples/cppunittest/CppUnitTestMain.cpp : use factory method
	CompilerTestResultOutputter::defaultOutputter().

	* src/msvc6/DSPlugIn/DSPlugIn.dsp : removed COM registration in
	post-build step. IT is automatically done by VC++ when the add-in is
	added. Caused build to failed if the add-in was used in VC++.

	* NEWS : updated.

	* src/cppunit/TestAssert.cpp : modified deprecated assert
	implementations to use Asserter.

	* examples/cppunittest/XmlTestResultOutputterTest.h :
	renamed XmlOutputterTest.h.

	* examples/cppunittest/XmlTestResultOutputterTest.cpp :
	renamed XmlOutputterTest.cpp.

	* NEWS :
	* examples/cppunittest/CppUnitTestMain.cpp :
	* examples/cppunittest/CppUnitTestMain.dsp :
	* examples/cppunittest/Makefile.am :
	* examples/cppunittest/XmlTestResultOutputterTest.h :
	* examples/cppunittest/XmlTestResultOutputterTest.cpp :
	* examples/msvc6/CppUniTestApp/CppUnitTestApp.dsp
	* include/cppunit/CompilerOutputter.h :
	* include/cppunit/Makefile.am :
	* include/cppunit/XmlTestResultOutputter.h :
	* src/cppunit/CompilerOutputter.cpp :
	* src/cppunit/cppunit.dsp :
	* src/cppunit/Makefile.am :
	* src/cppunit/XmlTestResultOutputter.cpp : change due to renaming
	CompilerTestResultOutputter to CompilerOutputter,
	XmlTestResultOutputter to XmlOuputter, XmlTestResultOutputterTest
	to XmlOutputterTest.

2001-10-06  Steve M. Robbins  <smr@sumost.ca>  [4410db53e88dc5aca9f86abaf9dffccbd5f94471]

	Synchronize with the 1.6.1-1 Debian release.


2001-10-06  Baptiste Lepilleur  <gaiacrtn@free.fr>  [8ac4da778cb226fb00b413a047ad3480f4d2ae5a]

	Include/cppunit/CompilerTestResultOutputter.

	include/cppunit/CompilerTestResultOutputter.h :
	* src/cppunit/CompilerTestResultOutputter.cpp : added. Output result
	in a compiler compatible format.

	* src/cppunit/CppUnit.dsp :
	* include/cppunit/MakeFile.am :
	* src/cppunit/MakeFile.am : added CompilerTestResultOutputter.cpp
	and CompilerTestResultOutputter.h.

	* examples/cppunittest/CppUnitTestMain.cpp : if -selftest is specified
	on the command line, no standard test result are printed, but compiler
	compatible result at printed.

	* examples/cppunittest/CppUnitTestMain.dsp : added post-build step to
	run the test suite with -selftest.

	* NEWS : updated.

	* src/cppunit/TextTestRunner.cpp : skip a line after printing
	progress.

2001-10-06  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4c6c7e6474bef34c4bed0d3eb9889012319c938f]

	Examples/cppunittest/CppUnitTestMain.

	examples/cppunittest/CppUnitTestMain.cpp : application returns
	0 is test suite run sucessfuly, 1 otherwise.

	* src/cppunit/Exception.cpp : bug fix, operator =() with VC++.
	Removed call to std::exception::operator =() which is bugged
	on VC++.

	* doc/FAQ : added a note explaining why the test
	ExceptionTest.testAssignment used to fail.

	* NEWS : updated and detailed.

	* include/cppunit/TestResult.h :
	* src/cppunit/TestResult.cpp : added reset().

	* include/cppunit/TextTestRunner.h :
	* src/cppunit/TextTestRunner.cpp : Constructor take an optional
	TextTestRestult. The TextTestResult remain alive as long as
	the runner. Added result() to retreive the result. Printing the
	result is now optinal (enabled by default).

2001-10-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [fbd454f554f13680fe62b36fb7a5829f6dc0c396]

	Include/cppunit/Asserter.

	include/cppunit/Asserter.h :
	* src/cppunit/Asserter.cpp : added. Helper to create assertion macros.

	* src/cppunit/cppunit.dsp :
	* src/cppunit/Makefile.am :
	* include/cppunit/Makefile.am : added Asserter.h and Asserter.cpp.

	* include/cppunit/Exception.h :
	* src/cppunit/Exception.cpp : added constructor that take a
	SourceLine argument. Deprecated static constant and old constructor.
	Fixed some constness issues.

	* examples/cppunittest/ExceptionTest.cpp : Refactored.

	* NEWS : partially updated (need to be more detailed)

	* include/cppunit/NotEqualException.h :
	* src/cppunit/NotEqualException.cpp : added constructor that take a
	SourceLine argument. Deprecated old constructor. Added a third element
	to compose message.

	* examples/cppunittest/NotEqualExceptionTest.cpp : moved to "Core"
	suite. Added test for SourceLine() and additionalMessage().
	Refactored.

	* include/cppunit/SourceLine.h :
	* src/cppunit/SourceLine.cpp : added. Result of applying
	IntroduceParameterObject refactoring on filename & line number...

	* include/cppunit/TestAssert.h :
	* src/cppunit/TestAssert.cpp : deprecated old assert functions.
	added functions assertEquals() and assertDoubleEquals() which use
	SourceLine.

	* src/cppunit/TestCase.cpp : Modified for SourceLine.

	* include/cppunit/TestFailure.h :
	* src/cppunit/TestFailure.cpp : added failedTestName(), and
	sourceLine().

	* src/msvc6/testrunner/TestRunnerDlg.cpp : modified to use SourceLine.

	* include/cppunit/TextTestResult.h :
	* src/cppunit/TextTestResult.cpp : corrected include order and
	switched to angled brackets. Refactored. Don't print failure location
	if not available. Not equal failure dump additional message if
	available.

	* src/cppunit/TextTestRunner.cpp : run() now returns a boolean to
	indicate if the run was sucessful.

	* src/cppunit/XmlTestResultOutputter.cpp : replaced itoa() with
	OStringStream. Refactored.

	* examples/cppunittest/XmlUniformiser.h :
	* examples/cppunittest/XmlUniformiser.cpp :
	CPPUNITTEST_ASSERT_XML_EQUAL capture failure location. Refactored
	checkXmlEqual().

	* examples/cppunittest/XmlUniformiserTest.h :
	* examples/cppunittest/XmlUniformiserTest.cpp : added test for
	CPPUNITTEST_ASSERT_XML_EQUAL.

	* include/cppunit/XmlTestResultOutputter.h :
	* src/cppunit/XmlTestResultOutputter.cpp : updated to use SourceLine.

2001-10-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6a1755ef0e36aeb1ac2df0a46e5dafe08a4699ee]

	NEWS : updated.

	NEWS : updated.

	* include/cppunit/Exception.h : added include Portability.h.

	* include/cppunit/TestResult.* : changed TestFailures to a deque.
	added tests().

	* examples/cppunittest/CppUnitTest.dsp :
	* examples/cppunittest/MakeFile.am :
	* examples/msvc6/CppUnitTestApp/CppUnitTestApp.dsp : Added
	XmlTestResultOutputterTest.*, XmlUniformiser.*, XmlUniformiserTest.*,
	UnitTestToolSuite.h, OutputSuite.h.

	* examples/msvc6/CppUnitTestApp/CppUnitTestApp.dsp : revised project
	folders structure. Added missing NoteEqualExceptionTest.*.

	* examples/cppunittest/CppUnitTestSuite.cpp : added 'Output' and
	'UnitTestTool' suites.

	* src/cppunit/cppunit.dsp: removed estring.h. Revised project folders
	structure. Removed TestRegistry.*. Added TestSetUp.h,
	XmlTestResultOutputter.*.

	* src/cppunit/MakeFile.am: added XmlTestResultOutputter.*.

	* src/testrunner/TestRunnerDlg.cpp: removed disabled code.

2001-10-03  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c2ac2ac3bcfb30cb8ae4e95e531f1b630b8dd80e]

	Include/cppunit/TestFailure.

	include/cppunit/TestFailure.cpp :
	* include/cppunit/TestFailure.h : fixed some constness issues. Added
	argument to indicate the type of failure to constructor. Added
	isError().

	* include/cppunit/TestListener.h : removed addError(). addFailure()
	now take a TestFailure as argument.

	* include/cppunit/TestResult.h :
	* include/cppunit/TestResult.cpp : removed errors(). Refactored. Fixed
	some constness issues. Added typedef TestFailures for vector returned
	by failures(). failures() returns a const reference on the list of
	failure. added testFailuresTotal(). Constructor can take an optional
	synchronization object.

	* include/cppunit/TextTestResult.h :
	* include/cppunit/TextTestResult.cpp : removed printErrors().
	Refactored. Updated to suit new TestResult, errors and failures are
	reported in the same list.

	* examples/cppunittest/TestFailureTest.cpp :
	* examples/cppunittest/TestFailureTest.h : modified to use the new
	TestFailure constructor. Added one test.

	* examples/cppunittest/TestListenerTest.cpp: removed addError().
	Refactored to suit new TestListener.

	* examples/cppunittest/TestResultTest.h :
	* examples/cppunittest/TestResultTest.cpp : modified to suit the
	new TestResult.

2001-10-02  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ddfca2261132a879f631cbaaf22e82feaa2460ef]

	Include/cppunit/extensions/TestFactoryRegistry.

	include/cppunit/extensions/TestFactoryRegistry.h
	* src/cppunit/TestFactoryRegistry.cpp : fixed memory leaks that
	occured when a TestFactoryRegistry was registered into another
	TestFactoryRegistry.

	* include/cppunit/extensions/AutoRegisterSuite.h : updated doc.

	* include/cppunit/extensions/HelperMacros.h : added macro
	CPPUNIT_TEST_SUITE_NAMED_REGISTRATION to register a suite into
	a named suite. Updated doc.

	* examples/cppunittest/CoreSuite.h:
	* examples/cppunittest/ExtensionSuite.h:
	* examples/cppunittest/HelperSuite.h: added, declaration of suite for
	use with CPPUNIT_TEST_SUITE_NAMED_REGISTRATION.

	* examples/cppunittest/makefile.am : added HelperSuite.h, CoreSuite.h,
	ExtensionSuite.h, CppUnitTestSuite.h and CppUnitTestSuite.cpp.

	* examples/cppunittest/CppUnitTestSuite.*: added.

	* examples/cppunittest/ExceptionTest.cpp:
	* examples/cppunittest/TestAssertTest.cpp:
	* examples/cppunittest/TestCaseTest.cpp:
	* examples/cppunittest/TestFailureTest.cpp:
	* examples/cppunittest/TestListenerTest.cpp:
	* examples/cppunittest/TestResultTest.cpp:
	* examples/cppunittest/TestSuiteTest.cpp: moved into named suite
	"Core" using CPPUNIT_TEST_SUITE_NAMED_REGISTRATION.

	* examples/cppunittest/OrthodoxTest.cpp:
	* examples/cppunittest/RepeatedTest.cpp:
	* examples/cppunittest/TestDecoratorTest.cpp:
	* examples/cppunittest/TestSetUpTest.cpp: moved into named suite
	"Extension" using CPPUNIT_TEST_SUITE_NAMED_REGISTRATION.

	* examples/cppunittest/HelperMacrosTest.cpp:
	* examples/cppunittest/TestCallerTest.cpp: moved into named suite
	"Helper" using CPPUNIT_TEST_SUITE_NAMED_REGISTRATION.

	* examples/cppunittest/CppUnitTest.dsp :
	* examples/msvc6/CppUnitTestApp/CppUnitTestApp.dsp : added
	Makefile.am, HelperSuite.h, CoreSuite.h, ExtensionSuite.h,
	CppUnitTestSuite.h and CppUnitTestSuite.cpp.

2001-10-02  Baptiste Lepilleur  <gaiacrtn@free.fr>  [9e5ff0f6a865524e5784450f26a1c74807dc0c80]

	NEWS : updated.

	NEWS : updated.

	* doc/other_documentation.dox : added all the authors to the list of
	authors.

	* examples/cppunittest/HelperMacrosTest.*: added unit tests for
	CPPUNIT_TEST_FAIL & CPPUNIT_TEST_EXCEPTION.

	* examples/cppunittest/TestAssertTest.*: added unit tests for
	CPPUNIT_FAIL. Corrected spelling error. Relaxed constraint on message
	produced by CPPUNIT_ASSERT_MESSAGE. Refactored some tests.

	* include/cppunit/extensions/HelperMacros.h : added macro
	CPPUNIT_TEST_EXCEPTION to create a test case for the specified method
	that must throw an exception of the specified type.

	* include/cppunit/extensions/TestSuiteBuilder.h : made makeTestName() public.
	Added addTestCallerForException() to add a test case expecting an exception of
	the specified type to be caught.

	* include/cppunit/TestAssert.h : added macro CPPUNIT_FAIL as a
	shortcut for CPPUNIT_ASSERT_MESSAGE( message, false ).

2001-10-01  Steve M. Robbins  <smr@sumost.ca>  [0fe7e4fb21a7f2b096965dab4ad2ee19cc20522f]

	Start 1.7 unstable series.


2001-10-01  Steve M. Robbins  <smr@sumost.ca>  [a73c864a5aa99396916629f181ddc50fc6dfe9b3]

	*** empty log message ***


2001-10-01  Steve M. Robbins  <smr@sumost.ca>  [d2b307d7c8cd3cbf20008d67e6774014ab342e4b]

	*** empty log message ***


2001-10-01  Steve M. Robbins  <smr@sumost.ca>  [6050cef3e7b1ba6ba91eebaf3ee58537ad24a2dc]

	Note release.


2001-09-30  Steve M. Robbins  <smr@sumost.ca>  [09d71be5d99085e438f973dadd30f14cb3fb4575]

	Tweak the HTML docs.  Link to FAQ.


2001-09-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5438d7260f4dbcbdd8dc67ad1ec33d91dd13a3eb]

	Doc/FAQ:

	doc/FAQ:
	* INSTALL-WIN32.txt: moved FAQ from install-WIN32 to that file. Added
	a generic question to hint at the helper macros.

2001-09-30  Steve M. Robbins  <smr@sumost.ca>  [32fff17f6f0ec18f0deba13fed5c261b8913fd66]

	Distribute contrib/msvc/*. Add const qualifier to countTestCases() and toString() of RepeatedTest.


2001-09-30  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c4d97b4d586fdae21a02aff7a02605ffd487b188]

	Contrib/msvc/CppUnit.

	contrib/msvc/CppUnit.WWTpl: added, template for WorkSpace Whiz! to
	create new classes and unit tests.

	* doc/FAQ:
	* INSTALL-WIN32.txt: moved FAQ from install-WIN32 to that file. Added
	a generic question to hint at the helper macros.

	* include/cppunit/extensions/HelperMacros.h: bug #464844, moved
	declaration of ThisTestCaseFactory from CPPUNIT_TEST_SUITE_END to
	CPPUNIT_TEST_SUITE where the Fixture class name is available from
	the macro parameter.

2001-09-30  Steve M. Robbins  <smr@sumost.ca>  [2478fb88dfc5c0e1673d094b4cbd3a7fdf21b95b]

	Documentation tweaks.  Add config-mac.h


2001-09-29  Steve M. Robbins  <smr@sumost.ca>  [6bad8616c4007a6e2e994fd8d334395ebb397287]

	Update version to 1.6.1. Add notes on SourceForge release process for CppUnit. Tweak a few other docs.


2001-09-29  Baptiste Lepilleur  <gaiacrtn@free.fr>  [bef9647de57c10e9b3c2779e9eff21aebb05c3ec]

	Example/cppunittest/TestCaller.

	example/cppunittest/TestCaller.*: remove some memory leaks.
	TestCaller exception catching features is now tested correctly.
	Previous test tested nothing!

2001-09-24  Steve M. Robbins  <smr@sumost.ca>  [53929c98380419c90d224ef610ff273f4e6abb3c]

	Final touch-ups for release 1.6.0.


2001-09-23  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4738362b086adad7963a26abaf3ec8b052ef6374]

	Include/cppunit/TestAssert.

	include/cppunit/TestAssert.h : changed header order to remove warning on VC++

	* include/cppunit/TestCaller.h : bugfix: threw 'new Exception'
	instead of 'Exception'.

2001-09-23  Steve M. Robbins  <smr@sumost.ca>  [8270594d083e6fb7cdcba52351e7febb546ac299]

	Polishing for 1.6.0 release.


2001-09-21  Baptiste Lepilleur  <gaiacrtn@free.fr>  [a48490973bbbc43541385116c1efa03657538e7e]

	Include/cppunit/TestFailure.

	include/cppunit/TestFailure.h : made destructor virtual.

	* INSTALL-WIN32.txt : added some more infos about DSPlugIn.

	* src/msvc6/DSPlugIn/DSPlugIn.rgs: added some registry data
	that where missing to register the COM object.

	* src/msvc6/DSPlugIn/DSPlugIn.rc: updated some dll version info.

	* src/msvc6/DSPlugIn/DSPlugIn.dsp: fixed the custom build step to
	register the DLL using regsvr32.exe. Added a post-build step to
	copy the dll to the lib/ directory. This prevent a blocking
	compilation error if the DLL is in use by VC++.

2001-09-21  Steve M. Robbins  <smr@sumost.ca>  [9302880887234c54a47bc92ccb257150bf200d0a]

	Correct rule to change line endings for INSTALL-WIN32.txt.


2001-09-20  Steve M. Robbins  <smr@sumost.ca>  [285f746224792dedb3120604967dd5c2aee6608d]

	Improved strstream detection to use header <strstream>, if available.


2001-09-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [abe6da3554dd03f04485f2b61152e4dcfcb7a2e6]

	Examples/cppunittest/makefile.

	examples/cppunittest/makefile.am : added TestSetupTest.(cpp/h)

	* examples/examples.dsw: removed some unnecessary dependencies.

	* examples/msvc6/HostApp/HostApp.dsp: fixed release configuration

	* src/msvc6/DSPlugIn/DSPlugIn.dsp: fixed release configuration, and
	disabled the custom build command that does not work.

	* include/cppunit/extensions/HelperMacros.h: reordered header to remove
	some warning with VC++.

	* INSTALL-WIN32.txt : detailed what was in each project. Added a FAQ
	about the failing test case in cppunittest.

2001-09-19  Steve M. Robbins  <smr@sumost.ca>  [9b4c0b32358f07e5476179a661243178a1e7ddfb]

	*** empty log message ***


2001-09-19  Steve M. Robbins  <smr@sumost.ca>  [3c259836934797074354d7d8788f97df6e6034b2]

	Use iso date for snapshot.


2001-09-19  Steve M. Robbins  <smr@sumost.ca>  [47441a7bf52a6e824db428baf0ce45238e0f4793]

	Changes in response to bug reports.


2001-09-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [91ed0b41be469e1d27efeadb31350844eadcd21b]

	Examples/examples.

	examples/examples.dsw:
	* examples/msvc6/CppUnitTestApp/CppUnitTestApp.dsw:
	* examples/msvc6/HostApp/HostApp.dsw:
	* examples/msvc6/TestPlugIn/TestPlugIn.dsw: Added missing
	project dependency.

	* src/msvc6/DSPlugIn/DSPlugIn.dsp: fixed *.tlb output directory.

	* include/msvc6/testrunner/TestPlugInInterface.h: does not define
	NOMINMAX if already defined.

2001-09-17  Baptiste Lepilleur  <gaiacrtn@free.fr>  [efc2b83ddd11864964936d1235327c5813cfed1e]

	Makefile.

	Makefile.am: Added INSTALL-WIN32.txt to EXTRA_DIST.

	* INSTALL-WIN32.txt: added, short documentation for CppUnit and VC++.

	* include/cppunit/extensions/HelperMacros.h: bug #448363, removed
	an extraneous ';' at the end of CPPUNIT_TEST_SUITE_END macro.

	* examples/cppunittest/TestCallerTest.cpp: bug #448332, fixed
	memory leaks.

	* src/msvc6/testrunner/TestRunnerDlg.h:
	* src/msvc6/testpluginrunner/TestPlugInRunnerDlg.h:
	* src/msvc6/testpluginrunner/TestPlugInRunnerDlg.cpp: change to define
	IDD to a dummy value when subclassing the dialog.

	* src/cppunit/cppunit.dsp:
	* src/msvc6/testrunner/TestRunner.dsp:
	* src/msvc6/testpluginrunner/TestPlugInRunner.dsp:
	* examples/cppunitttest/CppUnitTestMain.dsp:
	* examples/hierarchy.dsp:
	* examples/msvc6/TestPlugIn/TestPlugIn.dsp:
	* examples/msvc6/HostApp/HostApp.dsp: all configurations can be compiled.

	* src/msvc6/testpluginrunner/TestPlugInRunner.dsw: added dependency to
	cppunit.dsp and TestRunner.dsp.

2001-09-16  Steve M. Robbins  <smr@sumost.ca>  [4d8f4e24048feecd5d630bff4e6c6c1883ac2402]

	Revert TestFixture-related changes from 2001-07-15.


2001-09-16  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4e18414e298bbf0855c99c0549a2883b9b614031]

	INSTALL-WIN32.txt: Added.


2001-09-14  Baptiste Lepilleur  <gaiacrtn@free.fr>  [4de811742dab8be4819ccb3b0492b56dff038693]

	Src/msvc6/testrunner/TestRunner.

	src/msvc6/testrunner/TestRunner.dsp: fixed release configuration.

	* src/msvc6/testrunner/TestRunner.dsw: added DSPlugIn.dsp. TestRunner
	depends on DSPlugIn.

	* src/msvc6/testrunner/TestRunner.cpp:
	* src/msvc6/testrunner/TestRunnerDlg.h:
	* src/msvc6/testrunner/TestRunnerDlg.cpp:
	* src/msvc6/testrunner/MsDevCallerListCtrl.cpp:
	* src/msvc6/testrunner/MsDevCallerListCtrl.h:
	* src/msvc6/DSPlugIn/*: integrated patch from
	Patrick Berny (PPBerny@web.de). An add-ins for VC++. Double-cliking
	a failed test in the TestRunner, VC++ will open the source file and
	go to the failure location.

	* src/cppunit/Exception.cpp:
	* include/cppunit/Exception.h: compile fix, call to overrided
	operator = of parent class failed. Using typedef to the parent
	class fix that.

	* src/cppunit/cppunit.dsp: added TestFixture.h

	* src/cppunit/TestFactoryRegistry.cpp: removed <utility> which isn't
	needed any more.

	* include/cppunit/TestCase.h:
	* include/cppunit/TestSuite.h:
	* include/cppunit/extensions/TestFactoryRegistry.h: added
	include <Portability.h> before any other includes to remove warning
	with VC++.

	* include/cppunit/Portability.h: moved platform specific includes at
	the beginning of the header. fixed CPPUNIT_HAVE_CPP_SOURCE_ANNOTATION
	declaration.

	* include/cppunit/config-msvc6.h: removed pragma once (useless, should
	be put in each header to have an effect).

2001-08-07  Steve M. Robbins  <smr@sumost.ca>  [919cc774e43f62659ecfe5f85882b0073c4ea2d4]

	Polished description of libtool bug.


2001-08-07  Steve M. Robbins  <smr@sumost.ca>  [de0befb6d7ba3d1e6bbc67ca9c86d04412f2fb08]

	Fixes to allow building with SGI MIPSpro 7.30 compiler. The testsuite file examples/cppunittest/SubclassedTestCase.cpp causes the compiler to dump core, so that and HelperMacrosTest were not tested.  The rest of the test suite passes.


2001-08-07  Steve M. Robbins  <smr@sumost.ca>  [e0dd3c214df341b058c2d43f32c6521688853000]

	Build changes.  Distribute all m4 files.


2001-07-15  Steve M. Robbins  <smr@sumost.ca>  [c866084c8b86aa76c3565958fad8553c43bc3306]

	TextFixture introduced.  First steps at using it.


2001-07-15  Steve M. Robbins  <smr@sumost.ca>  [08b4a5c444044db09dc5c668390e9f40663210ff]

	Added documentation.


2001-07-13  Steve M. Robbins  <smr@sumost.ca>  [8cdfc19f2213bf1de4aee4bc5e799af49b6608d0]

	Add tests for CPPUNIT_ASSERT_EQUAL.


2001-07-12  Steve M. Robbins  <smr@sumost.ca>  [c9e6d8ad1f9201030bbfeb27164cf748c96f21c6]

	Set version to 1.5.6


2001-07-12  Steve M. Robbins  <smr@sumost.ca>  [c75b503d3829c574db58924d404e5176e1bcd992]

	Fixes for GCC 3.0


2001-07-07  Steve M. Robbins  <smr@sumost.ca>  [fc812f34ff16b32c88617c81b3551475a5ece39e]

	Tighten up build process to ensure "make distcheck" works with CVS automake.


2001-07-07  Steve M. Robbins  <smr@sumost.ca>  [936762c3876279c3973e30fea5919b719eae5a3f]

	Removed last uses of estring.


2001-07-07  Steve M. Robbins  <smr@sumost.ca>  [b73b5ccc56b78cd3a47da81b8a78f9d5d03403b5]

	Add const qualifier to operator== methods.


2001-07-07  Steve M. Robbins  <smr@sumost.ca>  [1bcc316d35b6622eb249f4dd90f4ee983eac15f4]

	*** empty log message ***


2001-07-07  Steve M. Robbins  <smr@sumost.ca>  [46551b434973f37f7d5e0049fc451f61cb234244]

	Use strstream if stringstream unavailable.


2001-07-06  Steve M. Robbins  <smr@sumost.ca>  [e3233e2ff1486e66bb85f81a4ac24f2a9a846a5c]

	Add configure option to disable RTTI for class name.


2001-07-06  Steve M. Robbins  <smr@sumost.ca>  [da53c2c10d2e531e8779f6f3849ac73938b6f902]

	Build both shared and static libs by default.  Update INSTALL.


2001-07-06  Steve M. Robbins  <smr@sumost.ca>  [a90452b2ef0c9366118ae1be78d798a0198ae363]

	Change from CPPUNIT_USE_TYPEINFO to CPPUNIT_USE_TYPEINFO_NAME


2001-07-05  Steve M. Robbins  <smr@sumost.ca>  [83766a55021bea4fa506ece7ad0be11c6dcff6f8]

	Fix configure and include bugs.


2001-06-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [990676a46e9026809937e239c1cfb1cd0a29750d]

	src/msvc6/TestPlugInRunner/: A test runner to run test plug in. Test plug in are DLL that publish a specified plug in interface. Those DLL are loaded and reloaded by the TestPlugInRunner to run tests. This remove the need to wrap DLL with a executable to test them.


2001-06-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [acd82b264a3b635c610f7e6320465a52f2b15d2d]

	examples/msvc6/TestPlugIn/: a new example of test plug in.


2001-06-27  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5813e2e80e995893a0a2d2fe4a6f6a8c2155d82c]

	Examples/msvc6/CppUnitTestApp/CppUnitTestApp.

	examples/msvc6/CppUnitTestApp/CppUnitTestApp.dsp:
	moved dll copy from post-build to custom build setting, so that the
	dll is copied even if the CppUnitTestApp was not modified.

	* examples/msvc6/TestPlugIn/: a new example of test plug in.

	* src/msvc6/TestRunner/ListCtrlFormatter.*
	* src/msvc6/TestRunner/ListCtrlSetter.*:
	added, helper to manipulate list control.

	* src/msvc6/TestRunner/TestRunnerDlg.*: change to make the error list
	more compact. text moved to string resources. icons added for typ
	test tfailure type.

	* src/msvc6/TestRunner/MostRecentTests.*: added, classes that will
	replace the current implementation of MRU test which make it hard
	to subclass the dialog.

	* src/msvc6/TestRunner/res/errortype.bmp: added, bitmap with error
	types (failure and error).

	* src/msvc6/TestPlugInRunner/: A test runner to run test plug in.
	Test plug in are DLL that publish a specified plug in interface.
	Those DLL are loaded and reloaded by the TestPlugInRunner to run
	tests. This remove the need to wrap DLL with a executable to test
	them.

	* src/cppunit/cppunit.dsp:
	removed config.h from project
	added Portability.h and config-msvc6.h

	* include/cppunit/config-msvc6.h:
	undef CPPUNIT_FUNC_STRING_COMPARE_STRING_FIRST

2001-06-20  Steve M. Robbins  <smr@sumost.ca>  [d52bd686fe91e4c5104b60632ed18eb26ae827f6]

	Add README.CVS; improve autogen.sh


2001-06-18  Steve M. Robbins  <smr@sumost.ca>  [62c771b26595503eabcd56c668ee35a526fa9f72]

	Fix option setting.


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [c4ee17dc39fa7a1f62d467c76f573150e497c7e0]

	Added for new config handling.


2001-06-17  Steve M. Robbins  <smr@sumost.ca>  [7cafa0d515eab99e3d5f92d8fc8a6aa42f30f6fe]

	Add AC_PREREQ; remove include/cppunit/config.h


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [3453d13964327fc8655147d6370f6818cf54524e]

	Integration of AC_CREATE_PREFIX_CONFIG_H macro in autoconf setup.


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [32317b95c74777975a67bcec836014c373383d59]

	Obsoleted by AC_CREATE_PREFIX_CONFIG_H macro.


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [2382df7e9789dff732536570898224b56b0f19c9]

	Removed include/cppunit/config.h from AC_OUTPUT


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [0c64132137b5ff9275bf7478921dabcef52af249]

	Added newline at end of file.


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [399aab551a37b9f5e1df06ac4c0e81de873f2379]

	Replaced #include of <config.h> with <cppunit/Portability.h>


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [0962cef68c376aa22ff136c1303d33155dcb8008]

	Removed config.h, added config-auto.h, config-msvc6.h, config-bcb5.h, Portability.h added dist-hook to exclude config-auto.h from dist tar


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [065e592181dceae075d14d6b213d6092df92ae9f]

	Use new macro name CPPUNIT_FUNC_STRING_COMPARE_STRING_FIRST replaced #include of <config.h> with <cppunit/Portability.h>


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [6e4b269d112ad1d0b544d2fa968a2ee3ceb81e38]

	Moved doxygen stuff from configure.in into BB_ENABLE_DOXYGEN macro.


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [0a204c268611b08695273652bff1dc73f1470c78]

	Added


2001-06-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [6f3ea9af0167a713bcb09b8edec4ad5e87e18318]

	Moved config.h from include/ to config/ added AC_CREATE_PREFIX_CONFIG_H call moved doxygen stuff into BB_ENABLE_DOXYGEN macro


2001-06-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e07297cc91c9a1b78d6f4ac0f2e27de91aef73f3]

	src/cppunit/TestFactoryRegistry.cpp: fixed makeTest(). It did not use m_name for naming the suite.


2001-06-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [00400ef244e0787f4f13a9391b08c53425169afe]

	examples/msvc6/CppUnitTestApp/CppUnitTestApp.cpp: modified so that the dialog is not displayed after the tests are run.


2001-06-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [9405d503445f0135fcd1ab67ffafeb06c67c120f]

	Examples/cppunittest/OrthodoxTest.

	examples/cppunittest/OrthodoxTest.*: operator ! use explicit construction.

2001-06-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e2957bb10fd80af24cd5342de04e6d7fe2ea4459]

	Examples/cppunittest/NotEqualExceptionTest.

	examples/cppunittest/NotEqualExceptionTest.*: added unit tests for
	NotEqualException.

2001-06-12  Baptiste Lepilleur  <gaiacrtn@free.fr>  [bf78ed5d2c0f623efd08c277f97b240f2fef7ee6]

	Include/cppunit/NotEqualException.

	include/cppunit/NotEqualException.h
	* src/cppunit/NotEqualException.h:
	Fixed constructor and operator = (aren't unit test nice?). Added
	methods expectedValue() and actualValue().

	* include/cppunit/TestAssert.h:
	* src/cppunit/TestAssert.cpp:
	Use NotEqualException to report equality failure.

	* src/cppunit/TestResult.cpp:
	Report expect/was on different line for assertEquals failure.

	* examples/cppunittest/NotEqualExceptionTest.*: added unit tests for
	NotEqualException.

2001-06-11  Steve M. Robbins  <smr@sumost.ca>  [517df147c8508ec32c7ab780cc434d7f541e2bc7]

	Revert unintended commit


2001-06-11  Steve M. Robbins  <smr@sumost.ca>  [c472c67d5a8b398e1d57395894ae8b7cb990a873]

	*** empty log message ***


2001-06-11  Steve M. Robbins  <smr@sumost.ca>  [639125063e35985d27d435789c99bf05284a61b7]

	Fixes for test suite


2001-06-11  Steve M. Robbins  <smr@sumost.ca>  [12689d8435558bb9a95f92ad1a2c47285c615951]

	Add missing source file.


2001-06-11  Steve M. Robbins  <smr@sumost.ca>  [e4988f5201647d5716715f14e1e61ce5627fab46]

	Bug fix


2001-06-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [6e21ddd4f383c1ea2231d585bd7f63697d11fc04]

	2001-06-11 Baptiste Lepilleur <gaiacrtn@free.fr>: unit tests update.


2001-06-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [da8e822d28d281276f4cef78b7e7c7f2660de232]

	Include/cppunit/Exception.

	include/cppunit/Exception.h: now inherit from std::exception instead
	of ::exception. Added clone(), type(), and isInstanceOf()
	methods for subclassing support. Changed UNKNOWNLINENUMBER type to long
	for consistence with lineNumber().

	* include/cppunit/NotEqualException.h: addded, exception to be used
	with assertEquals().

	* include/cppunit/TestAssert.h: changed TestAssert into a namespace
	instead of a class. This remove the need of template member methods
	and does not cause compiler internal error on VC++.
	Macro CPPUNIT_ASSERT_MESSAGE has been added to fail test with
	a specified message.

	* include/cppunit/TestCaller.h: added "Expected exception" support.
	Based on Tim Jansen patch (#403745), but use a traits instead of RTTI
	to distingh between "No expected exception" and "Excepted exception".
	Exception type name is reported using RTTI if CPPUNIT_USE_TYPEINFO is
	defined.

2001-06-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [e38eb47e23d6106c32ee136351b0080313339270]

	Include/cppunit/extensions/HelperMacros.

	include/cppunit/extensions/HelperMacros.h: static method suite()
	implemented by CPPUNIT_TEST_SUITE_END macro now returns a TestSuite
	instead of a Test.

	* include/cppunit/extensions/RepeatedTest.h: corrected countTestCases,
	operator = declaration.

	* include/cppunit/extensions/TestDecorator.h: removed const from run()
	method. Did not match run() declaration of Test class.

	* include/cppunit/extensions/TestFactory.h: fixed a comment.

	* include/cppunit/extensions/TestSetup.h: corrected run() method
	declaration. Methods setUp() and tearDown() were not declared virtual.

	* include/cppunit/extensions/TestSuiteBuilder.h: added a method
	addTestCaller() which take a pointer on a fixture.

2001-06-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [c7a4dccd9f1b1fadcd47afe482c8a8ff9e05ea8f]

	Include/cppunit/NotEqualException.

	include/cppunit/NotEqualException.cpp: addded, exception to be used
	with assertEquals().

	* src/cppunit/RepeatedTest.cpp: added to reduce header dependency
	(TestResult.h was missing).

	* src/cppunit/TestAssert.cpp: added to put non template functions
	there.

	* src/cppunit/TestCase.cpp: added std:: prefix to
	catch (exception& e). Integrated a modified version of Tim Jansen
	patch (#403745) for TestCase to make the unit test (TestCaseTest)
	pass. If the setUp() fail then neither the runTest() nor
	the tearDown() method is called.

2001-06-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1806e9640462461fba3e1149c7b2c4a31805ec5e]

	examples/examples.dsw: added cppunittest projects to workspace.


2001-06-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [77e014c1992793da5c059bc09eafd183bde8785d]

	Examples/cppunittest/TestResultTest.

	examples/cppunittest/TestResultTest.*: renamed TestListenerTest.*

2001-06-11  Baptiste Lepilleur  <gaiacrtn@free.fr>  [0c5051a8acf83fd77a6094177eb0711d3f90d997]

	Examples/cppunittest/TestResultTest.

	examples/cppunittest/TestResultTest.*: renamed TestListenerTest.*

	* examples/cppunittest/*: added unit tests for:
	HelperMacros, TestAssert, TestCaller, TestCase, TestFailure,
	TestResult, TestSuite, TestDecoratorTest, TestSetUp, RepeatedTestTest,
	Orthodox, Exception.

2001-06-11  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [021d0a2611777a06d948735e0ad36cb90ffd413b]

	Renamed from TestSetup.h


2001-06-11  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [be9c2ced0eda31e0485f92ee8768b1c00bedf41d]

	Renamed to TestSetUp.h


2001-06-10  Baptiste Lepilleur  <gaiacrtn@free.fr>  [7049d3f3883ec2caec4b28291ccc312997d202fd]

	Include/extensions/TestSetup.h: renamed TestSetUp.h for consistency.


2001-06-10  Baptiste Lepilleur  <gaiacrtn@free.fr>  [b3576400de89f915a43c190940cdf5f9315d6ec8]

	Include/extensions/TestSetup.h: renamed TestSetUp.h for consistency.


2001-06-06  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [4d03b7513fed3862f9992fe88fa0021dcf1d6f92]

	Compilation fix in TestCallerTest.


2001-06-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [13f8118cff6bd4315869fcc6ed7b1c397b435a9e]

	Corrected the date for blep entry...


2001-06-05  Baptiste Lepilleur  <gaiacrtn@free.fr>  [255fed3c27815d3074bdaafb2b5ed377bd4868f8]

	Src/cppunit/TypeInfoHelper.

	src/cppunit/TypeInfoHelper.cpp: removed #include <config.h>, cppunit/config.h was already included.

	* src/cppunit/cppunit.dsp: removed TestAssert.cpp from project.

	* added/updated .cvsignore files for beter handling of windows projects.

	* added include/cppunit/config.h with a default configuration for VC++ 6.0.

	* include/cppunit/.cvsignore: removed config.h from the list of ignored file.

	* renamed VC++ configurations without RTTI from "Debug No CU_USE_TYPEINFO" to "Debug Crossplatform".

	* include/cppunit/TestAssert.h: added include <math.h> for fabs().

2001-06-02  Steve M. Robbins  <smr@sumost.ca>  [12cdd391bd1a4ebb0fe478a370fa64dd222c50e7]

	Remove unnecessary namespace


2001-06-02  Steve M. Robbins  <smr@sumost.ca>  [9651ccfc354182826aeacb100cba94245f70b78e]

	Determine string::compare() weirdness automatically.


2001-06-02  Steve M. Robbins  <smr@sumost.ca>  [cdbca4119defbc5f9698906633eec05b5dc8272a]

	Change to templatized TestAssert::assertEquals() and the new CPPUNIT_ASSERT* macros


2001-06-02  Steve M. Robbins  <smr@sumost.ca>  [99f54c0f4b53debc49f2081ce01158b2ed200c30]

	Replace CU_ by CPPUNIT_.


2001-06-01  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [e3dfe8c45eec2adc487b938795d4fca3e5983f68]

	(suite): fixed 'ISO C++ forbids taking the address of a bound member function to form a pointer to member function' bug reported by g++. (suite): removed dependency on RTTI.


2001-06-01  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [8f08829c7e7119cbea74d91dd8e2b126f14fd34d]

	Added.


2001-06-01  Baptiste Lepilleur  <gaiacrtn@free.fr>  [8c24e60a1c43fc24ee65618155795037770b5196]

	Added project cppunittest to examples/: unit tests to test cppunit.

	added project cppunittest to examples/: unit tests to test cppunit. The
	main file is CppUnitTestMain.cpp. Unit tests have been implemented
	for TestCaller and TestListener.
	* added project CppUnitTestApp to examples/msvc6: graphical runner for
	cppunittest.
	* added TestListener to TestResult. It is a port of junit TestListener.
	* updated some .cvsignore to ignore files generated with VC++.

2001-05-30  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [bc6338edfd9b10327c83142fef1e427c5cb3e80f]

	(toString): put type_info in std namespace and inside CU_USE_TYPEINFO ifdef.


2001-05-29  Steve M. Robbins  <smr@sumost.ca>  [0968f4b9e940f9ef16937b43339c9ec2c9937eff]

	Remove extraneous includes


2001-05-29  Steve M. Robbins  <smr@sumost.ca>  [d72591aa733dfb163c40729348dfb61cbf03bf9c]

	Fix output of TextTestResult


2001-05-29  Steve M. Robbins  <smr@sumost.ca>  [b408d39128a88c1e60828980190bbe1cbe21a2e5]

	Fix CU_TEST* macros and their documentation.


2001-05-29  Steve M. Robbins  <smr@sumost.ca>  [f56eeb79dad601aa7e16e88d3248d5a0d3294122]

	Documentation mods.


2001-05-29  Steve M. Robbins  <smr@sumost.ca>  [92ef71c5ff1847b85768e7b1d5e5138bcfdb692a]

	Update cookbook and change log.


2001-05-23  Baptiste Lepilleur  <gaiacrtn@free.fr>  [1c884ac7e6a0efc265f7f244f66345f4f65d626f]

	* Updated CU_TEST_SUITE macro documentation. It is now stated explicitly that you do not need to specify template parameter as macro argument. The documentation example has been updated to reflect that.


2001-05-23  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [054d581bfeedc987887483de61f9922092c1b4b9]

	Added options to automake and libtoolize to recreate generated files.


2001-05-23  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [bd57b42a57d1bad1ca1f52a8d4ebcd695824ebf9]

	Removed files generated by automake from CVS.


2001-05-23  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [45b2dd3a6c4fb63897d7ef820adf72049e450fc6]

	Removed files generated by libtoolize from CVS.


2001-05-20  Baptiste Lepilleur  <gaiacrtn@free.fr>  [ef7b26956e5cec0e20220b4cebc8b58c1a9f7c64]

	Access violation caused by NULL pointer in history list.

	* Fixed bug #424320 (VC++ TestRunner): access violation caused by NULL pointer in history list. NULL pointer are not added to the history anymore.

2001-05-19  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [88e86d062d01cd27d81c0bf8d4f54703d3d39de9]

	Updated Makefile.am's to reflect Baptistes file additions and removals.


2001-05-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [309306237815f3351cebbd276e2a744ebfeecd49]

	Modified VC++ project to add TextTestRunner to cppunit lib.


2001-05-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [fed3ef0b01704ee7fd9f41e8cbb706da38c004fe]

	* Merged Steve M. Robbins patch to replace assertImplementation with assert in hierarchy example. * Added a TextTestRunner to runner tests. It is based on Michael Feather's version, but have been rewriten. * Removed traces that printed the test name in TextTestResult while running. * Added the test name to error and failure report in TextTestResult. * Updated hierarchy example to use TextTestRunner.


2001-05-19  Baptiste Lepilleur  <gaiacrtn@free.fr>  [5d704cbbd7928e8a3baec2e18c8d7e0e6089dc6e]

	* Added some items to the TODO list for VC++ TestRunner. * "Debug" configuration is now the default configuration in VC++ project. * Modified sort order in the test browser of VC++ TestRunner so that test are in the same order as in the suite. Suite are still sorted.


2001-05-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [d868836719b2efe76504cea66b7db7255337c8b1]

	BL- added a todo list for VC++ test runner


2001-05-18  Baptiste Lepilleur  <gaiacrtn@free.fr>  [82017693c2dcaab03556154d990fe44591fb6f0a]

	:registerFactory(factory) now generate a dummy name based on a serial number instead of using RTTI.

	* Symbol CU_USE_TYPEINFO must be defined instead of USE_TYPEINFO to
	compile RTTI.
	* Added back default constructor to TestSuiteBuilder which use RTTI.
	It is available only if CU_USE_TYPEINFO is defined.
	* Moved TypeInfoHelper.h from src/cppunit to include/cppunit/extensions.
	* Macro CU_TEST_SUITE in HelperMacros.h now use TestSuiteBuilder default
	constructor if CU_USE_TYPEINFO is defined, otherwise it use the
	type name given to the CU_TEST_SUITE macro.
	* TestFactoryRegistry::registerFactory(factory) now generate a dummy
	name based on a serial number instead of using RTTI. The macro
	CU_TEST_SUITE_REGISTRATION and class AutoRegisterSuite can now
	when CU_USE_TYPEINFO is not defined.
	* Added a new Configuration named "Debug Without CU_USE_TYPEINFO" to
	msvc6 projects. The flag CU_USE_TYPEINFO is not defined in that
	configuration.

2001-05-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [15bf5fbb250670464df54ef9155cc3b391118523]

	Merged fixes for distcheck target, contributed by Steve M. Robbins  <steve@nyongwa.montreal.qc.ca>.


2001-05-17  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [e8aa70581a321cdda94e734b295d51d1fc3c1d7a]

	Added .cvsignore files contributed by Steve M. Robbins" <steven.robbins@videotron.ca>.


2001-05-16  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [e2dbd8696a57c211cd1e78fda79f565ce2d0d6c6]

	Added Debian support.


2001-05-16  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [b10413b5df361ea8e1e211eaaa4ff0537f5b89d6]

	Got in by accident: removed again.


2001-05-16  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [1536b5b34110f8bbc0f89d458074e4195da19698]

	Added debian packaging support by Christian Leutloff <leutloff@debian.org>. Use 'make debian' to build. Since Christians files were for 1.5.4, they problably need to be resynced.


2001-05-15  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [124af9e976560ac2bcb9c8e00a01f9f0ae47d185]

	Added cppunit-config to RPM.


2001-05-15  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [9ffbe9bc247b298d076ae688d66cad69ce4db4c3]

	Added acknowledgements for Baptiste, Tim and myself.


2001-05-15  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [f8bcdad1ad2db2a4736927667f98a5bc83467d92]

	Forgotten in CppUnitW 1.2 merge.


2001-05-09  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [5ffe3d0c85f84b451bc0abf05e431a9b3188705d]

	Release as 1.5.5.


2001-05-09  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [8207d119892bf3e94b948fb99aa9d02ea4f1b385]

	Set CPPUNIT_INTERFACE_AGE and CPPUNIT_BINARY_AGE to zero: 1.5.5 is not completely backwards compatible.


2001-05-06  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [90296fa9c8fdedb9104faba5a8bac62210a9a80d]

	Added constructors to TestCaller which accept an already constucted Fixture.


2001-05-06  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [58bffb0f4dafa3f2457ef65cec4546fbf6ff3428]

	Should not be in CVS.


2001-05-06  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [f3bd175af8c96708a3a629118fc59749444bb753]

	Renamed AbstractTestFactory to TestFactory.


2001-05-06  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [c29893f76ae8c37e14eb99f25d517535c1d37b42]

	Removed unnecessary #include's of TestSuiteBuilder.h Removed RTTI dependent stuff from TestSuite and TestSuiteBuilder.


2001-05-06  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [92c488aa6f744a1f0f0bbc92ad485d5cc715736a]

	Use 'typename' in templates, instead of 'class'. give complete types in registerTests().


2001-05-06  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [e755afe395b6ca13d2d1924fbc085703e9d49692]

	Fixed #include's for cppunit headers.


2001-05-06  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [2db1afb54da0fafc81dbc88956129616f09de24a]

	Convert *.ds? files to CRLF endings in dist-hook.


2001-05-05  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [b657aa515178205772ab2e95f365bd5a77364610]

	Merge of CppUnitW 1.2 phase 2.


2001-04-29  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [a2509e56dd1e457e88d32410d7524a1363f59e96]

	TypeInfoHelper should not have been removed.


2001-04-29  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [6a660d8b9ffd15e5c3df754799dba5aa36e8b86d]

	CppUnitW 1.2 Merge.


2001-04-29  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [b08ecaecc1e39b7b01e02b7b73559d8b34ff46a5]

	Merged Baptiste Lepilleurs CppUnitW 1.2. Some differences: TypeInfo stuff (in TestSuite) compiled in only if USE_TYPEINFO is set. TestSuite.getTests now returns a const ref instead of taking a ref as param. Removed auto_ptr stuff from TestFactoryRegistry: auto_ptr cannot be used in containers.


2001-04-28  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [5ce1a68589aa3ea4f9ee255cfecc94cc1730c6fa]

	Merged from Baptiste Lepilleurs patch. Missed at first try.


2001-04-28  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [2771c2373990be0514c69c77a63dee6f92ad69a0]

	TestRunner merge and cppunit subdir move.


2001-04-28  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [6d95c46d9dc342bea176c8fbcd101db8eba24bef]

	Moved files in subdir cppunit to src/cppunit.


2001-04-28  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [7e4ccacdbcf2f78005447f16e49d339d2a70e9ca]

	Fixed dist-hook target.


2001-04-28  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [f761fead7b57fb6c2a4b9fc3d675f75991da2666]

	Merged msvc6 specific TestRunner and example adapted from Michael Feathers version by Baptiste Lepilleur.


2001-04-23  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [c6f2e038b884541c0c8f7886b4ce00718f617a97]

	TestRegistry patch merge, extension header addition.


2001-04-23  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [243d1d33d1f6a45854882645e1860e5cc2839fc3]

	Merged Baptiste Lepilleurs patch for TestRegistry: now TestCases do not automatically register with the Registry anymore.


2001-04-22  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [c910c4cc5cde77b7ef034c50058d8d5f11bd4b71]

	Merged extension headers back in from Micheal Feathers version.


2001-04-21  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [788f81ef8dac04bb5fd0b88cc6d0ef150c4c5a6f]

	Removed '\r' characters from msvc++ .dsw and .dsp files.


2001-04-21  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [8996736426b2c000048bb79c67bbb30139377c7b]

	One more std:: added.


2001-04-19  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [dffc054fee3f15cabafbc43807677658bf44c82f]

	Added *.dsw and *.dsp files to EXTRA_DIST.


2001-04-19  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [e190bd8288907d28f21e5a9baf577c7a9984f9b6]

	Added MSVC++ workspace and project files.


2001-04-18  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [604b113c6db1562b6e5835b7864d96cdd8261ca2]

	Add mysteriously vanished estring.h.


2001-04-16  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [a8d9fa647f06e1efeac975d0b598c0f860ed3dca]

	Fix compilation bug on Win32/MSVC++.


2001-04-15  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [bf138fa28ab39968125daf8bb1d0bae40379bbc0]

	Prefixed cout, cerr and endl with std::.


2001-04-15  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [6392505d0ddbecf40c62c241a4f3efc6af8456b8]

	Added 'moved public headers' and 'moved autoconf aux stuff'.


2001-04-15  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [568d17e66e62551a055fad72d8f6416655e01f65]

	Forgot config/Makefile in AC_OUTPUT.


2001-04-15  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [a2076b1fedb66b004c6916ba9ad575b66fe8539a]

	Set CONFIG_AUX_DIR to config and moved corresponding files from . to config.


2001-04-14  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [185b4cd8389d947bf38d636239acef2a71592295]

	Prevent estring.h from being installed in include dir.


2001-04-14  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [fb5695f7ca74f6557bdff1ceff009628ac3adc4a]

	Moved public header files from cppunit dir to include/cppunit, to separate them from internal header files like estring.h.


2001-04-14  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [f5f2b1d2761b1d81c042d51619182c7951fd23aa]

	Always use namespace std for strings and vectors.


2001-04-14  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [d10c36e40929fd910197327949cd30d250a33c8a]

	Updated ChangeLog and configure.in for 1.5.4.


2001-04-14  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [f57f4bff9a5dd75d7ed9ade67d964e20815d63ea]

	Removed all 'using namespace' occurrences.


2001-04-14  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [1f18ff96d66b23a83f95ecad20f3061a8243248c]

	Doc RPM did not include any documentation.


2001-04-14  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [ce86b6442b912de2b7c675e1d19c3b97d9d954a8]

	Fix bug #224542: bogus 'inline' specifiers in *.cpp files.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [4d5cdcf85cc600346e23c490bc73a5562f14c493]

	'unix cookbook' -> 'CppUnit cookbook'.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [d93deacda7b15424d0540741b58de761d9257f84]

	Fix bug #223290: cerr undefined.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [b7e66b5d745f82649dfaa1955310749232b9cb38]

	Fix bug #232636: TextTestResult::printHeader(ostream& stream) outputs to cout.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [605e750186314420809c829eb5fcb9d4d21f3cf0]

	Fix bug #414073: link to project page.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [293dbbfe8fa9d202620b997266e765d2448bec63]

	Added support for building RPMs using 'make rpm'.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [12546b189e14b8bb061285734c8bc28346b44966]

	Enabled man page generation. Added *.html and *.dox files to dist tar ball.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [373a9f67d577add10834b3c775fc14ab9b76190c]

	Added *.h files to dist tar ball.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [d768c6c84538ba95156c8e6df780636ce20705d6]

	Document generation is now autoconfed. (copied from log4cpp autoconf/automake). Added doc subdir to dist. Upped version number to 1.5.3.


2001-04-13  Bastiaan Bakker  <bastiaan.bakker@lifeline.nl>  [707e01adf2b6d3493537c801f1bc9baa34136fdc]

	Merged patch #403542 by Tim Jansen <timj@systembureau.com>. Fixes bug #220207: "const" problem with countTestCases. Fixes 'TestSuite::deleteContent() clear vector' Fixes 'Fix: TestCaller registered Fixture' (see patch #403541). Fixes bug #415219: example did not test anything.


2000-10-13  Eric Sommerlade  <eric@sommerla.de>  [d9b77af99b560d86beee4f10b260ed1632515d56]

	Removed debugging stuff.


2000-10-13  Eric Sommerlade  <eric@sommerla.de>  [91b0c2be5b93933e0ff6d536266548f7db0a4eb9]

	Changed documentation.


2000-10-13  Eric Sommerlade  <eric@sommerla.de>  [9086ad85e80df207ccd88b27309d0a0866888afb]

	Default constructor does not register any more - it expects the test being registered in a suite.


2000-10-13  Eric Sommerlade  <eric@sommerla.de>  [5e88d9b36ce4f95e3677d1ba196a0dfe0c258d5f]

	Changed output.


2000-10-13  Eric Sommerlade  <eric@sommerla.de>  [fbaa5970a3c59ff8b81904d4112915c520a0fc5f]

	Fixed registry initialized flag.


2000-10-13  Eric Sommerlade  <eric@sommerla.de>  [00bf2eb43d3a87786bbd15495ce63c5ed183aabe]

	Code beautification.


2000-10-13  Eric Sommerlade  <eric@sommerla.de>  [1822778d361cb77918718fe9113d6a48eeb9d4ba]

	Specified names for tests.


2000-10-11  Eric Sommerlade  <eric@sommerla.de>  [1c569487821887f754a222be0b526f41200395b4]

	Changed version number


2000-10-11  Eric Sommerlade  <eric@sommerla.de>  [f422aa88bceae30896e086104974dbd0db8c9e64]

	Changed release number.


2000-10-11  Eric Sommerlade  <eric@sommerla.de>  [e75682a3cb8c02c5d001bc0f67fd4ca5d26e51b3]

	Added examples directory to distribution.


2000-10-11  Eric Sommerlade  <eric@sommerla.de>  [773f887465f1338b8959d658518ddf67b783ca90]

	Added main function and Makefile


2000-10-11  Eric Sommerlade  <eric@sommerla.de>  [067d58bdf82882a81c24a0ad59fd170b1485694d]

	Makefile for all examples.


2000-10-11  Eric Sommerlade  <eric@sommerla.de>  [4618c8347d88510442d81306fc66af320b7ba2a5]

	Added TextResult files.


2000-10-05  Eric Sommerlade  <eric@sommerla.de>  [f73cfc2adde289e9945be0d0ff119b078c6d3798]

	Removed dot tool


2000-10-05  Eric Sommerlade  <eric@sommerla.de>  [c7623ebd7f73cbefd977cd97794a6b846de14205]

	Initial check in.

